Introduction

This online help aims to be a guide for who wants to start working immediately with WebSite X5 and create his own website, blog or shop online. If you follow it step by step, you will find a precise description of the program interface, explaining all commands and options in the menus, panels and windows provided.
The explanations offered, your intuition and all the previews up to date created in real time, allow anyone to work very well with WebSite X5. You will have the possibility to create eye-catching, appealing and professional sites in no time!
This WebSite X5 Help Guide refers to WebSite X5 Evolution ver 9 and provides detailed explanations of all the functions offered by the software.

It is possible to use this guide for other versions of Incomedia WebSite X5, but the reader must bear in mind that some functions in different versions may have changed or been replaced by others in this latest version.

This guide contains the following sections:
- | Working with WebSite X5 This section describes how the Program works, with explanations of what to do in each of the various windows that appear when preparing and publishing the Website.
- | Tutorial Tutorials provide a step-by-step explanation of how to complete a specific task, such as creating a data-collection form or setting up a members area, with login and password access.
- | Further Details These pages provide further details on specific arguments connected with creating Websites.
- | Google Integration You will find information regarding Google tools to help you optimize your site.

Last updated: version 9.0.0


WebSite X5

Create Websites, Online Shops and Blogs in only 5 steps

WebSite X5 is the ideal software for creating the websites you have always wanted.
No programming skills required. WebSite X5 has an intuitive fully-visual interface and you can check your work as you go with the previews, always available and updates in real time.
WebSite X5 gives tips and advice for every step and guarantees simplicity of use, flexibility and maximum customisation at all time, from choosing the design to going online.

Professional website features

WebSite X5 offers professional tools:

- | Online shops with credit card payments | - | Zoom and panoramic views
- | Blog with podcast and videocast | - | Image and video galleries
- | Built-in website search engine | - | Members' area with login and password
- | E-mail forms with anti-spam filters | - | Advert management
- | News and RSS feed | - | Multi-language websites

An all-in-one-solution

Save time and money. WebSite X5 has everything you need:

- | Editor for customising templates | - | Over 1,500 professional templates
- | Graphic editor for image editing | - | 6,000 exclusive and royalty-free images
- | Automatic sitemap and menu creation | - | Buttons and graphics libraries
- | FTP engine for publishing your website | - | Widgets and HTML codes

WebSite X5 has success because it is complete and simple: it is perfect for whoever wants to create websites.


Introducing Incomedia WebSite X5

Incomedia WebSite X5 allows you to create websites, e-commerce carts, Blogs, digital photo-albums or interactive presentations quickly and easily. Projects can be developed according to a net structure and articulated in level menus: in this way you can insert an unlimited number of pages.

The user can set the layout of each Page and complete it by inserting the different Objects that the Program offers: Texts, Images, tables, Flash™ Animations, Videos, Audio, Image Galleries, HTML Objects, E-mail forms.

WebSite X5 presents many interesting functions for image editing, making it unnecessary to use external graphic programs. Thanks to automatic saving of images in a compressed format, the user does not need to optimize photos before inserting them.

The vast archive of graphic templates, a built-in editor for creation of 3-Dl buttons, the ample possibilities of graphic customization, the intro addition, multi-language websites, members areas, Blogs, RSS Feeds and online shops with credit card payment, are all features that enrich the site and make it complete and professional.

WebSite X5 allows you to publish the project directly on the Internet, without hving to use external FTP programs (File Transfer Protocol).

Working with WebSite X5

WebSite X5 is designed like a wizard, visually guiding you through a series of screens in which you can enter all the necessary information to create and publish a complete, functional and professional website. There are five basic steps guiding you the program, taking you from a simple idea to a professional website:

1. | General Settings After selecting the Project to work on and adding general information about your website such as Description and Keywords for Search Engine indexing, you can select the template for your website. You can select a template from one of the 1,500 default templates in the program, or you can create your own. In addition to the basic template style you can also customise both the header and footer of your website.
2. | Sitemap Creation The program automatically adds a Home Page for your website, however all other pages must be added manually. In order to create your website you must first think about the information you would like to present and how - by undertaking this simple task you can start to create your Site Map. You can organize your Sitemap in an unlimited number of levels and pages. The Program will automatically set the navigation menu based on the map you create. You can update your site map at any time.
3. | Page Creation Creating the pages is a simple process of dragging and dropping the available Objects into the Cells of the Page Layout Table: Text, Images, Flash™ Animations, Videos, Audio, Tables, Galleries, E-mail forms, Product Lists, HTML Code and Widgets. Each object can be customized and you can insert links to both internal and external resources. The program also has a built-in graphic editor which allows you to fully customise Images without the use of any external editors.
4. | Advanced Settings After the basic website is compiled you can customise the appearance of menu, text, showboxes and e-mails. With the internal graphic editor you can create 3D buttons which give the mouseover impression. In addition to the webpage style you can also add many extra features such as multi-language welcome pages with a soundtrack, members areas, a blog and an e-commerce shopping cart.
5. | Export When your website is finished you can upload the finished website to the Internet via the built-in FTP engine. WebSite X5 supports secure connections and you can save time by working in multi-session and publishing only the changes that have been made to your website. As well as uploading to the Internet you can also export the entire website project file to a new location either on the same computer on which the project was created or to a different computer to make a back-up copy.


Available Versions

WebSite X5 is available in several versions, including Evolution and Compact.

For an explanation of the differences between the versions of WebSite X5, please visit: http://www.websitex5.com/compare


L'ambiente di lavoro

The work environment

WebSite X5 has been designed to guide the User through all the phases of Website creation, opening windows for each step with clear indications of what information is required to reach a complete, fully-operative and graphically pleasing Website that is ready to be published online.

All the windows in the Program have the same graphic interface, with button bars at the top, at the bottom and down the side. Only the central area changes from window to window: this area is where you do your work and so it changes according to the part of the Website you are working on and the information you need to enter.

Top button bar

-

Help: The Help button opens this online Guide. Click on the arrow to the left of the Help button to use the following commands:
- | Summary: this command also opens the online Guide.
- | Video Tutorial: to start a Video Tutorial that explains how to use the Program.
- | WebSite X5 Gallery: to access our Gallery of Websites that users have created with WebSite X5 and want to share with other people.
- | WebSite X5 Templates: to view and download new templates, some of which have been created by Incomedia and others that have been created by our users. Some templates are free of charge.
- | Support: to access the Technical Support Service where you can browse through the FAQs or request assistance.
- | www.websitex5.com: to go to the Program's Internet Site.
- | About WebSite X5: to display information on the Program.

-

Save [CTRL + S]: you can save the Project you are working on. The Project will be stored in the Projects Folder that was specified in the Preferences window.

If you want to make a copy of the Project you are working on, instead of a Save as command, you can use the Duplicate command in the Project Selection window.

-

Preview: you can display an offline preview of your Website, using the built-in browser.

If you leave the Update the Pages while modifying the Project option enabled in the Preferences window, each time you confirm a change (by clicking on OK or on a Next button) the Program updates everything that is affected by the change. This keeps the offline Website preview constantly updated, and it can be quickly loaded for display.
If you select the Save at every Preview option in the Preferences window, every time you click on the Preview button, the Program will make a copy of the Project.
You can also hold down the CTRL key and click on the Preview button to generate a Preview.

Side button bar

With WebSite X5, you can create a Website in just 5 easy steps. The buttons on the lefthand side of the Program window are always shown and they indicate which step you are working on. You can pass from one step to another, in whichever order you prefer.

 | Project Selection
1. | General Settings
2. | Sitemap Creation
3. | Page Creation
4. | Advanced Settings
5. | Export

Bottom button bar

- | Back: you can go back to the previous window and make changes to your work.
- | Next: you can go to the next window to continue creating your Website.


Welcome to Incomedia WebSite X5

This Welcome Page is the first page you see when WebSite X5 starts. It contains a number of links to online resources and material that are there to help you when working with the Program. These links are displayed in a vertical button bar on the left side of the window and they are:

Video Tutorial
Tutorials are available to teach you how to use WebSite X5.

Gallery
Visit the Gallery to consult an online archive of Websites that other users have created with WebSite X5 and shared with us.

Download new Templates
This takes you to the X5 Templates section of the official WebSite X5 Internet site, where you can download new templates to add to the ones that come with the Program.

Support
Visit our Technical Support Service where you can browse through the frequently-asked questions and replies, or request assistance. Technical support is available in Italian, English and German.

Preferences
This link opens the Preferences window where you can define some general settings for how the Program is to work.

Check for Updates
This link starts a check for any online updates available for the WebSite X5 version you have installed.

In addition to this button bar, the Welcome Page also includes contents that are updated in real-time (when you are connected to the Internet). These items include information on the update status of your installed version of the Program, News, Special Contents (Articles, Whitepapers, Tips&Tricks), new Tutorials and special offers.

 If you aren't connected to the Internet, the Welcome Page displays a standard page. The same page is also displayed if you disable the Check for updates at program startup option in the Preferences window.

When you have finished looking through the contents of the Welcome Page, you can begin creating your Website by clicking on the Start button.


Preferences

This window opens when you press the Preferences button on the Welcome Page, and you can set general parameters for how the Program is to work.

The options are:

-

Projects Folder: enter the name of the folder in which the Project file (Project.IWP) is to be saved, both for a new Project and for an existing Project that you are importing (see Project Selection | Import Project). When you click on the Save button while woking on your Project, the Project file will automatically be saved in the folder that you specify here.

-

Check for updates at program startup: this option is enabled by default, and every time the Program is started it will automatically look for any updates to the Program itself that may exist. The Program starts a connection to the Incomedia Server via Internet to look for updates.

You are advised to leave this option enabled, to be sure that you are always working with the latest version of WebSite X5.

-

Save at every Preview: if you select this option, the Project will be saved every time you look at a Preview using the offline Browser (i.e. on your computer, before uploading to the Internet).

-

Create a Backup Copy every time you save: this option is enabled by default, and means that a Backup copy (Backup.IWP) of your Project will be created before the Project file is saved with the new changes.

-

Create a Backup Copy every time you upload: this option means that a Backup copy of your Project will be created automatically every time you upload the Project to the Internet. The Backup copy is saved in the Uploaded_TimesTemp.IWP file, where "TimesTemp" indicates the date and time of the backup (see Website Export to Internet).

Depending on which option has been selected, the Backup copy of the Project reflects the contents as they were before the last save or upload (i.e., without the new changes). This copy is saved as Backup.IWP or Uploaded_TimesTemp.IWP in the Projects Folder.
If you want to restore a Backup copy, delete the Project.IWP file and rename the Backup.IWP or Uploaded_TimesTemp.IWP file as Project.IWP.

-

Update the Pages while modifying the Project: this option is enabled by default, and means that all the Website Pages are updated as you make changes to the Project.

Each time you confirm a change (by clicking on OK or pressing the Next button), the Program updates all the parts of the Project that are affected by this change. This ensures that the offline Preview of your Website is constantly up-to-date and can be displayed immediately.

-

Max. number of simultaneous processes: you can specify how many processes (or Threads), started by the Program, can be carried out simultaneously by the computer.

The technique of dividing a process into several subprocesses, which are then carried out simultaneously, is known as Multithreading. Obviously, your computer must be capable of handling multithreading. Multithreading is the ability of an operating system to execute different parts of a program, called threads, simultaneously. A program that has been designed in such a way that all the threads can run at the same time without interfering with one another, like WebSite X5, significantly improves the computer's performance.
You need to be able to correctly evaluate the capacity of your computer's hardware to really benefit from Multithreading. Try starting with 5 simultaneous processes and progressively increase this value until you don't notice any further significant improvements in performance.

-

E-mail form script type: you can choose the script to be used for sending e-mails, for example when using the E-mail Form Object or creating a Shopping Cart. By default the Standard Script is used: if this script does not work, due to the configurations on the Server being used, try replacing it and enable the Low-level Script or Low-quality Server Script options.

-

E-mail form data submission type: you can choose how data is to be sent for the E-mail Form Object. By default, the POST method is used but, as some Servers may not be able to handle this, you can use the GET method.

The HTTP protocol (Hypertext Transfer Protocol) is the most widely-used method of information transfer on the Internet. This protocol is based on a request/reply mechanism according to which the Client makes a request and the Server returns a reply. Usually, the Client corresponds to the Browser and the Server to the Website.
Request/reply HTTP messages are composed according to a specific syntax. The request messages must specify a method, the most common ones being GET and POST.
The GET method is used to retrieve the contents of the resource indicated as the object of the request (for example, the web page you want to display).
The POST method is normally used to send information to the Server (for example, the data in a form).
As we are talking about e-mail forms, the correct method to use is POST, but if your Server cannot handle this method then WebSite X5 allows you to use the GET method instead.


Project Selection

When you start the WebSite X5 program, the first page to be displayed is the Welcome Page, and this is followed by the Project Selection window where you indicate the Project you want to work on.

You can choose to create a new Project or work on an existing one.

-

Create a new Project: select this option to start a new Website Project from scratch. You must give the new Project a name: type it in the field next to the request to Enter the name of the new Project. You can save the new Project by clicking the Save button that is always present in the top toolbar.

You don't need to give a complete pathname when saving Projects because WebSite X5 automatically saves them in the Projects Folder that was indicated in the Preferences window.

-

Edit an existing Project: choose this option to open an existing Website Project to continue working on it or to update it.

The names of all the existing Projects are shown in the list. If you want, you can change the appearance of the list: it can display [image] Large icons, [image] Titles, [image] List and [image] Details. You can also group and display the Projects in the order they were last modified using the [image] Display Groups according to last edit date option.

The following options are available for working on the Projects in the list:
- | Import: to open the Import_Project window and import a Project that has been created and exported with WebSite X5 from another computer (see Export the Project).
- | Rename: to change the name of the selected Project.
- | Duplicate: to make a copy of the selected Project.
- | Delete: to delete the selected Project.

Related topics:
- | Import_Project
- | Export the Project


Project Selection | Import Project

This window opens when you click on the Import button in Project Selection, and you can import a Project that has been created on another computer and exported using the Export the Project command. This command produces a single, compressed file (in .IWZIP format) that contains both the original Project file (in .IWP format) and all the files linked to it (for example, Images, Videos or imported Animations).

The Import Project window displays the following items:
- | Project file to import: select the .IWZIP file that contains the Project you want to import.
- | Copy all the Project linked files in this folder: enter the name of the folder that the files linked to the Project are to be copied to. This helps you keep track of where the linked files are, should you need to work on them later.

What you have to do

Imagine you have created a Project on computer A and you want to move it to computer B:

-

On computer A
- | Open the Project and select the Export the Project option in Step 5 - Export.
- | Enter the name of the Destination Folder that the Project will be copied to and select whether you want the Images to be optimized or not.

-

Transfer the resulting compressed file (that is, the file called myproject.iwzip, where "myproject" is the name of the original Project) from computer A to computer B.

-

On computer B
- | Start WebSite X5 and open the Project Selection window. Click on the Import button and, in the Import Project window, select the compressed file you have exported and copied to computer B (myproject.iwzip).
- | Still in the Import Project window, enter the name of the folder to which the Project's linked files are to be copied to.
- | When the Project has been successfully imported, select the Project and click on the Next button to continue working on your Website.

The .IWZIP file resulting from the export process is compressed and includes the original Project file and all the files linked to it. When this file is imported it is automatically expanded:

-

The .IWP Project file is saved in the Projects Folder that was indicated in the Preferences window, and its name appears in the Projects List of the Project Selection window;

-

The linked files are saved in the folder you indicate and organized in the following sub-folders:
- | General: this sub-folder contains the files defined in the General Settings such as the Website's icon and the images/animations used in the custom Template or for customizing the Website's Header.
- | ObjImage, ObjVideo, ObjFlash etc: these sub-folders contain the files used to create the various Objects that appear in the Website Pages.
- | Advanced: this sub-folder contains the files defined in the Advanced Settings, such as link cursors, sub-menu bullet images, Shopping cart icons, flag images for multi-language Websites, etc.
- | Links: this sub-folder contains the files associated with the links in the Website.
- | Aspect: this sub-folder contains the files used to define the appearance of the cells in the Page Layout Table.

Related topics:
- | Project Selection
- | Export the Project


General Settings

This is the first window of Step 1. The information you give in the fields of this window sets the basic parameters for the Project you are working on.

It is important to indicate, for example, to give your Website a title and indicate the URL (Website address). You also need to specify the language you want to use for your Project. If you want to use additional services, such as website statistics, you will also need to provide the necessary codes and metatags.

You can choose whether to set these parameters now or do it later.

The available options are shown in two sections:
- | Basic
- | Expert


General Settings | Basic

You can enter the following information in the Basic section of the General Settings window:

-

Website Title: enter the name you want to use as a title for your Website. The title will appear in the Internet Browser's title bar exactly as you type it here, and it is an important parameter for visitors and Search Engines to correctly identify your Website.
The default entry for this field is the name that you initially gave to the Project (see Project Selection): you can change it at any time, for example if you change the contents or you want to improve optimization so people can find your Website more quickly.

-

Website Author: enter the name of the Website's author: this can be your name, your business, club or organisation. The author's name appears in the <author> metatag of the HTML code of the Website pages: this is an electronic equivalent of signing the work that has been done.

-

Website Address (URL): enter the URL (website address) that will identify your Website when it is published (for example, http://www.mysite.com). This address is essential for RSS Feeds, the Shopping cart and the SiteMap to work correctly. WebSite X5 generates the SiteMap automatically and creates the links to the various Website pages.

-

Website Description: type a brief description of your Website in this field. Make sure the description is concise and to the point because it will be added to the <description> metatag in the HTML code and this is where Search engine spiders look to find websites. A precise description helps your Website rank higher in search results.

-

Website Keywords: enter a list of keywords (separated by commas) that are important and relevant to the Website. The keywords will be added to the <keywords> metatag in the HTML code and used by Search engines to find your Website.

The Website Description and the Keywords are automatically associated with the Website's Home Page.
To improve Website optimization, you are advised to associate a specific Description and list of Keywords with each page, or at least to the most important pages. To do this, go to Sitemap Creation, select the Page to work on and click on Page Properties.

-

Content Language: enter the language of your Website in this field. The language you choose will be used for all text that is inserted automatically by the Program: links to built-in anchors, labels in the E-mail Form Object, labels and text for the Shopping cart, text that appears in the Sitemap.

If you want to change text that the Program adds automatically, or you want to add a new language, click on the [image] button and use the options in the Language Content Management window (see Automatic Text Management).

-

Website Icon: you can specify an icon (a .ico or .png file) to associate with your Website's pages. The icon will be displayed to the left of the URL in the Internet Browser's title bar.

Icons that are associated with a website are often called favicons (from favorite icon). You can specify images for your icon in .ICO, .PNG, .GIF and .JPG format. Files in a .ICO format are used as they are, but if you specify a file in .PNG, .GIF or .JPG format, whatever its size, WebSite X5 will automatically create a copy of the image file in .PNG format at 16x16 pixels, and will use the copy as the favicon.

Related topics:

-

Language Content Management


General Settings | Expert

You can enter the following information in the Expert section of the General Settings window:

-

Enter code to customize your website HEAD: you can enter the HTML code that you want to add to the <head> section of each Page. This function is useful if you intend including internal/external libraries or Stylesheets (CSS).

-

Verification metatag for Google Webmaster Central: enter the appropriate verification metatag so that you can use Google Webmaster Tools.

For full details on Google Webmaster Central and how to open an account, click on the [image] button to access the official http://www.google.com/webmasters/ website.

-

Code for Website Statistics: enter the appropriate code for using Website statistics tools, such as Google Analytics, to receive detailed reports on visits to your Website.

For full details on Google Analytics and how to open an account, click on the [image] button to access the official http://www.google.com/analytics/ website.

-

Automatically create a SiteMap: this option is active by default. Your Website's SiteMap will be created automatically.

For the SiteMap to be created and work properly, make sure that you have correctly entered your Website Address (URL) in the Basic section of the General Settings window.

-

Enable HTML Code Protection: selecting this option prevents visitors from right-clicking with their mouse on your Website to access the source code or copy Website images.

Related topics:
- | How to use Google Webmaster Tools
- | How to sign up for statistics services such as Google Analytics
- | How to create and link the Website's SiteMap


Template Selection

One of the keys to a successful Website is an attractive appearance. First impressions count, and a new visitor's opinion on your site will be largely influenced by its graphic layout, before he/she even starts to look through the contents. A well thought-out and professional-looking design gives the impression of a good-quality site that is worth looking at.

WebSite X5 provides a rich catalog of over 1,500 templates that are ready for you to use as they are, or you can change them if you want to. You can also try your hand at designing your own template, if you want to.

All our default templates are professionally designed to give perfect results. Each template is available in 4 different styles so that you can adapt them to your specific needs. If you do want to make any changes of your own to a default template, you can easily do so using the built-in template editor.

First of all, choose one of the following options for designing the look of your Website:
- | Custom Template: choose this option if you want to define your own template from scratch.
- | Preset Template: choose this option if you want to use a template that has already been prepared.

If you decide to use a default template you can choose one from the template list. The templates are organized in categories according to their themes, to make it easier to choose one from the vast selection available. When you open a category, all the templates inside it are shown as thumbnails. Click on a thumbnail to display a larger Preview.

Once you have decided on the template to use, you can then define the following Options:

-

Menu Type: this option defines the Website's structure, indicating how the main menu appears. You can choose from a Horizontal Menu or a Vertical Menu.

In earlier versions of WebSite X5, the choice between a Horizontal Menu and a Vertical Menu was made in the Menu Selection window. This window is no longer present in Version 9 of the Program.

-

Styles: every template is proposed in four different styles. Click on a button to preview one of the styles of the selected template, or to select it.

In WebSite X5 version 8, each template was available in four color schemes. The new Styles option in this version proposes both different color schemes and different graphic effects.

-

Color Tone: You can change the color tone of the Style by sliding the cursor to the left or right. Thanks to this feature, the number of possible styles is practically endless.

The default templates are optimized for a 1024 x 768 pixel display. If you are designing a Website with a different resolution, you should use the Custom Template.

Related topics:
- | How the default templates are stored in the Templates folder
- | Where to find new templates for WebSite X5


How the default templates are stored in the Templates folder

If you want to modify a default template, or add your own template to the list of available templates, it may be useful to know how and where they are stored when WebSite X5 is installed.

All the graphic files for the default template files are stored in the /Templates subfolder of the Program's installation folder.

For example, the files for the "City" template in the "2.Travel" category can be found at the following locations:
- | /Templates/2.Travel/City//Hor - for templates with a horizontal navigation menu;
- | /Templates/2.Travel/City//Ver - for templates with a vertical navigation menu.
The /Hor and /Ver subfolders contain other subfolders named from 1 to 4. Each of these 4 subfolders corresponds to a different template Style. When you move the mouse over a Style button in the Template Selection window a ToolTip appears giving the number of the corresponding subfolder name.

There is also a file called settings.xml in the template subfolder (/Templates/2.Travel/City/). This is a text file containing basic information such as ContentHorWidth and ContentVerWidth (content width for horizontal menu/vertical menu templates), MenuHorWidth (horizontal menu width), MenuHorHeight (horizontal menu height). These values are expressed in pixels.

The various .JPG (image) files used in the template are stored in the #1, #2, #3 and #4 folders.

As well as the 4 subfolders mentioned above, the /Hor and /Ver folders also contain the following files, the same for all 4 styles:
- | index.html: this file defines the basic structure of the template.
- | template.css: this file is a stylesheet that defines the basic display settings for the contents.

Related topics:

-

Template Selection


Where to find new templates for WebSite X5

If you are looking for a new template to use for building or re-styling your Website, you can find lots of ideas in the WebSite X5 Templates section of the WebSite X5 website, at www.websitex5.com/templates.

The WebSite X5 Templates section is packed with new graphic templates, all designed by Incomedia or by WebSite X5 users. Some templates are free of charge, and others are available on payment of a small fee. They can be downloaded directly from our Website.

You can help us increase our template library! If you love web designing, why not submit some of your own template ideas for us to have a look at? The most talented designers may become affiliated authors, add their designs to the template library and earn money! Go to www.websitex5.com/templates/affiliates for more details.

Don't forget to visit our WebSite X5 Templates section every so often, to see what's new. You can also subscribe to the RSS Feed to keep up to date with all the latest news.

Related topics:

-

Template Selection


Custom Template

You can create and customize your own Template with WebSite X5: select Custom Template from the Template Selection window and click on Next.

To make your job easier, the Custom Template window shows you a Preview of the Page layout. Select the area of the template you want to work on from the list, or click directly on the various sections of the Page to select one. You can then work on the options available and check the results immediately.

First of all, you must specify the Menu Type, which means deciding where and how the main menu will be displayed in all the Website Pages.
You can choose from: Horizontal - Menu above the header [image] Horizontal - Menu below the header [image] Vertical - Menu on the left

 In earlier versions of WebSite X5, the choice between Horizontal Menu and Vertical Menu was made in the Menu Selection window: this is no longer present in version 9.

Once you have decided on the Menu type, select which Page Section to work on.

Pages are divided into the following sections:

 Page Background: this is the area surrounding the Website Page. It is shown if a Browser is opened with dimensions greater than the site itself.

Header: the header, or top banner, is generally used for displaying images, such as the Website's title and subtitle, a company logo, search fields and menus with links to the Sitemap and choice of language.

Menu: this section contains the main menu, which shows the first-level items of the menu that appear on every page. The position of this section depends on the Menu Type you chose earlier (see above).

Page Contents: this area contains the actual contents of the Page, and any submenus that there may be.

Footer: like the header, the footer is usually used for displaying images. Its purpose is to indicate to visitors that they have reached the bottom of the Page. Elements normally found in this area include notes, disclaimers, copyrights, VAT numbers, e-mail addresses, etc.

Footer Background: this is the part of the Website background that corresponds exactly to the Footer height. If you set it as Transparent the Footer Background will be the same as the Page Background. In some cases (for example, if you want the footer to occupy the entire width of the Browser window) you may want a Footer Background that is different from the Page Background.

You can customize the following options for each of the above Page sections:
- | Color: set the background color for the Page section you are working on in the Color window.
- | Image File: choose an image (.jpg, .gif or .png) to be used for the background of the Page section you are working on. If you are working on the Header or the Footer you can include Flash animation (.swf).
- | Repeat: specify whether the background image is to be repeated. It can be repeated horizontally, vertically, or in both directions so that it occupies all the available space. If you are working on the Page Background, you can also choose to have the image adapted so that it covers the entire background. Note that, in this case, the original proportions of the image may not be maintained.
- | Alignment: specify how the inserted image is to be aligned with the page section you are working on.

The following option is available for the Page Background section:

-

Fixed Background: select this option if you want the background image to remain fixed even when the Page is scrolled.

The following option is available for the Header and Menu sections:

-

Width: this is the value, in pixels, of the width of the Page section you are working on. The Width of Vertical Menu Type is set by default to 960 pixels for the Header and 120 pixels for the Menu section, but you can change these values. If you selected a Horizontal Menu Type, the Width of the Header is automatically used for the Menu, Page Contents and Footer options too.

The default width is calculated for optimum display at a screen resolution of 1024 x 768 pixels.

The following option is available for the Header, Menu (horizontal only) and Footer sections:

-

Height: this is the value, in pixels, of the height of the Page section you are working on.

The following options are available for the Page Background, Menu and Page Contents sections:

-

Top Margin / Bottom Margin: specify the value, in pixels, of the top and bottom margins. The margin is the space between the outer edge of a section and its contents.

The following options are available for the Menu and Page Contents sections:

-

Left Margin / Right Margin: specify the value, in pixels, of the left and right margins.

The actual width of the Website Pages is given by the width of the Page Contents section (that depends on the width of the Header), minus the left and right margins.

You can complete your template's header with text, images, Flash animation, Slideshows, search fields and links. These options are in the Edit Graphic Template window: click on Next to go there.

Related topics:
- | Template Selection
- | Edit Graphic Template


Edit Template Graphics

Once you have chosen a template from the Template Selection window, or have created your own personal template in the Custom Template window, you then move on to Edit Template Graphics. You can customise your template's Header and/or Footer by adding Text, Images, Flash animations, SlideShows, HTML Code, Search Fields and Links.

 The commands and options for working on the Image are the same for both the Header and the Footer.

Flash animations that have been used as the background for Headers or Footers cannot be customised in the Edit Template Graphics window.

The graphic editor in this window automatically displays the background image for the Header or Footer of the selected template (default or custom), underneath the Toolbar. The image is displayed on a 1:1 scale and you can scroll it up or down. Any changes you make to this image will be displayed in real time.

The status bar underneath the image gives the following information:
- | Position: this tells you the X and Y coordinates of the upper righthand corner of the selected Object.
- | Size: this tells you the width and height, in pixels, of the selected Object.

You can add Objects using the commands in the Toolbar. Once an Object has been added, you can select it and make any necessary changes using the options shown in the box underneath the graphic editor. This box is labelled with the type of Object you are working on, and so this label will be Header / Footer, Text, Image, Flash Animation, SlideShow, HTML Code or Search Field.

You can apply special Effects to Text, Image and SlideShow Objects.

Related topics:
- | Template Selection
- | Custom Template


Edit Template Graphics | Toolbar

The graphic editor's toolbar in the Edit Template Graphics window has these commands:

 Cut [CTRL+X] - Copy [CTRL+C] - Paste [CTRL+V]
Cut, copy or paste the selected Object.

Undo [CTRL+Z]
Undo the last action.

Bring to Front - Send to Back
Bring the selected Object to the foreground, so it shows on top of all other Objects - Send the selected Object to the background so that it is beneath all other Objects.

Apply a Link
Set a hypertext link to the selected text, image or SlideShow images. The link is defined in the Insert Link window.

Position and Size
Set the coordinates for the position and size of the selected Object. The Keep Ratio option ensures that the Object's original proportions are maintained when it is re-sized. This option is active by default.

Insert Text - Insert Image - Insert Flash Animation - Insert SlideShow - Insert HTML Code - Insert Search Field
Insert Text, an Image, a Flash Animation, a SlideShow, HTML code or a Search Field.
The SlideShow option is useful for adding banners, especially if you want to display advertising messages.
You can insert any type of content if you have the relative HTML code. This command opens up lots of opportunities.
WebSite X5 has a built-in Search Engine that looks through the entire Website for the string entered in the Search Field.

Flash Animations and HTML Code objects will only be visible when the Website is opened in the Browser.

Related topics:

-

Edit Template Graphics


Edit Template Graphics | Header / Footer

Click on the background image of the Header or Footer in the Edit Template Graphics window to select it, and set the following options displayed in the Header / Footer box:
- | Image File: This displays the location of the file containing the image currently used for the background. You can substitute the image by entering the pathname of a different file. Files in the following formats can be inserted: JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA, WMF.
- | Save as JPG image: When the Website is created, the Text Objects and the Image Objects that you add to the Header/Footer will be merged with the background image and saved together with this as a new PNG file. The PNG format allows you to maintain any transparencies you may have set. If you have not set any transparencies, select this Save as JPG image option to reduce the size of the background image's file.

 Knowing the pathname of the file that contains the background image of the Header/Footer is useful so that you can identify it more easily if you want to make changes to it with an external editor and save a copy of it to replace the original.

Related topics:

-

Edit Template Graphics


Edit Template Graphics | Text

Click on a Text Object that you have added to the Header or Footer in the Edit Template Graphics window to select it, and set the following options displayed in the Text box:
- | Content: type in your text.
- | Font Type: select the font type, style and size to be used for the text.
- | Text Color / Background Color: specify the color the text will be written in, and the color of the background for the text, in the Color window.

Related topics:

-

Edit Template Graphics


Edit Template Graphics | Image

When you select an Image Object in the Template's Header or Footer in the Edit Template Graphics window, you can work on the following options in the Image section:
- | Image File: you can select the graphic file of the Image to add. The files must have one of the following formats: .JPG, .GIF, .PNG, .BMP, .PSD, .TIF, .DIB, .PCX, .RLE, .TGA, .WMF.
- | Image File on mouseover: you can select a second graphic file that will be used when the mouse is moved over the Image. This option is particularly useful for creating buttons with pressed/released effects.
- | Enable Transparency: if you select this option the Image is made transparent, and the specified color is not visible.
- | Transparency Color: this option opens the Color window and you can specify the color of the added Image that is to be made invisible if the Enable Transparency option has been selected. The "dripper" tool is especially useful in this case, because you can capture the color directly from the Image.
- | Tolerance: you can specify the tolerancy factor to apply to the transparency. The higher the tolerance value, the greater the transparent area of the Image.

Related topics:

-

Edit Template Graphics


Edit Template Graphics | Flash Animation

Click on a Flash Animation Object that you have added to the Header / Footer in the Edit Template Graphics window to select it, and set the following options in the Flash Animation box.
- | Animation File: choose the SWF file that contains the Flash Animation you want to insert.
- | Transparent Background: select this option to make the Animation's background transparent.

Related topics:

-

Edit Template Graphics


Edit Template Graphics | SlideShow

Click on a SlideShow Object, that you have added to the Header or Footer, in the Edit Template Graphics window to select it, and set the following options available in the SlideShow box:
- | Image List: a list of the images in the SlideShow is displayed. The list shows the pathname of each image file, any effects that may have been set for the image and any associated links. Select a file from the list to preview the image. Use CTRL + click and SHIFT + click for multiple selections.
- | Add / Remove: use these options to add new images to the SlideShow or remove ones you don't want from the list. You can make multiple selections in the File Selection window.
- | Move Up / Move Down: use these options to change the order in which the images appear in the SlideShow. Select an image and move it up or down the Image List. You can move an image one place at a time in the list.
- | Effect: this option opens the Effect Properties window, where you can define the effect type, zoom and position for the images in the SlideShow, as well as any links to other Pages where the selected image appears.
- | Autoplay: this option, selected by default, means that the SlideShow starts automatically.
- | Random View: select this option if you want the images in the SlideShow to appear in a random order, and not in the order they appear in the Image List.

Related topics:
- | Edit Template Graphics
- | Effect Properties


Edit Template Graphics | HTML Code

Click on an HTML Object that you have added to the Header or Footer sections in the Edit Template Graphics window to select it, and set the following options displayed in the HTML Code box:
- | HTML Code: you can type in the HTML code of the Object you want to create.
- | Show Scrollbars: select this option if you want scrollbars to be shown on the HTML object.

You can also click on the [image] Insert Snippet button and choose from the following snippets to add:
- | Publication Date[DATE]: the date the Page was published will be inserted automatically. For example, you can type "Page last updated on [DATE]".
- | Current hour [HOUR]: the current time will be inserted automatically. For example, you can type "The time is [HOUR]".
- | Current Date [NOW]: the current date will be inserted automatically. For example, you can type "Today is [NOW]".
- | Reserved Area Logout [LOGOUT]: automatically adds the word Logout to the Page, with a link that takes the user out of the Members Area (see Access Management) and back to the Website's Home Page. The Logout link is shown only if the user has logged in.

 The word "Logout" can be changed in the Language Content Management window.

Related topics:

-

Edit Template Graphics


Edit Template Graphics | Search Field

Click on the Search Field that you have added to the Header or Footer in the Edit Template Graphics window to select it, and set the following options in the Search Field box:
- | Button Label: you can write the text that you want shown on the button that starts the search.
- | Font Type: select the font type, style and size to be used for the button label text in the window that opens.
- | Field Colors: you can specify the color of the text entered as the search string in the Search field, and the field's background color, in the Color window.
- | Button Colors: you can specify the color for the button label text, and the button's background color, in the Color window.

 The Website search results are shown in Pages that the program creates automatically, according to your text style settings (see Styles and Models in Step 4 - Advanced Settings).

Related topics:
- | Edit Template Graphics
- | How WebSite X5's built-in Search Engine works


Edit Template Graphics | Effects

Click on a Text, Image or SlideShow Object in the Edit Template Graphics window to select it, and set the following options in the Effects box.

-

Effect Type: you can choose one or more effects to apply to the selected Object.

You can apply more than one effect to each Text, Image and SlideShow Object at the same time, and you can specify various settings for the effects:

Effect | Settings
Drop Shadow | - | Diffusion: specify the concentration of color to be applied to the Object's shadow.
 | - | Color: define the color of the shadow in the Color window.
 | - | Offset X / Offset Y: these values indicate the shadow's horizontal position with respect to the Object. A positive value will shift the shadow right and down, and a negative value will shift the shadow left and up.
Mirror | - | Diffusion: specify how big the Object's reflection is to be (as a % of the original).
 | - | Distance: indicate how far away from the Object the reflection is to be.
Colored border | - | Thickness: define the width of the Object's border, in pixels.
 | - | Color: specify the color of the border in the Color window.
Outer Glow | - | Diffusion: specify the outer glow's concentration.
 | - | Color: define the color of the glow in the Color window.
Bevel | - | Depth: specify how accentuated the bevel is to be.
 | - | Diffusion: specify the bevel's concentration.
 | - | Angle: define the angle of the bevel.
Rotation | - | Angle: specify by how many degrees the Object is to be rotated (clockwise).
Opacity | - | Opacity: set the Object's opacity from 0 to 255. The Object's transparency increases with lower values (nearer 0).
Blur | - | Diffusion: specify the concentration of the blur.
Wave | - | Diffusion: specify the breadth of the wave.
 | - | Frequency: specify how close the waves are to each other.
Perspective | - | Horizontal: specify the vanishing point for a perspective effect to the right (positive values) or to the left (negative values).
 | - | Vertical: specify the vanishing point for a downward (positive values) or upward (negative values) perspective effect.
Skew | - | Horizontal: place a point on a horizontal line and set the distortion towards it, to the right (positive values) or to the left (negative values).
 | - | Vertical: place a point on a vertical line and set the distortion towards it, downwards (positive values) or upwards (negative values).

Related topics:

-

Edit Template Graphics


Sitemap Creation

A Website is a structured collection of Pages. It is important to have a clear strategy when planning this structure so that your Website Pages will be logically connected with each other and visitors will be able to navigate your Website easily.
A well-structured site means the user will not get lost while looking through it, and will always know where he/she is: the required information must be found quickly. A badly-structured site confuses and frustrates the user and, in the worst case, leads to the site being abandoned altogether.

The Sitemap Creation window is where you plan your Website's structure. You can insert all your Pages and organize them in Levels and sub-levels. When you have defined the structure of the Sitemap with Page titles, then you can proceed to adding the contents to the Pages.

The window shows the various sections you can work in:
- | The Sitemap tree;
- | The Toolbar above the Sitemap;
- | Commands for designing and structuring the Sitemap.


The Sitemap tree

Most of the space in the Sitemap Creation window is occupied by the Sitemap tree, a schematic representation of the Sitemap you are creating.

A basic scheme is proposed by default. It consists of a Home Page and a Menu folder that contains three Pages. Using the commands for defining the Sitemap's structure, you can add more Levels and Pages to the Menu folder so that your Sitemap gradually fills up and is completed.
If you add a Welcome Page, a Blog, a Members Area (one Locked Page is sufficient) or a Shopping Cart to the Sitemap, a folder called Special Pages will be added automatically, and will contain the following items: Welcome Page, Blog, Login Page and Shopping Cart.

As well as showing the Sitemap tree, other useful information is displayed for the Pages you insert, such as the Extended Page Title and the Description. This information is taken from the definitions given in the Page Properties window.

You can work as follows on the Sitemap:
- | Rename Levels and Pages, including the Home Page by clicking once to select them and then clicking again (not a quick double-click!), or clicking on the Rename button. You cannot rename Special Pages, but you can rename their Aliases in the Menu folder.
- | Select a Page and click on the Extended Page Title or Description if you want to change the text. (If no Extended Page Title or Description is shown, this is because you haven't defined them in the Page Properties window: click on the Page Properties icon in the Toolbar to define these and other properties.)
- | Double-click on a Level to display all the Pages it contains, or use the Expand and Collapse buttons. You can also expand and collapse Levels by clicking on the arrow next to its name.
- | Double-click on a Page to go to the Page Creation window to start adding contents to it.
- | Double-click on a Special Page to go to Step 4 - Advanced Settings where you can create or update it.
- | Select a Level and drag it to a new position in the menu. All its associated Pages will be moved with it. You can use the Move Up and Move Down buttons instead, if you prefer.
- | Select one or more Pages and drag them to a new position in the menu (or use the Move Up and Move Down buttons). Use the CTRL+click or SHIFT+click keys for multiple selections.
- | You can select a Special Page and drag it to a new position in the Menu folder. If you do this, a new Level is created automatically that acts as an Alias of the Special Page. This level will have the same name as the Special Page and be a link to it. By using this option, you may insert a link to your Blog, Welcome Page, Login Page or Shopping Cart wherever you like.
- | Select one or more Pages and copy and paste them to a different place in the same Project or in a different Project that you have opened in another Program window. Alternatively, you can use the Copy and Paste commands in the Toolbar, in the context-sensitive menu that opens when you right-click the mouse, or via the CTRL+C and CTRL+V key combinations. You cannot use the Copy and Paste commands on the Special Pages.

Related topics:
- | Sitemap Creation
- | Sitemap Tree
- | Sitemap Toolbar


The Sitemap Toolbar

The Sitemap Toolbar appears immediately above the Sitemap tree in the Sitemap Creation window. It has the following options:

 Cut [CTRL+X] - Copy [CTRL+C] - Paste [CTRL+V]
You can, respectively, cut, copy and paste selected Pages within the Project you are working on or to a different Project. These same options are also available in the popup menu that appears when you right-click the mouse on the Sitemap.

Hidden Page in the Menu
Select this option if you want the current Page or Level to be hidden on the Sitemap. If a Level is hidden, all its Pages will be hidden too. Hidden Pages can be useful for adding more information on a particular topic and creating links to the points where they can be consulted. You must remember to create at least one link to a Page that you have hidden.

You can hide the Home Page on the Sitemap, but you should only do this if you are going to provide a link to it in other places in the Website, for example in the Header.

Locked Page
This option opens the Locked Page window, where you can Lock the Page by clicking on the Set this Page as Locked option. You must then specify which Groups and/or single Users may access the Locked Page, clicking on their names in the list that is shown. Giving access to a Group is not the same as giving access to all the Users to a Group: if new users are subsequently added to a Group, they will automatically have access to a Locked Page only if the Group has access.
To create new Groups/Users, open the Access Management window in Step 4 - Advanced Settings.

Page Properties
This option is available when a Sitemap Page has been selected. It opens the Page Properties window where you can define properties for site optimization, graphics customization and adding lines of HTML code.

The Page Property options are organized in three sections:
- | General
- | Graphics
- | Expert

Level Properties
This option is available when a Level has been selected on the Sitemap. It opens the Level Properties window where you can define the following properties:

-

Hide the Drop Down Menu for this Level: select this option if you don't want the dropdown Menu for this Level to be shown on mouseover.

-

Link to be executed on item click: you can specify a direct link to the Level item in the Links window.

It may be useful to Hide the dropdown Menu for this Level and define a Link to be executed on item click, for example, if you want to create a link to an external site as an menu item, or if you want to replace a sub-menu that contains lots of items with a Page created specifically to give access to the various sections.

-

Icon for the Menu item: you can select an image file (in .JPG, .GIF or .PNG format) that is be displayed as the item's icon in the Menu.

If you add a Welcome Page , a Blog , a Members Area (you need only set one Locked Page for this) or a Shopping Cart to your WebSite in Step 4 - Advanced Settings , the Special Pages folder is added to the Sitemap with the corresponding item names in it. Remember, though, that the commands in the Sitemap Toolbar have no effect on Special Pages.

Related topics:
- | Sitemap Creation
- | Sitemap Tree
- | Commands for designing the Sitemap


Sitemap Creation | Page Properties | General

The options in the General section of the Page Properties window are used for defining a series of values that are necessary for Page optimization:
- | Extended Page Title: you can give the Page a name that is different from the name that appears in the Sitemap. The name given to the Page when creating the Sitemap is used in the navigation menu: the extended title that is specified in the Page Properties is the full name that is displayed when the Website is published. If you are working on the Home Page, the title is not displayed on the Home Page when the Website is published, although it is still possible to specify an extended Title. It will appear in the navigation menu and as the value of the <title> metatag of the Page's HTML code.
- | Page Description: you can enter a description for the Page. It must be concise and to the point: it is used as the value for the <description> metatag of the Page's HTML code and used by Search engines to index your Website.
- | Website Keywords: you can enter specific keywords for this Page. They are used as the values for the <keywords> metatag of the Page's HTML code and used by Search engines to index your Website.
- | File Name: you can specify the name of this Page's HTML file. The default name of the HTML file is the name given to the Page when the Sitemap is created. If you change it, use short and meaningful names so that the address is simple and easy to remember. It will also help improve Search engine indexing. This option is not available for the Home Page.

Related topics:
- | Sitemap Creation
- | Page Properties


Sitemap Creation | Page Properties | Graphic

The options in the Graphic section of the Page Properties window are used for defining some important graphic aspects of the Page you are working on:
- | Icon for the Menu Item: you can select an image (a .JPG, .GIF or .PNG file) to be displayed on the navigation menu, next to the menu item's name.
- | Body Background Image: you can select an image (.JPG, .GIF, .PNG) and visualize it in the page background instead of the image or color specified in the Template (see Template Selection).
- | Page Content Background: you can select an image (a .JPG, .GIF or .PNG file) that will be displayed as the background for the Page contents. This image is displayed on top of the color or the image specified in the Template (see Template Selection).
- | Repeat: you can indicate whether the Page Content Background image is to be repeated. It can be repeated horizontally, vertically, or in both directions so that it occupies all the available space.
- | Alignment: you can indicate how the Page Content Background image is to be aligned.
- | Create the Page without the Template: you can decide that the Template you have chosen for the Website (see Template Selection) is not to be applied to the Page you are working on. If you select this option, the Page will be created with only the contents you insert in it, but without the Template or the navigation menu.
- | Page Width / Background Color: these options are only available if you have selected the Create the Page without the Template option. You can specify the width of the Page (in pixels) and the background color for the Page you are working on.

Related topics:
- | Sitemap Creation
- | Page Properties
- | Template Selection


Sitemap Creation | Page Properties | Advanced

Sitemap Creation | Page Properties | Expert

The options in the Expert section of the Page Properties window are used for working on the Website's SiteMap and for manually editing the HTML code that is generated for the Page you are working on:

-

File Name Format: you can indicate the format in which the file of the Page will be saved. The default option is .html but you can change this to either .php, .asp, .cfm or .jsp. The index.html file of the Home Page can also be saved in a different format: the same format will be used for the Welcome Page. You cannot change the format of the file generated for a Locked Page, which must remain .php (see the [image] Locked Page command in Sitemap Toolbar).

-

Add this Page to the SiteMap: this option is selected by default, so that the page you are working on will be included in the Website's SiteMap.

-

Update Frequency: you can specify how often the Page is to be updated. This parameter is written in the SiteMap when it is generated.

-

Contents Priority: you can assign a priority to the Page, indicating its importance with respect to other Pages in the Website. This parameter is written in the SiteMap when it is generated.

-

Custom Code: you can add lines of code to the Page's HTML code. Using the menu that is shown, you can specify where your custom code is to be added in the Page's code: Before <HTML> tag, Before </HEAD> tag, Inside <BODY> tag (that is, as part of the <BODY> tag, for example: <BODY onload="alert('Hello!')">), Before </BODY> tag, After </BODY> tag. When you have decided where your custom code is to be added, you can type in or paste the portion of code into the Custom Code field.

The Custom Code option is useful when, for example, you want to link particular style sheets (CSS) to the Page, or when specific events are to be launched when the Page is uploaded. For some Javascripts to work correctly (Javascripts can be inserted in a Page using the HTML Code and Widgets Object), you may need to add the custom code lines to both the <HEAD> and <BODY> sections of the Page's HTML file.

Related topics:
- | Sitemap Creation
- | Page Properties
- | How to create and link the Website's SiteMap


Defining the Sitemap's Structure

In WebSite X5 the Sitemap has a typical website tree structure. It always starts with a Home Page and below that there may be just individual Pages (for a simple website structure) or groups of related Pages organized in Levels.

The following commands are available for defining the Sitemap's structure:

-

New Level [CTRL+L]: you can add a new menu Level. There is no limit to the number of Levels and sub-levels that you can add.

-

New Page [CTRL+P]: you can add a new Page which will be added automatically to the current Level.

-

Separator: you can add separators to visually organize the Sitemap. A separator may be a space or a heading, and it is often useful when creating multicolumn Sitemaps (see Drop Down Menu Style | Menu Items in Step 4 - Advanced Settings).

-

Remove [DEL]: you can remove the selected Page or Level (if you remove a Level, all its Pages will also be removed).

-

Rename [F2]: you can rename the selected Level or Page, including the Home Page. It is important to name Levels and Pages correctly because these names will appear in the Navigation menu and as the title of each Page. They are also used as the name of the HTML files created automatically for each individual Page (unless otherwise specified in the Page Properties window).

-

Move Up [CTRL+U] / Move Down [CTRL+D]: these options let you change the order of the Pages and/or Levels in the Sitemap, moving the selected Page/Level immediately above/below the one before/after it.

If you want to change the Page/Level order, you can also do it directly on the Sitemap, by dragging the item you want to move and dropping it in the position you want. Use the CTRL and SHIFT keys for multiple selections.

-

Expand / Collapse: you can expand/collapse the selected Level to see/hide the Pages it contains.

If you add a Welcome Page , a Blog , a Members Area (only one Page needs to be a Locked Page) or a Shopping Cart to your WebSite in Step 4 - Advanced Settings the Special Pages folder is added to the Sitemap, with the corresponding item names in it. Remember, though, that the Remove, Rename, Move Up/Down and Expand/Collapse commands have no effect on Special Pages. On the other hand, the Remove, Rename and Move Up/Down commands are active for any Aliases that you have created for the Welcome Page, Blog, Login Page or Shopping Cart because the Aliases are not Special Pages, but only represent them on the Sitemap. (Aliases are created by dragging Special Pages to another Page/Level of the Sitemap.)

When you have defined the Sitemap's structure, WebSite X5 proposes each Page in turn so that you can add the Page contents. Alternatively, you can double-click on the Page you want to work on, or select the Page and then click on Next if you are not working in a specific order.

Related topics:
- | Sitemap Creation
- | Sitemap Toolbar
- | Commands for designing the Sitemap


The Sitemap and the SiteMap

The Sitemap is created automatically according to the map defined in Step 2. The items in the Sitemap are links to each Page in the Website. The Sitemap helps the visitor find his way around the Website. The items in the Sitemap can be shown or hidden using the Expand All and Collapse All commands.
The Sitemap can also be displayed through links added to Text and Images in the various Pages (see the Sitemap action in the Links window) or through the Footer Menu where a link to the Sitemap is added automatically (if you select the Visible option for the Footer Menu item in Styles and Models | Text).

Even if you decide not to make the Sitemap visible, the Program still creates it as a SiteMap XML file, linked to the HTML code of the various Pages via the <sitemap> metatag. The Sitemap and the SiteMap are basically the same thing: the Sitemap (with a lowercase "m") is what the user sees in the Website, and the SiteMap (with an uppercase "M") is the XML version that contains a list of the Pages in the Website, and it's purpose is to ensure that the Search Engines scan all the Pages in the Website. You can also give the Search Engines useful information about the site's Pages through the SiteMap, such as:
- | How often each Page is updated;
- | When the Pages were last edited;
- | The importance of each Page in the Website (this parameter does not make any difference to a Page's positioning in the search results).

The SiteMap will be generated automatically if you select the Automatically Create a SiteMap option in General Settings | Expert. If you want to include information on updating frequency and Page importance, use the options in the Page Properties | Expert window, which can be opened from the Sitemap Creation window.

Related topics:
- | Sitemap Creation
- | How to create and link the Website's SiteMap


Page Creation

Once you have defined the Sitemap for your Project, you can start creating the various Pages that will make up your Website. The options in this window allow you to create a page by inserting objects in it.

The pathname and Title of the Page you are working on are indicated as the Current Page.

This window is divided into different areas:
- | A schematic representation of the Page where you can define the layout of the Page.
- | A list of all the available Objects which can be added to the page.
- | A Preview of the Page showing how and where the various Objects have been placed in the Page Layout Table.


Page Layout Table

The Page Layout Table

WebSite X5 uses a table to make page layout easy. The default table is 2 rows by 2 columns, giving a total of 4 Cells. To create your Page (add content to it), all you have to do is drag an Object from the list of those available and drop it into a Cell. A Cell can contain only one Object.

If you want, you can add rows and columns to the default table, so increasing the number of Cells available to contain Objects. You can also change the width of each column. As we will see, being able to modify the Page Layout Table and insert Objects so that they cover more than one Cell, horizontally and vertically, gives you plenty of scope for obtaining complex and professional page layouts.

Note: The Page Layout Table is not visible when a Browser shows your Website on the Internet. The sole purpose of the table is to help you lay out your Page contents to obtain the best effect. The Page Layout Table is not "translated" as a table in the Page's HTML code (apart from very few, specific cases of complex page layout combinations).

As mentioned above, a Cell in the Page Layout Table can contain only one Object, but an Object may cover adjacent Cells, and even take up more space that the physical size of the Page.

The way in which Cells are presented in the Page Layout Table changes according to their status:
- | If the Cell contains an Object that has not yet been populated, the Object's icon is displayed in the Cell with a background of gray diagonal lines;
- | If the Cell contains an Object that has been populated, the Object's icon is displayed in the Cell with a solid blue background;
- | If the Cell contains the selected Object, the border and selection handles are shown.

The options in the Toolbar let you modify the Page Layout Table's design and settings:

 Object Contents: this option is available when the selected Object has already been inserted in a Cell. When selected, a window opens where you can actually create the Object in question. The window changes according to the Object type.

Cell Style: this option is available when the selected Object has already been inserted in a Cell. It opens the Cell Style window and you can define the appearance of the current Cell.

Cell Margins: this option is available when the selected Object has already been inserted in a Cell. It opens the Cell Margins window, where you can specify the value in pixels of the Outer and Inner margins of the current Cell. You can also select the Custom Margins option to specify separate values for each side of the Cell: Upper, Right, Lower and Left (see The Box Model in WebSite X5).

Alignment: this option is available when the selected Object has already been inserted in a Cell. You can align the Object to the Top/Center/Bottom and Left/Center/Right of the Cell it is in.

Insert Row / Remove Row: you can insert a new row before the one containing the selected Cell, or remove the row containing the selected Cell. Tables can have a maximum of 64 rows.

Insert Column / Remove Column: you can insert a new column before the one containing the selected Cell, or remove the column containing the selected Cell. Tables can have a maximum of 12 columns.

If you select an empty Cell, the new rows/columns are inserted before it. If you select an Object, the new rows/columns are inserted before the first Cell that is occupied by the Object. If you do not select any Cell or Object, the new rows/columns are inserted at the bottom of the Table.

By default, all the rows and columns in the Page Layout Table have the same height and width. You can change the column width, as an absolute (pixel) or relative (%) value, by dragging the cursors at the bottom of the Table to the left or right.
- | Click and drag the cursor to change the column width. The width value is displayed as the cursor is dragged. Press CTRL while dragging the cursor to move the column margin one pixel at a time. Otherwise, the movement is equal to 10% of the available space at a time.
- | Click the right mouse button on a cursor and select Set Column Width from the Popup Menu to enter the column width as a pixel value.
- | Click the right mouse button on a cursor and select Reset Equal Column Width from the Popup Menu to return all the columns to the same width.

Related topics:
- | Page Creation
- | The Objects available for Creating Pages
- | The Box Model in WebSite X5


The Objects available for Creating Pages

To insert an Object in a Page, select its icon from the list of Available Objects and drag&drop it into a Cell of the Page Layout Table.

You can only insert one Object in each Cell of the Page Layout Table, but an Object can occupy more than one Cell, both horizontally and vertically.
Drag the Object's icon to the border of an adjacent Cell that you want it to occupy. Alternatively, you can "pull" the icon by its sizing handles to enlarge it so that it covers more than one Cell.

If an Object covers more than one Cell, and you decide to move it to a different position on the Page, its size (number of Cells occupied) is maintained if this is compatible with other Objects that may be present (remember: a Cell cannot contain more than one Object). You might find it easier to use the arrow keys to work on the table:
- | arrow keys: these keys change the selection from one Cell to another in the Page Layout Table.
- | CTRL + arrow keys: this key combination moves the selected Object from one Cell to another (maintaining its size).
- | SHIFT + arrow keys: this key combination changes the size of the selected Object as it moves around the Cells, enlarging or reducing it according to whether other Cells already contain an Object or not.

If you right-click on an Object icon in a Cell, or right-click in an empty Cell, a Popup Menu appears with these options: Cut, Copy, Paste, Remove, Cell Style, Insert Row, Insert Column, Remove Row, Remove Column.
With these options you can, for example, copy an Object in one Cell and paste it into another one or another Page. Or you can delete an Object that has been inserted in a Cell. You can also delete an Object by dragging it outside the Page Layout Table, or by selecting it and pressing the DEL key. If you insert an Object in a Cell that already contains an Object, this is automatically deleted and replaced by the second one. If you drag an Object to a Cell that is already occupied by another Object, the two Objects exchange Cells.

When you select the Cell Style option from the Popup Menu, another menu appears with the Copy Stylet and Paste Style options in it. These options are used for applying the settings defined for one Cell in the Cell Style window to another Cell.

When you have inserted an Object in a Cell, you can then define its contents: double-click on the Cell containing the Object, or select the Object, and then click on the [image] Object Contents button. The window that next appears depends on the type of Object that has been inserted in the Cell. The possible windows are: Text Object, Table Object, Image Object, Flash Animation Object, Video/Audio Object, Gallery Object, E-mail Form Object, Product List Object, HTML and Widgets Object.

You do not have to populate all the Cells in the Page Layout Table. Remember, however, that an empty cell corresponds to an empty space on the published Page.

To make the most of the page layout possibilities, remember that the software works in the following way:
- | The Page width is determined by the Template.
- | The column width in the Page Layout Table is obtained by dividing the width of the page by the number of columns that are inserted. By default, all the columns have the same width, but you can change this.
- | All the Cells in the same row of the Page Layout Table have the same height. The height is determined by the height of the largest Object in that row.
- | The size of the inserted Objects is adjusted automatically according to the size of the Cells in the Page Layout Table.

Related topics:
- | Page Creation
- | The Page Layout Table


Text Object

Text is a very important element of the contents of an Internet website. As well as Images, Videos and Flash Animations, a lot of site contents are made up of Text.

Writing for the Web isn't the same as writing for something that is going to be printed: the Internet has different characteristics, such as the support used for displaying text (the screen of a computer or mobile device), how the text is read (on a computer this is more like a quick scan than a concentrated reading of a book) and a potentially unlimited number of alternatives (just think of how many sites deal with the same subjects).

To attract the attention of visitors, entice them to read your Website and persuade them that you have something worth offering, the text that you write has to be suited to online publication. What you write must be interesting and to the point. Divide the text into short sentences and paragraphs so that it is easier to read and less heavy to look at. Pay particular attention to the formatting: use bold, italics, titles and subtitles, etc. with care and coherency.

Visitors are more attracted to web sites that have been carefully thought out: Nothing is more likely to deter a visitor from returning to a site, or continuing its navigation, than text full of spelling mistakes, an unattractive layout, complicated reading, and so on.

With WebSite X5, you will be able to create texts using the built-in editor and find all the necessary formatting commands at your disposal. Texts that have been created with other programs can be added with simple Copy and Paste operations.

What you have to do

Double-click in the Text Object in the Page Layout Table to open the Text Object window. You will be shown the built-in editor with which you can type in and format your texts.

The text editor looks like this:

The following commands are available:

 Cut [CTRL+X] - Copy [CTRL+C] - Paste [CTRL+V]
You can cut, copy and paste the selected text. Pasted text will lose any formatting (bold, italics, etc) that was applied in its original document and it will take on that of this editor.

Paste Special
Use this option if you want to maintain the original formatting of cut or copied text when it is pasted into your text.

With the Cut, Copy and Paste commands, you can retrieve text created previously with other editors.

Undo [CTRL+Z] - Redo [ALT+CAPSLOCK+BACKSPACE]
The first of these two commands undoes the effect of the last action that was carried out, and the second restores the effect that has been undone.

Insert Link [CTRL+L]
This option opens the Links window and you can set up a hypertextual link to the selected word/words.

Insert Image
You can add an image (in .JPG, .GIF, .PNG or .BMP format) to the text. Images that are inserted in a Text Object are automatically resized according to the Cell in the Page Layout Table. If you want to alter the Image's dimensions, select it and drag the selection handles until the image is of the right size. For specific page layout considerations you may prefer to work on an Image Object in the Image Object window.

Enable HTML Code
Select this option if you want to add text directly as HTML code in the Page. When you work in HTML mode, the < and > characters are not interpreted as "less than" or "greater than"; instead whatever text comes between them is interpreted as an HTML tag.

RollOver Settings
You can apply a RollOver effect to the text, so that it can be scrolled. The settings for this are defined in the RollOver Settings window.

Fit Content to Cell Width
This option lets you preview what the text will look like in the Cell where it is to be inserted.

Light/dark background
You can choose whether to have a light or dark coloured background for the Text editor window: this option is useful if, for example, you are working on texts that are written in white.

Font type - Font size
You can choose the type of character (font) to use for your text, and its size.

The Drop Down Menu lists all the fonts that are available on your computer. If you choose a font that is not also available on the Website visitor's computer, it will be automatically converted into a font that is similar to the original one.

Bold [CTRL+B] - Italic [CTRL+I] - Underlined [CTRL+U]
You can apply bold, italics and underlining to the selected text.

Text Color - Background Text Color
You can choose a color for the selected text or for the background of the selected text, in the Color window that opens.

Bullet List
You can insert a bullet list.

Increase Indent / Decrease Indent
You can increase or decrease the indent of the selected paragraph.

Align Left - Align Center - Align Right - Justify
You can align the selected text horizontally to the left, center, right, or justify it.

Text on the Right - Default - Text on the Left
These options are active when an image is inserted inside text. You can choose to have the image inserted normally, like any word (default), or whether the text should be displayed round the image, to the left or the right.

Click on the righthand mouse button to display a Popup Menu which also gives you the Undo, Cut, Copy, Paste, Paste Special and Select All commands.

Related topics:
- | Page Layout Table
- | Available Objects
- | Insert Link
- | RollOver Settings


RollOver Settings

This window opens when you press the [image] button in the Text Object Editor: the options allow you to define the settings for a Rollover effect.
First of all you need to select the Enable Rollover option, then you can choose how to visualize the effect in the Type section:

-

Movement: you can choose the rollover style. It may be:

None - Show Scrollbar: the test doesn't scroll but, as the Cell height is fixed (see the Height option), if this is not sufficient to display all the text a scroll bar will be added automatically.

Single Slide: the text scrolls in the given direction and stops when the end of the text is reached.

Continuous Scroll: the text scrolls in the given direction and when the end of the text is reached it starts scrolling again from the beginning.

Alternate Scroll: the text scrolls in the given direction and when the end of the text is reached, it starts scrolling in the opposite direction.

Scroll in Sections: the text is (virtually) divided into sections at the height specified in the Height option. Scrolling starts from the first section, followed by a pause, and then the second section is scrolled. This continues until the last section has been scrolled, and then the first section reappears. This effect works best when the text is written and formatted in a uniform manner so that it can be divided equally into sections of the same height.

-

Direction: you can specify the direction for the rollover - Top, Bottom, Left or Right.

The Options section contains the following items:
- | Effect: you can choose between Linear, Alternate and Swing for all movement types, with the exception of Continuous Scroll.
- | Height: you can specify the height of the Cell containing the text.
- | Length (secs): you can specify how many seconds the effect is to last for. If you have selected Single Slide, Continuous Scroll or Alternate Scroll, the length is the time it takes to complete the effect, before starting from the beginning. If you have selected Scroll in Sections, the length is the time it takes to display a section, before passing on to the next.
- | Stop on Mouse Over: scrolling will stop when the mouse moves over the text.

 The Height option is only available if the RollOver is set to vertical (Direction: Top or Bottom). If the RollOver setting is horizontal (Direction: Left or Right), the effect is better if the Text Object occupies an entire row of the Page Layout Table.

Related topics:
- | Text Object
- | Table Object


Image Object

The images are among the most frequently-used elements in a web page. They are used to put across an idea, to advertise a product, to give a message, or just to make the page look nice. Whatever the case, images are important because they help create the overall impression of a website and increase the perception that it is attractive, well thought-out and professional.

With WebSite X5 you can import images in all the main graphic formats, and you also have a built-in graphic Editor at your disposal for touching up photos: cutting, rotating, correcting, adding masks, filters and frames. You can also obtain fantastic landscape and close-up views of your Images.

WebSite X5 is very much aware of the problem of unauthorized copies of images from the Internet. A built-in protection system prevents your Website visitors from tracing the original file, and it is possible to apply watermarks and copyrights.

 If you need to use high-quality images on your Website, go to your control panel on my.websitex5.com: you will find 6.000 royalty-free images to choose from here.

What you have to do

Double-click on the Image Object you have inserted in the Page Layout Table to open the Image Object window. Here, you can specify the image file to be imported, define its properties, set zoom and landscape effects, decide whether to include it in the SiteMap and, if so, enter all the necessary information.

The options for creating an Image Object are organized in three sections:
- | General
- | Display
- | SiteMap

Related topics:
- | Page Layout Table
- | Available Objects
- | Built-in Graphic Editor


Image Object | General

You can define and edit the Image Object with the options in the General section of the Image Object window.

Using WebSite X5, you can import all the main graphic formats (.JPG, .GIF, .PNG, .PSD, .BMP, .TIF, .DIB, .PCX, .RLE, .TGA, .WMF) by simply selecting the image file from your PC or directly online from the Internet.

A preview of the Image to be imported is shown in the Preview box. Click on the Edit button underneath the preview to open the built-in Graphic Editor.

You can define a number of Properties for the imported Image:

-

Title: this is the name you give to the Image; it is entered in the title attribute of the <img> tag in the Page's HTML code.

-

Alternative Text: this is the text that is shown when the Image cannot be displayed for some reason. In the Page's HTML code, the alternative text is entered in the alt attribute of the <img> tag.

The Title and Alternative Text parameters must be considered carefully, because they are important for site accessibility and optimization.

-

Link: you can add a hyperlink to the Image. Click on the [image] button and select the action to be taken and relative options in the Links window.

-

Quality: you can specify the level of quality that is to be maintained when the Image is saved in .JPG format.
All imported Images are automatically converted to .JPG format or, if transparency has been set, to .PNG format. For files in .JPG format, a high compression factor results in lower quality.

Graphic files should be inserted in .GIF or .JPG format. All Images that are not in .JPG, .GIF or .PNG format are automatically converted to .JPG, according to the specified compression level. All files are converted to .JPG (or .PNG, if transparency has been set for the Image) even when the Image is larger than the Cell in the Page Layout Table, and when the Image is edited using the built-in Graphic Editor.
In all other cases, the Image is copied as it is. This ensures that any transparency effect applied to the .GIFs will be maintained.

Finally, you can select the Protection options to prevent unauthorized copies of your Images being made:
- | Protect Image against copy: if you select this option, visitors will not be able to copy the Image using the Save as option in Browsers' popup menus. The Image is incorporated into a Flash Object so that it cannot be copied and, maybe more importantly, the Image's original filename cannot be seen in the Page's HTML code.
- | Add Watermark and Copyright: this option offers further protection and, if selected, a watermark is superimposed on the Image so that this is "hidden". A Copyright is also added: the text of the copyright is taken from the Website Author entry in the General Settings | Basic window of Step 1.

 The following are a few notes on how the Image protection system works:
- | When the protection system is activated, the Images are incorporated in a Flash Object: this means that the values of Title and Alternative Text are not maintained in the HTML code and so they cannot be used for Page optimization.
- | In order to maintain maximum efficiency of the protection system, protected Images are not included in the SiteMap. If they were, visitors to your Website would be able to trace the original Image filename in the Sitemap's XML file and so download the Image.
- | If you do not want to activate WebSite X5's protection system, but still want some protection, you can set a watermark image as a mask for the Image in the built-in graphic Editor.

Related topics:
- | Image Object
- | Graphic Editor


Image Object | Display

In the Display section of the Image Object window you can give your Image a panoramic view with zoom (close-up) and movement effects.

The options are:

 Automatically resize Image: this option is active by default. The size of the Image is automatically adapted to the size of the Cell in the Page Layout Table where you insert it.

Manually enlarge and move the Image: if you select this option, you can enlarge the Image by clicking on it. The maximum size is set by the zoom factor. You can move the enlarged Image around to bring a particular detail into the foreground: click on the Image and drag it until you reach the required position.
To obtain this effect, the Image is first shrunk to the size of the Page Layout Table Cell and then re-calculated either according to the Max Zoom factor (if you choose Free Movement as the Movement Mode) or in proportion to the set Height (if you choose Horizontal Panoramic View or Vertical Panoramic View as the Movement Mode). The resulting Image will be bigger than the display area and can be moved around inside it.

Automatically enlarge and move the Image: this option is almost the same as the previous one, except that the Image is moved by simply moving the mouse near the edges of the Image.

When you have selected the Manually enlarge and move the Image or Automatically enlarge and move the Image options you can specify the Zoom Settings:

-

Movement Mode: you can indicate the direction in which the Image is to be moved, manually or automatically.

-

Free Movement: the Image can be dragged horizontally or vertically. Specify the Max Zoom value: a zoom factor of 200%, for example, will display the Image at twice its original size.

Before ... | ... after

-

Horizontal Panoramic View: you can drag the Image horizontally. This effect works well on Images that are much wider than they are high. Enter the Image's height, in pixels, in the Height field.

Before ... | ... after

-

Vertical Panoramic View: you can drag the Image vertically. This effect works well on Images that are much taller than they are wide. The value in the Height field for this option is the height, in pixels, that you want to maintain for the Cell in the Page Layout Table.

Before ... | ... after

-

Max Zoom: this option is only available for the Free Movement option. You can set the zoom factor for the Image so that it is bigger than the available viewing area. If the Image were not enlarged, you wouldn't be able to drag it.

-

Height: this option is only available for the Horizontal Panoramic View and Vertical Panoramic View options. In the first case, you can set the Image's height (in pixels) and, in the second, the height of the Cell in the Page Layout Table in which the Image has been inserted.

-

Enable Image Enlargement: this option is active by default. The Image can be enlarged or reduced by clicking on it. When the Page is opened, the Image is displayed at its original size and the icon in the bottom right corner indicates that zooming is possible. Each mouse click enlarges the Image by the current zoom factor.

-

Show the Zoom Bar: this option is only available if Enable Image Enlargement is active. You can display a zoom bar in the Image window where the user can drag the cursor backwards and forwards to regulate and set the zoom.

-

Show the Navigator: if you select this option, the user will see a small window inside the Image that contains a thumbnail of the Image itself: this is the navigator. Its purpose is to show the whole Image and highlight the detail that is currently on view in a box.
The possible actions are:
- | Click on the box and drag it to a new position. This is the same as moving the Image manually.
- | Click inside the navigator, but outside the detail box, to drag the navigator around the Image window.
- | Click on the bottom right corner of the navigator and drag it sideways to re-size the navigator.
If you move the mouse outside the Image window, the navigator disappears out of the nearest edge.

-

Enable Automatic Continuous Movement: if you select this option, the Image will continue to move while it is on display. This indicates to visitors that there is more to see and that the Image can be enlarged. The user assumes movement control by moving the mouse near the edges of the Image. He can zoom by clicking once to enlarge and a second time to return to the original size.

Related topics:
- | Image Object
- | Graphic Editor


Image Object | SiteMap

The options in the SiteMap section of the Image Object window let you add extra information about the Image you are working on to the Website's SiteMap.

First of all, select the Add Image to SiteMap option: information about the Image is added to the SiteMap that WebSite X5 creates automatically (see Automatically create a SiteMap in General Settings | Expert). The following settings can then be defined:
- | Title: you can give the Image a title (optional).
- | Caption: you can give the Image a caption, or brief description (optional).
- | Geographical Position: you can give information such as address, town, country, that identifies the Image's geographical position (optional).
- | Licence URL: you can give the URL of the file containing the Image user licence (optional).

 Images that are protected against unauthorized copy and use cannot be added to the SiteMap (see Protection in Image Object | General).

Related topics:
- | Image Object
- | Graphic Editor
- | How to create and link the Website's SiteMap


Table Object

Tables are very useful for organizing and representing data.

Tables can often present information more clearly than a long and wordy text. If you use a table to present a hotel price list, for example, giving the cost of the different types of rooms in different periods of the year, it will be much clearer and easier to read than pages of text giving the same information.

Tables can also contain graphic images, that help make the page look more attractive and break the monotony of a long text.

If you decide to use a table to present your information, make sure it is not too complicated, that the information is presented clearly and logically, and that the table is easy to read and attractive.

What you have to do

Double-click on the Table Object you have inserted in the Page Layout Table to open the Table Object window. This window has an editor that you can use to create your table.

The default Table consists of two rows and three columns and covers the whole width of the Cell that it is in. You can add or remove rows and columns, change their size, merge and split cells, as necessary.

The following commands are available:

 Cut [CTRL+X] - Copy [CTRL+C] - Paste [CTRL+V]
You can cut, copy and paste selected text. Pasted text will lose any formatting (bold, italics, etc) applied in the original document and take on that of this editor.

Paste Special
You can use this option if you want to maintain the original formatting of cut or copied text when it is pasted into your Table.

Undo [CTRL+Z] - Redo [ALT+CAPSLOCK+BACKSPACE]
The first of these two commands undoes the effect of the last action that was carried out, and the second restores the effect that has been undone.

Insert Link [CTRL+L]
This option opens the Links window and you can set up a hypertextual link to the selected words and/or images.

Insert Image
You can add an image (in .JPG, .GIF, .PNG or .BMP format) to the Table cell. If the image needs re-sizing, select it and drag the selection handles until it is the right size.

Enable HTML Code
Select this option if you want to add text directly as HTML code in the Table. When you work in HTML mode, the < and > characters are not interpreted as "less than" or "greater than"; instead whatever text comes between them is interpreted as an HTML tag.

RollOver Settings
You can apply a RollOver effect to the text, so that it can be scrolled. The settings for this are defined in the RollOver Settings window.

Light/dark Background
You can choose whether to have a light or dark background for the Table editor window: this option is useful if, for example, you are working on texts that are written in white.

Insert Row / Remove Row / Insert Column / Remove Column
You can add a row or column after the one where the cursor is positioned, and delete the row or column where the cursor is positioned.

Merge Cells - Split Cells
You can merge adjacent cells to form a single cell, or you can split a cell into two horizontally adjacent cells.

Font type - Font size
You can choose the type of character (font) to use for your text, and its size.

The Drop Down menu lists all the fonts that are available on your computer. If you choose a font that is not available on the Website visitor's computer, it will be automatically converted to a font that is similar to the original one.

Bold [CTRL+B] - Italic [CTRL+I] - Underlined [CTRL+U]
You can apply bold, italics and underlining to the selected text.

Text Color - Background Text Color
You can choose a color for the selected text or for the background of the current cell, in the Color window that opens.

Cell Border Style
You can choose the style for the borders of the current cell. You can specify the color and width of each one of the four borders of the cell.

Bullet List
You can insert a bullet list.

Align Left - Align Center - Align Right - Center - Justify
You can align the selected text horizontally to the left, center, right, or justify it.

Default - Text on the Left - Text on the Right
These options are active when an image is inserted in a cell with text. You can choose to have the image inserted normally, like any word (default), or whether the text should be displayed round the image, to the left or the right.

Align Top - Align Middle - Align Bottom
You can choose to have the selected text aligned vertically to the top, center or bottom of the cell.

Click on the righthand mouse button to display a popup menu which also shows the Undo, Cut, Copy, Paste and Paste Special commands, plus the following two commands:

-

Row Height
You can specify the height (in pixels) of the selected rows. A value of 0 gives the rows the minimum height necessary to display the contents.

-

Column Width
You can specify the width (in pixels) of the selected columns.

The size of the rows, columns and single cells can be changed by dragging the borders with the mouse (holding down the lefthand button while you move the mouse). You can change the width of single cells, and the changes only affect the selected cell.

A Table that does not contain any text is not displayed.

Related topics:
- | Page Layout Table
- | Available Object
- | Insert Link
- | RollOver Settings


Flash Animation Object

WebSite X5 can handle many different kinds of Animation and special effects, so that you can make your Website more attractive.

You can add any sort of Flash Animation to your Website (in SWF format), from simple banners with text and images to complex interactive videos, stored either on your own computer or already published on the Internet.

You can attach all the files that are necessary for your Animation to run properly in the Expert section.

What you have to do

Double-click on the Flash Animation Object that you have inserted in the Page Layout Table to open the Flash Animation Object window. Here, you can enter the name of the file to insert, define its properties and attach any files that are associated with it.

The commands for working on Flash Animation Objects are in two sections:
- | Basic
- | Expert

Related topics:
- | Page Layout Table
- | Available Objects

 Try out the SWiSH Max software for creating Flash animations in a ... flash!
See http://www.incomedia.eu/en/swish_max4.html for full details.


Flash Animation Object | Basic

Using the options in the Basic section of the Flash Animation Object window, you can choose the file to insert.

The Flash Animation file can either be on your computer or stored on the Internet. If the file is on your computer, select Local File on PC: click on the [image] button to look through the available files and choose one in SWF format. If the file is on the Internet, select Internet File and type in the address at which it is stored.

Select Preview to see a preview of your Animation.

 You must have Macromedia Flash Player installed on your computer to view Flash files, including the preview.

You can set the following Properties for the Animation you have inserted:
- | Alternative Text: enter the text to show if the Flash Animation cannot be played for some reason.
- | Width: enter the width, in pixels, of the Flash Animation. The maximum possible value is shown in brackets, and it depends on the settings of the Page Layout Table.
- | Height: enter the height, in pixels, of the Flash Animation.
- | Player version: specify which version of the Flash Player users will need to view the Flash Animation. If the user does not have the correct version, an update request will be displayed.
- | Transparent Background: select this option if you want to give the Flash Animation a transparent background.

Related topics:

-

Flash Animation Object

Try out the SWiSH Max software for creating Flash animations in a ... flash!
See http://www.incomedia.eu/en/swish_max4.html for full details.


Flash Animation Object | Expert

In the Expert section of the Flash Animation Object window, you can indicate any files that need to be included so that the Flash Animation works correctly.

All the files that are linked to the Flash Animation are listed in a table. The file name and Relative Server Path are also given.

You can use the following options for the linked files:
- | Add: you can add a new file to the list, in the Upload linked file window.
- | Edit: you can change the settings of the selected file in the linked files table, in the Upload linked file window.
- | Remove: you can remove the selected file from the linked files table.

This option is also available:

-

Pathname for uploading the Flash file: you can specify the pathname of the folder to which the Flash Animation SWF file is to be uploaded.

Related topics:

-

Flash Animation Object

Try out the SWiSH Max software for creating Flash animations in a ... flash!
See http://www.incomedia.eu/en/swish_max4.html for full details.


Video/Audio Object

With WebSite X5 you can entertain visitors to your Website by adding videos and audio.

Videos are living their moment of glory: almost everyone can make a video, copy it to the computer, edit it and then publish it on the Internet. Uploading videos to your Website and sharing them with visitors is extremely easy with WebSite X5. The program can handle all the main formats and has a built-in Player for FLV and MP4 files. You can import local files (on your computer) or files that you find on the Internet, including those on portals such as YouTube and Vimeo.

What you have to do
Double-click on the Video/Audio Object in the Page Layout Table to open the Video/Audio Object window. Here, you can specify the file you want to import, define its properties, decide whether to include it in the SiteMap and, if so, enter the necessary information.

The options for creating a Video/Audio Object are in the following sections:
- | General
- | SiteMap

Related topics:
- | Page Layout Table
- | Available Objects


Video/Audio Object | General

Using the options in the General section of the Video/Audio Object window, you can choose the file to use for creating the Video/Audio Object, and give indications on how it is to be played.

The procedure for inserting a Video/Audio Object depends on where the file to be imported is stored:

-

Local file on PC: if you select this option, double-click on the [image] button to find your file on the computer. It must have one of the following formats: .MP4, .FLV, .AVI, .WMV, .MPG, .MOV, .MP3, .WMA, .WAV, .MID, .AIF, .M4A.

-

Internet file: if you select this option, enter the URL address where the Video or Audio file is to be found online.

-

YouTube/Vimeo Video URL: if you select this option, enter the URL address where the Video/Audio file is to be found on the YouTube or Vimeo portal.

If you import a Video from YouTube following this procedure, it will be re-sized according to WebSite X5's settings. If you want to maintain the original size, you can import it using the HTML and Widgets Object, instead of the Video/Audio Object.

A Video/Audio Object Preview is available.

Different Players are used for playing the various Video/Audio file formats:

Player | Video Files | Audio Files
WebSite X5 Media Player | .MP4 and .FLV | .MP3
Microsoft Windows Media Player | .AVI, .WMV and .MPG | .WAV and .WMA
QuickTime Player | .MOV e .AIF | .M4A

Whatever Player is used, you can define the following Properties:
- | Alternative Text: enter the text that is to be shown if the Video/Audio cannot be played for some reason.
- | Width: enter the width, in pixels, of the Video or the Audio Control Bar. The maximum possible value is shown in brackets, and it depends on the settings of the Page Layout Table.
- | Height: enter the height, in pixels, of the Video or the Audio Control Bar. The maximum possible value of 35 pixels for the Audio Control Bar is shown in brackets. The minimum value is 15 pixels.
- | Show Control Bar: you can display a Control Bar with all the commands necessary for playing Video and Audio.
- | Autoplay: if set, the Video/Audio will start automatically.

The following Properties can also be defined for files that are played by the WebSite X5 Media Player:
- | Enable Full Screen view: the full screen button will be available in the Video Controls Bar.
- | Automatically hide the Control Bar: the Controls Bar will only be shown when the mouse is pointing to the window where the Video/Audio is playing.
- | Control Bar Color: you can define the color of the Controls Bar in the Color window.

Related topics:

-

Video/Audio Object


Video/Audio Object | SiteMap

You can use the options in the SiteMap section of the Video/Audio Object to add extra information about the Video you are working on to the SiteMap.

First of all, you have to select Add Video to the SiteMap: when WebSite X5 creates the SiteMap (see Automatically create a SiteMap in General Settings | Expert) the information on the Video will be added. You can now continue with the following options:
- | Title: this is obligatory. You must give the Video a title. Google sets a maximum of 100 characters for titles.
- | Caption: this is obligatory. You must enter a caption (brief description) for the Video. Google sets a maximum of 2048 characters: longer captions will be cut short.
- | Category: this is optional. You can specify a category that the Video may belong to. Google specifies that a Video can belong to only one category, and the maximum length of the category name is 256 characters.
- | Website Keywords: this is optional. You can specify a tag list (brief descriptions of the main aspects of the Video). Google specifies that a Video can have up to 32 tags.
- | Image preview of the Video: this is obligatory. You must specify a preview Image for the Video. Google suggests using 120x90 pixel thumbnails, in .JPG, .PNG or .GIF format.
- | Published on: this is optional. You can enter the date when the Video was first published.
- | Length (secs): this is optional. It indicates how long the Video lasts. Google strongly recommends that you give this information, inserting a value between 0 and 28800 (equivalent to 8 hours).
- | Contents suitable for everybody: this is optional. You can specify whether the contents of the Video are suitable for young people. Google warns that if a Video is not indicated as suitable for young people, it will only be available to users who have the SafeSearch filter switched off. Goggle's SafeSearch function filters sites with explicit sexual or pornographic contents and removes them from the search results.

Related topics:
- | Video/Audio Object
- | How to create and link the Website's Sitemap


Oggetto Galleria

Gallery Object

Digital cameras and online services are very widespread today, and it is now extremely easy to publish and share entire photo collections on the Internet.
You can publish your family photo albums and share them with relatives and friends who live far away. Or you can create albums and catalogues for your hobbies and for work.

With WebSite X5 you can include incredible Galleries to show not only your photographs but also your own videos. The Galleries are in Flash or JavaScript and they use different methods of display and navigation: the way in which a button bar or the thumbnails are displayed differs.

Usually, JavaScript Galleries differ from Flash Galleries not only for the different technologies that are used, but primarily for the use of the ShowBox window where enlarged Images are displayed. When the user clicks on one of the thumbnails, the corresponding Image or Video opens in a window that covers the main Page. When the mouse moves over the Image, buttons for showing the next/previous Images are displayed, without having to go back to the thumbnails.

You can customize the ShowBox's look: the options in the Styles and Models | ShowBox section of Step 4 - Advanced Settings allow you to set the color, opacity, shadow, and opening effects, for example.

What you have to do

Double-click on the Gallery Object inserted in the Page Layout Table to open the Gallery Object window. Here, you can select the type of Gallery you want in Flash or JavaScript, create a list of Images/Videos to use in the Gallery, define the settings to customize it and, if you want, change the thumbnail graphics.

The options for creating a Gallery are divided into three sections:
- | Style
- | List
- | Thumbnails

 JavaScript Galleries can be opened from a link inside the Pages: see Links for more information.

Related topics:
- | Page Layout Table
- | Available Objects
- | Styles and Models | ShowBox


Gallery | Style

Gallery Object | Style

The options in the Style section of the Gallery Object window allow you to choose the type of Gallery you want and to define its general style.

WebSite X5 gives you the choice of two Gallery types: Galleries in Flash and Galleries in JavaScript.

The possible Galleries in Flash are:
- | Classic SlideShow In this Gallery, the Images and Videos are presented in sequence, one after the other. The way in which the Images or Videos are displayed depends on the settings: you can specify special effects and entrances. You can control the sequence through the Controls Bar. You can also display thumbnails in the Control Bar so that the user can immediately enlarge the Image or Video that interests him.
- | Horizontal Gallery A horizontal series of thumbnails is presented in this Gallery, above or below the Image in the foreground. Move the mouse over the thumbnails to make them scroll left or right. Click on a thumbnail to display the enlarged Image or Video in the foreground. The enlarged Images enter the screen according to your settings.
- | Vertical Gallery This Gallery behaves in the same way as the previous one, except that the thumbnails appear vertically, either to the left or the right of the Image in the foreground.

The possible Galleries in JavaScript are:
- | Thumbnails This Gallery shows all the thumbnails. Click on a thumbnail to open an Image or a Video in the foreground in the ShowBox.
- | Thumbnails per Frames This Gallery is very like the previous one but, if you have a lot of Images in the Gallery, you can divide them into frames and specify how many rows of thumbnails to display. A Controls Bar lets the user move between frames, whilst remaining on the same Page.
- | Horizontal Thumbnails A single horizontal row of thumbnails is displayed in this Gallery. Click on a thumbnail to display the corresponding Image or Video in the ShowBox.
- | Vertical Thumbnails This Gallery works as the previous one, except that the thumbnails are displayed vertically.

The settings vary according to the type of Gallery you have selected.

The following Settings are available for Flash Galleries:
 |  | Classic SlideShow | Horizontal Gallery | Vertical Gallery
- | Width: you can define the maximum width, in pixels, of the Images. | Yes | Yes | Yes
- | Height: you can define the maximum height, in pixels, of the Images. | Yes | Yes | Yes
- | Show Thumbnails in the Control Bar: this setting is active by default. The Control Bar (displayed on mouseover) shows the command buttons and thumbnails of all the Images. The user can choose which Image or Video to look at, without having to view them all in sequence. | Yes | No | No
- | Visible Thumbnails: set the number of thumbnails to be displayed next to the main Image. | No | Yes | Yes
- | Thumbnails Position: you can indicate where the thumbnails are to be displayed, with respect to the main Image. | No | Yes | Yes

The following Properties are also available for Flash Galleries:
- | Show Control Bar: this is active by default. You can specify that the Control Bar appears only on mouseover. The user can use the Control Bar to look through the Images and Videos in a Gallery. The basic Control Bar has these buttons: Start SlideShow, [image] Previous Image and [image] Next Image.
- | Autoplay: the Image and Video SlideShow starts automatically as soon as the Gallery is displayed.
- | Random View: the Images and Videos are shown in a random order, and not in the order they were added.
- | Control Bar Color: you can specify the color of the Control Bar in the Color window.
- | Background Color: you can specify the Gallery's background color in the Color window.
- | Font Size: you can specify the size of the characters displayed in the captions of the Image or Video in the foreground.
- | Soundtrack: you can specify a soundtrack (in .MP3 format) that is to be played while the Gallery is on display.

The Settings for JavaScript Galleries are:
- | Visible Thumbnails: you can specify how many thumbnails are actually shown.
- | Rows per Page: you can specify how many rows there are in a frame. This setting is only available for the Thumbnails in Frames Gallery.
- | Display Enlarged Image on Click in Showbox: this setting is active by default. You can set a link to the Image or Video that is to be displayed in the ShowBox directly in the thumbnail.
- | Width / Height: you can set the maximum width and height of the ShowBox. This setting is only available if the Display Enlarged Image on Click in Showbox setting is active.

Related topics:
- | Gallery Object
- | Styles and Models | ShowBox


Gallery Object | List

The options in the List section of the Gallery Object help you compose the list of Images or Videos that are to be added to the Gallery.

All the files that have already been added to the Gallery appear in a list, the Image Filename: select a file to see a preview of it.
The file list gives the pathname of each Image and Video, the associated entry effect of each one and a tick that indicates that the file has a link and a description.

The following options are available for creating the Gallery Object:

-

Add / Remove: you can add or remove files to/from the Gallery. You can add files in the following formats: .JPG, .GIF, .PNG, .PSD, .BMP, .TIF, .DIB, .PCX, .RLE, .TGA, .WMF. You can also add Video files in .FLV and .MP4 formats. Click on the Add button to display a sub-menu with the following items: Add Image, Add Video and Add YouTube/Vimeo Video.

In the window that opens when you click on Add YouTube/Vimeo Video, you can specify the URL address of a video that is already published on YouTube or Vimeo.

-

Move Up / Move Down: you can move the selected file before the previous file/after the next file in the Image Filename list.

-

Edit: you can use the built-in Graphic Editor to change the Image selected from the list.

You can set various options for each Image/Video, depending on the Gallery style you have chosen (see Gallery Object | Style).
- | Effect: click on the [image] button to open the Effect Properties window, where you can set entrance, movement and zoom effects for Images and Videos in the Gallery. The effects can only be seen in Flash Galleries. In JavaScript Galleries, all the Images and Videos are shown with a Fade effect.
- | Link: click on the [image] button to open the Links window. You can specify the link to associate with an Image selected from the Image List. In JavaScript Galleries, the link set with this option replaces the one for an enlarged Image, even if the Display Enlarged Image on Click in Showbox setting has been selected. In Flash Galleries you can also add links to Videos.
- | Description: you can write a description of the Image or Video that has been selected from the Image List. The description will be shown at the bottom of the window in which the enlarged Image or Video appears.

Related topics:
- | Gallery Object
- | Graphic Editor
- | Effect Properties


Gallery Object | Thumbnails

The options in the Thumbnails section of the Gallery Object window let you set the graphic aspect of the thumbnails in the Galleries that have them.

A thumbnail is a small version of the Image or Video in the Gallery, and it is created automatically by the Program. Thumbnails are displayed inside a frame to make them look like slides, negatives, post-its, etc.

To define the look of the thumbnails you can choose whether to use:

-

Preset Image: you can choose the frame for the thumbnail from a selection.

-

Custom Image: you can load a graphic file (in formats .JPG, .GIF, .PNG, .BMP, .PSD, .TIF, .DIB, .PCX, .RLE, .TGA or .WPG) that contains the image of the frame you want to use.

If you choose to create a new frame, prepare the image and save it in a file (in one of the above formats): frames should be square and, if you want to maintain outer transparency, save the file in .PNG format.

The following Options are also available for thumbnails:

-

Outer Image Margin (%): you can specify the margin between the thumbnail Image and its frame.

-

Enable Color Saturation: if this option is active, you can indicate the color saturation of the thumbnail frame in the Color window: a coloring effect is applied to the frame to reach the color you want.

Color saturation has no effect on black or white frames.

Related topics:

-

Gallery Object


E-mail Form Object

When you're navigating in the Internet, you often come across pages where you are asked to fill in a form that is then sent back to the site owner as an e-mail. These forms may be site registration requests, login and password requests to access members area, or they may be used simply for market research.

Whatever the purpose, WebSite X5 lets you create an E-mail Form easily. You can specify the necessary fields, decide on the impagination and graphic appearance and, above all, decide how data is to be collected and who receives it.

What you have to do

Double-click on the E-mail Form Object in the Page Layout Table to open the E-mail Form Object window. You can decide which fields to include, the graphic aspect of the form and how the form is to be sent back to you and who receives it.

The various options for creating E-mail Forms are organized in the following sections:
- | List
- | Send
- | Style

 When you test your Website on your computer, a warning message will tell you that the data collection e-mail will not be sent. The E-mail Form is fully functional only when the site has been published on the Server.

The E-mail Form will function correctly if the Server on which the site is published supports the PHP programming language and if the MAIL command is active. You can obtain this information on your Server diagnostics via the WebSite test option in the online Control Panel.

If problems occur when sending e-mails, it is possible that the Server you are using does not have a standard configuration. Try changing the script settings and the settings for sending e-mails, using the options in the Preferences window. For more information, contact your Web space Provider.

Related topics:
- | Page Layout Table
- | Available Objects
- | Control Panel
- | Preferences


E-mail Form Object | List

The options in the List section of the E-mail Form Object window are used for compiling the list of Fields that are to be included in the E-mail Form.

The existing Fields are shown in the summary E-mail Form List: this shows the Field Name, Field Type, Width, whether a field entry is Mandatory or not, and the Description. These values can be entered in the Insert Field window, when you are creating the Fields.

The E-mail Form List not only summarizes the salient points of the Fields, but you can also use it for working on the Fields:
- | Double-click on a Field to open the Insert Field window and change the values previously given for it;
- | Click a second time on a selected Field to change its name (this can also be done by changing the Field's Label in the Insert Field window);
- | Select a Field and use the commands on the Button Bar next to the List to copy a Field, remove it, move it to a different place in the Form, or change its settings.
You can also check the layout of the Fields from the List. A dotted line indicates how many rows there are in the Form. If a Field is on the same row as another one, the [image] icon appears next to the width. If the total width of the Fields on the same row exceeds the row length, the [image] icon appears to indicate the mistake. If you do not change the widths, the Fields that does not fit on the row will be shown on the next row.

The options for creating the list of Fields to be included in the Form are shown next to the List:
- | Add: you can add a new Field to the Form in the Insert Field window.
- | Duplicate: you can make a copy of the selected Field.
- | Remove: you can remove the selected Field from the Form.
- | Move Up /Move Down: you can move the selected Field above/below the previous/following Field.
- | Edit: you can change the selected Field's settings in the Insert Field window.

The Insert Field window that opens from the Add and Edit options is the same that opens when you start creating Fields. It is divided into two sections:
- | Field Type
- | Options

 The Send and Reset buttons are added automatically by the program at the bottom of the Form.

Related topics:

-

E-mail Form Object


E-mail Form Object | List | Field Type

The options in the Field Type section of the Insert Field window are for creating the list of Fields that will be shown in your E-mail Form.

The available options are:

 Text Field: a single line of text, shown as an empty box where the visitor fills in an appropriate answer, such as name, telephone, fax number, etc.

E-mail Address: a single line of text for typing an e-mail address. An automatic filter checks the address format: valid e-mail addresses contain the "@" character and a dot.

Text Area: a text field that covers more than one row, where the visitor can enter comments or questions.

Date: a text field in which the visitor enters the date. It can either be typed in or selected from the calendar.

Drop Down List: the visitor must choose a reply from those in the Drop Down List.

List: the visitor must select one of the possible replies from a list.

Multiple Choice: the visitor can select one or more replies from those in the list.

Single Choice: the visitor can choose one reply from those in the list.

Password: a text field in which the characters typed in are represented by dots or asterisks (depending on the PC's operating system). This policy is adopted to ensure a visitor's privacy when entering a password to access a service.

Attachment File: a text field in which the visitor can specify a file to send as an attachment, using the [image] button to browse through the available files.

Contact your Web Provider to ensure that attachments are added and sent correctly.

Check Question: a single-line text field in which the visitor enters the reply to a question. These questions are intended to differentiate between real people and spam programs.

Agreement Conditions: a text field giving the conditions that the visitor must agree to in order to submit the Form. This field is used, for example, to display the norms for personal data protection.

Various options may be presented, depending on the type of Field selected. The options available to all Fields are:
- | Label: you can give a description of the Field. This text will be displayed above, next to or inside the Field it refers to, to specify the requested information or to display the question the visitor is being asked.
- | Width (%): you can define the Field's width (from 5% to 100% of the total available space)
- | Display on the same row as the previous Field: select this option if you want your new Field on the same row as the previous Field. Two Fields can only be displayed on the same row if their total width does not exceed the row's width.
- | Set as Mandatory Field: select this option if the visitor is to be obliged to fill in this field in order to continue. This option is not available for Multiple Choice Fields, and is active by default for Check Question Fields.

The following options are Field-specific:
Text Field:

-

Max number of characters: select this option if you want to set a limit to the number of characters that can be typed. For example, you can set a maximum of 16 characters in a text Field for entering a credit card number.

-

Input Text Filter: you can specify data validation levels to check that the visitor has entered the data correctly. The following filter levels are available:
- | None: all alphanumeric and numeric characters are accepted.
- | Numbers only: only numeric characters are accepted.
- | Phone/Fax number: this Field accepts numeric characters, the "-" character and spaces.
- | Date: this Field accepts numeric characters and the "/" character.
E-mail Address:

-

Request E-mail Address Confirmation: select this option to automatically add another field in which the visitor must repeat the e-mail address. Correspondence between the two fields is checked automatically: if a discrepancy is found, a warning message is displayed.
Text Area:

-

Max number of characters: select this option to specify the maximum number of characters that can be entered in the Field.

-

Number of rows: you can define the Field's height and the number of rows over which the text can run (max 30).
Date:

-

Date Format: you can choose the format to be used for entering the date, with examples of the most common national and international formats.

-

Display "Calendar" Icon: this option is active by default: it displays the "Calendar" icon next to the Date Field. When the visitor clicks on the icon, a calendar is displayed and the visitor can select the required date from it, without having to type it.
List:

-

Number of Rows: you can define the Field's height and the number of rows that appear in the List (max. 30).
Multiple/Single Choice:

-

Number of Columns: you can define the number of columns on which the possible choices are shown.
Password:

-

Request Password Confirmation: select this option to automatically add another field in which the visitor must repeat the password. Correspondence between the two fields is checked automatically: if a discrepancy is found, a warning message is displayed.
Check question:

-

Correct Answer: you can specify the correct answer that will be checked against the visitor's answer.
Agreement Conditions:

-

Agreement Text: you can enter the text of the conditions that the visitor must accept before submitting the Form.

Finally, you can create a list of possible replies for the Drop Down List, List, Multiple Choice and Single Choice Fields, using the following options:
- | Add / Remove: you can add/remove possible replies. Click a second time on the selected item to edit it.
- | Move Up / Move Down: you can change the order of the replies in the list, moving the selected item up or down one position.
- | Edit: you can edit the selected reply.

Related topics:

-

E-mail Form Object | List


E-mail Form Object | List | Options

The items in the Options section of the Insert Field window let you set some advanced properties for the fields in the E-mail Form.

The options are:
- | Field description: you can add a message that explains how the user must fill in the Field. If previously specified, an icon (customizable) is shown next to the Field and indicates that more information is available: when the user moves the mouse over the icon a Tip is displayed with the available information.
- | <name> Attribute: you can specify the value that the Field's <name> attribute in the Form's HTML code must have when the code is generated. This option is useful when, for example, the E-mail Form data submission method (see E-mail Form Object | Send) is set to Send data to a Script file.
- | Database Field Name: you can specify the name to give to the Field so that the collected data can be correctly recognized and stored in a database. This option is useful when, for example, the E-mail Form data submission method (see E-mail Form Object | Send) is set to Send data to a Database.

Related topics:
- | E-mail Form Object | List
- | E-mail Form Object | Send


E-mail Form Object | Send

The options in the Send section of the E-mail Form Object window are for defining how the E-mail Forms are to be submitted.

In the Data Submission box, you have to specify how the data collected from the Forms is to be sent to the Web Administrator. There are three options:

 Send data by e-mail: this is the default option. Data collected from the Forms is automatically sent by e-mail to a specific PHP script.

Send data to a Database: the data collected from the Forms is sent to the MySQL database, via a specific PHP script.

Send data to a Script file: the data collected from the Forms is handled using the specified script (PHP, ASP, etc.). This option is useful if you want to use your own script, for example for data submission to a server that does not have PHP, or for other specific data management procedures.

You will have to enter certain values, depending on the E-mail Form Submission method you have selected:
Send data by e-mail: | - | Sender E-mail Address: if you select this option, you can specify the address to which submitted Forms will be sent.. By default, the sender is the same as the destination address which, in this case, corresponds to the Website administrator. If you specify the visitor's e-mail address, it will be possible to use the E-mail program's Reply option.
 | - | User E-mail address: you can specify the address to which collected data is to be sent. More than one address can be given: separate one from another with a semi-colon.
 | - | Object: you can indicate the subject of the e-mail containing the data collected from the E-mail Form.
 | - | Message: you can type the text of the e-mail containing the data collected from the E-mail Form.
 | - | Include the collected data in CSV format: you can decide to have a copy of the collected data added to the end of the e-mail in CSV format. Data in CSV format is shown as text, in a long list of items, separated by a semi-colon. These files can easily be imported by spreadsheet programs (for example, Microsoft Excel).
Send data to a Database: | - | Host Name: this is the URL address of the MySQL Server where your online database is stored. The database is usually on the same Server as the Website and can therefore be identified as "localhost". Check with your Website Provider.
 | - | Database Name: enter the name of the database you want to work on in this field. Ask your Website Provider.
 | - | Table Name: enter the name of the spreadsheet in the database, in which to store the data. Spreadsheets can be created in the database using the online program. In any case, if you enter the name of a new spreadsheet, it will be automatically created.
 | - | Username: enter the username given to you by the Provider for database access.
 | - | Password: enter the password given to you by the Provider for database access.
Send data to a Script file: | - | Script File (e.g.: PHP, ASP): you can import the script files to use for collecting data from the E-mail Forms and submitting it. The script file must be created manually.

In the Confirmation e-mail for the user box, the following options are available:
- | Send a confirmation e-mail to the user: select this option if you want a confirmation e-mail to be automatically sent to the visitor when the E-mail form has been submitted.
- | Sender E-mail Address: select this option to enter a valid and active e-mail address to use as the confirmation e-mail sender. By default the confirmation e-mail sender's address corresponds to that of the Website administrator, used in the E-mail destination address field in the E-mail Form Submission section. If you enter a different E-mail sender, the confirmation e-mail will be sent from a different address to the one that receives submitted Forms. This option is useful if you prefer to communicate with visitors using a generic address (such as info@mycompany.com or noreply@mycompany.com) rather than a personal address (such as name.surname@mycompany.com).
- | User E-mail Address: you can specify which Field in the E-mail Form the confirmation e-mail address is to be taken from.
- | Object: you can specify the subject of the confirmation e-mail.
- | Message: you can write the message for the confirmation e-mail.
- | Include the collected data: you can have the collected data added to the end of the confirmation e-mail.

Finally, the following options are available in the Options box:
- | Enable "Captcha" anti-spam filter: you can add the Captcha anti-spam filter to the end of the e-mail. A series of distorted letters is shown in random order and the visitor must copy them correctly in a field in order to submit the E-mail Form.
- | Confirmation page after sending data: this option takes you to the Sitemap where you can indicate the Page which is to be displayed when the E-mail Form has been submitted and the collected data sent by e-mail. It is a good idea to have a specific page for this purpose, rather than showing the Home Page, so that you can display a thank-you message. This page must be set as Hidden (see Step 2 - The Sitemap Toolbar).

 If you want to customize the look of your E-mail Form, you can do so using the options in the Styles and Models | E-mail window of Step 4 - Advanced Settings.

Related topics:
- | E-mail Form Object
- | Styles and Models | E-mail


E-mail Form Object | Style

Using the options in the Style section of the E-mail Form Object window, you can customize the look of your E-mail Form.

First of all, select the Form item you want to work on: you can do this from the Drop Down menu or by clicking on the item in the Preview window.

You can customize the following items in Form Item:

 Labels: this is a descriptive text of the Field and either indicates what information is required or asks a question.

Fields: the visitor enters the necessary information.

"Send" and "Reset" Buttons: these buttons are added automatically to the end of the E-mail Form. They are for submitting the E-mail Form and deleting data entered so far, respectively.

Field Description and Validation: these are messages that are displayed while the Form is being filled in. They give extra information, indicate incorrect data or invite the visitor to fill in an empty mandatory field.

The various items have a number of options:
Labels: | - | Font type: you can specify the text character type, its style and size.
 | - | Color: you can specify the color to be used for the text, in the Color window.
 | - | Repeat: you can specify where the Field's Label is to appear. There are three possibilities: Display Labels above the Fields, Display Labels inside the Fields and Display Labels on the left of the Fields. If you want the Label to be on the left of the Field, you can define its width as a percentage of the row in which it appears.
Fields: | - | Color: you can specify the color, in the Color window, to be used for the text (for normal and "selected" states), for the background (for normal and "selected" states) and for the border (for normal and "error" states).
Send and Reset Buttons: | - | Color: you can specify the color, in the Color window, to be used for the text, background and border of the buttons.
 | - | Background image: you can import a graphic file (in .JPG, .GIF or .PNG format) to use as a background image for the buttons.
 | - | Show "Reset" Button: this option is active by default. A "Reset" button (used for deleting field contents) is added automatically to the end of the E-mail Form, next to the "Send" button..
Field Description and Validation: | - | Field Description Icon File: you can use a graphic file (in .JPG, .GIF or .PNG format) as an icon next to the Field, to indicate that more information is available.
 | - | Show the Description on Field focus: select this option if you want a message with more information to be displayed automatically when the Field is selected.
 | - | If an error occurs during data validation: you can choose how the default message is displayed if the Field is filled in incorrectly, or a mandatory Field has not been filled in. There are three possibilities: Display the Browser's dialog window, Display Internal Popup Window and Show ToolTip next to Invalid Field.

 You can customize the look of e-mails that are submitted in the Styles and Models window of Step 4 - Advanced Settings.

Related topics:
- | E-mail Form Object
- | Styles and Models | E-mail


Product List Object

One of the most interesting features in WebSite X5 is the online shopping facility: you can create online shops, show your products in a virtual shop window that is open to the whole world and sell them directly online.

With WebSite X5 you can add Products and manage online shopping carts, and create online catalogs using the Product List Object. The Product List is the heart of your online shop as it is from here that customers can browse through the contents, read a description of each article on the Product Cards and buy the articles they are interested in.

What you have to do

Double-click on the Product List Object that you have added to the Page Layout Table to open the Product List Object window. Here, you can create the list of all the Products you want to show to visitors and decide how you want the Product Cards to be displayed.

The available options are organized in two sections:
- | List
- | Settings

 To ensure that the Product List Object works correctly, you must have already added the Products to the online Shopping cart, using the commands in the Shopping Cart section of Step 4 - Advanced Settings.

Related topics:
- | Page Layout Table
- | Available Objects
- | Shopping Cart


Product List Object | List

It is in the List section of the Product List window that you can indicate the Products that are to be displayed in the Product List Object.

The window shows the complete Category and Product List of the products that have been added to the Shopping Cart in Step 4 - Advanced Settings.

There is a checkbox next to each Category and each Product: click on the checkboxes of the Categories and/or Products that you want to add to the Product List Object you are creating.

Checking a Category and checking all the Products in a Category does not produce the same result: only in the first case, if new Products are subsequently added to a Category they will be added automatically to the Product List Objects that the Category is linked to.

Related topics:
- | Product List Object
- | Shopping Cart


Product List Object | Settings

You can use the options in the Settings section of the Product List window to design the graphic appearance of the Frames showing the Products that have been added to the list.

First of all, you have to choose a Display Mode for the Product Frames. There are several possibilities:

 Text Only
This Product Frame layout shows the following details: Product name, description, drop down menu with variations (if any), price, quantity field and "Buy Now" button (next to the quantity field).

Image and Text
This Product Frame layout shows a photograph of the Product on the left and the product details on the right.

Text and Image
This layout is the same as the previous one, except that the details are shown on the left and the Product's photograph is on the right.

Image Only
In this case, all the details of the Product are given underneath the photograph, without the complete description.

Alternate Image and Text
In this case, the Product Frame are alternated with Photo and Text on the right followed by Photo and Text on the left.

The Frames Settings are:
- | Frame per row: you can indicate how many Product cards are to be displayed on the same row.
- | Frame height: you can specify the height (in pixels) of each Product Card. The photographs of each Product are automatically resized according to this value. If the descriptions are too long to be displayed completely, a scroll bar is shown.
- | Image width (%): if you have chosen a layout that shows photos and text next to each other, you can specify how much space is to be given to the photograph and how much is to be given to the text. For example, if the photograph occupies 30% of the available space on the Product Card, the remaining 70% will be occupied by the text.
- | Inner Margin: the margin is the space between the border of the Product Card and the contents. You can use this option to indicate how wide this space must be.

The Graphic settings are:
- | Font type: you can specify the font (character) type, style and size for the text in the Product Card. This option opens a window in which to make your choices.
- | Text / Background / Border Color: these options open the Color window and you can choose the colors for the text, background and border of the Product Card.
- | Border Width: you can indicate how thick the border of the Product Card is to be.

The following Options are also available:
- | Show Quantity Field: if you select this option for the Product Card, the Quantity Field will be displayed. This is useful for users who want to buy more than one item of the same article.
- | Show Price: if you select this option, the price will be displayed in the Product card.
- | Enable Link over the Image: if you select this option, a link will be added in all the photographs in the Product Cards to their enlarged versions. The enlarged photographs are shown in the ShowBox window.

 You can customize the appearance of the ShowBox window: go to Styles and Models | ShowBox of Step 4 - Advanced Settings to define color, shadow, transparency and opening effects, etc.

Related topics:
- | Product List Object
- | Styles and Models | ShowBox


HTML and Widgets Object

WebSite X5 provides a specific Object for each type of content matter that you want to add to a Page: text, images, animation, e-mail forms, etc. And with the HTML and Widgets Object, the possibilities are virtually endless. With this type of Object, you can add HTML code directly to Pages and thus add particular features that would otherwise have been impossible to use.

Widgets are particularly useful: they are short programs that can be installed and executed from inside a Web Page. A good example of a Widget is Google Maps: the user enters a minimum amount of information and can display the map he wants to view, without having to configure it on the Google Maps site.

What you have to do

Double-click on the HTML and Widgets Object in the Page Layout Table to open the HTML and Widgets Object window. Here, you can enter the HTML and/or CSS code, either typing it in or copying it from other Websites by simply copying the Widget that interests you and pasting into your Page.

The options are available in the following sections:

- | HTML Code
- | Expert

Related topics:

- | Page Layout Table
- | Available Objects


HTML and Widgets Object | HTML Code

Use the commands in the HTML Code section of the HTML and Widgets Object to enter the HTML code that you want to add to your Page. You can either type it all in or double-click on one of the available Widgets.

The available options are:

Cut [CTRL+X] - Copy [CTRL+C] - Paste [CTRL+V]
These three commands are for cutting, copying and pasting selected code.

Undo [CTRL+Z] - Redo [ALT+CAPS+BACKSPACE]
Undo or redo the last operation.

Syntax highlighting has been introduced in the HTML code section, so that reading it and finding mistakes is easier: certain parts of the code are shown in different colors, without changing the meaning of the text in any way.

All the available Widgets are shown in the Widgets List. Double-click on the one you want to add and another window opens where you can define the available options. When you confirm the HTML Code for the Widget, it is composed and added automatically to the editor.

In the Properties section you have the following options:

- | Width: displays the width of the HTML and Widgets Object This value is defined automatically according to the amount of space in the Page Layout Table .
- | Height: you may set the height of the HTML and Widgets object.
- | Show Scrollbars: active by default, this automatically adds a scrollbar if the HTML and Widgets Object is actually bigger than the Height you have specified.

Related topics:

-

HTML and Widgets Object


HTML and Widgets Object | Expert

Use the commands in the Expert section of the HTML and Widgets Object window to create a Style Sheet (CSS) and/or make up the list of files to link to the HTML and Widgets Object you are working on.

You can use an editor in the CSS Code section (the same editor as in the HTML Code section) for entering the Style Sheet code. The purpose of the CSSs is to define the graphic appearance of the HTML pages they are linked to.

All the linked files appear in the Files linked to HTML code table. This table gives their filename and Server relative Path.

The following commands are available for working on the list of linked files:

- | Add: you can add a new file to the list, in the Upload linked file window.
- | Edit: you can change the settings of the file selected from the list, in the Upload linked file window.
- | Remove: you can delete the selected file from the list.

Related topics:
- | HTML and Widgets Object
- | Upload linked file


Graphic Editor

As well as optimizing imported images, WebSite X5 also provides a built-in graphic editor for adding professional finishing touches to the images.
The graphic editor can be found in the windows where graphic files can be imported, for example Image Object, Gallery Object and the window in which you can create a new Product for the Shopping Cart. Click on the Edit button in these windows to start the graphic editor.

The graphic editor is organized in the following sections:
- | Crop and Rotation
- | Filters
- | Watermark
- | Mask
- | Frame
- | Effects
- | Library

The graphic editor also has the following buttons:
- | OK: this option closes the graphic editor and takes you back to the main window, saving and applying the changes you have made to the image.
- | Cancel: this option closes the graphic editor and takes you back to the main window, without saving the changes you have made to the image.
- | Save as: this option lets you save a copy of the original image in .PNG format.

Related topics:
- | Image Object
- | Gallery Object
- | Shopping Cart


Graphic Editor | Crop and Rotation

You can use the options in the Crop and rotation section of the Graphic Editor to cut out and keep an area of the image that you want to be displayed and delete (crop) the rest.

You can mark the area that you want to keep (the crop box) directly on the Image's Preview, and pull on the handles of the crop box to change its size. You can also move the crop box to bring a detail of the selected area into the foreground: click on it, hold down the left button of the mouse and drag it to a new position.

You don't have to confirm the crop: the area outside the crop box (darker than the original) will not be displayed. If you change your mind and want to undo the crop box, just click on the area outside it to remove the box and cancel your selection.

The following options are shown in the window, next to the Image:
- | Crop: this option shows the values (in pixels) of the X and Y-coordinate that correspond to the upper left apex of the selected area. It also gives the Width and Height of the area. You can change the size of the selected area by changing the values shown here (as an alternative to pulling on the handles of the crop box).
- | Mirror: you can flip the Image horizontally or vertically.
- | Rotation: you can rotate the Image clockwise by 0°, 90°, 180° or 270°.

Related topics:

-

Graphic Editor


Graphic Editor | Filters

You can use the options in the Filters section of the Graphic Editor to correct the color and add graphic filters to your Image.

- | Filters: this option gives the list of available filters. They are: Brightness/Contrast, RGB (red, green, blue), HSL (hue, saturation, lightness), Sharp, Blur, Black and White, Sepia, Mosaic, Stipple, Perspective, Oil painting, Canvas, Noise, Marble. Click on one of the filters to apply it: its check box will be ticked.
- | Settings: you can change the settings of the selected filter.

Any changes made to the filters are applied immediately and shown in the Image's Preview.

Related topics:

-

Graphic Editor


Graphic Editor | Watermark

You can use the options in the Watermark section of the Graphic Editor to apply a watermark to the imported Image, in order to protect it against unauthorized copying. The watermark alters the image, sometimes giving copyright information, and so discourages people from making copies of it or using it in any way.

- | Watermark: this option lists the various watermarks that you can apply to the Image. You can also apply a custom watermark: select the second preview from the list (Custom...) and import the graphic file that you have prepared.
- | Settings: the watermark applied to the Image can be rotated by 90°, 180° or 270° , and flipped horizontally or vertically.

 A watermark must be a graphic file in .GIF, .PNG, .PSD or .WMF format, with a transparency setting. The watermark is applied over the original Image so that only the parts of this that correspond to the transparent areas of the watermark can be seen.
The .GIF format can only handle one transparency level, whereas the .PNG and.PSD formats can handle up to 256, so you are advised to save your watermarks in one these two formats.

+

=

Related topics:

-

Graphic Editor


Graphic Editor | Mask

You can use the options in the Mask section of the Graphic Editor to apply a mask to the imported Image, in order to alter its appearance.

- | Mask this option lists the various masks that you can apply to your Image. You can also apply a custom mask: select the second preview from the list (Custom...) and import the graphic file you have prepared.
- | Settings: you can rotate the mask you have applied to the Image by 90°, 180° or 270°, and you can flip it horizontally or vertically.

 A mask is basically a 256-color image in scales of gray: a mask is applied over the original Image so that the parts covered by the black areas are invisible and the parts covered by the white areas remain on view.

+

=

Related topics:

-

Graphic Editor


Graphic Editor | Frame

You can use the options in the Frame section of the Graphic Editor to apply a frame to the imported Image.

- | Frame: this option lists the various frames that you can apply to the Image. You can also apply your own frame: select the second preview from the list (Custom...) and import the graphic file that contains the custom frame.
- | Settings: you can rotate the frame you have applied to the Image by 90°, 180° or 270°, and you can also flip it horizontally or vertically.

 A frame must be a graphic file in .GIF, .PNG, .PSD or .WMF format, with a transparency setting. The frame is applied over the original Image so that only the parts of this that correspond to the transparent areas of the frame can be seen.
The .GIF format can only handle one transparency level, whereas the .PNG and .PSD formats can handle up to 256, so you are advised to save your frames in one of these two formats.

+

=

Related topics:

-

Graphic Editor


Graphic Editor | Effects

You can use the options in the Effects section of the Graphic Editor to regulate the main color settings and apply various graphic effects to the imported Image.

- | Effects: this option lists the effects that you can apply to the Image. They are: Drop Shadow, Mirror, Outer Glow, Colored border, Frame, Gradient, Ridge, Bevel, Opacity, Skew, Perspective and Rotation. Click on the effect you want to apply (its checkbox will be ticked).
- | Settings: you can change the settings of the selected effect.

Any changes you make to the effects are applied immediately and displayed in the Image's Preview.

Related topics:

-

Graphic Editor


Graphic Editor | Library

You can use the options in the Library section of the Graphic Editor to apply a Stylesheet to the Image, or you can save the settings defined for this Image as a new Stylesheet that can then be applied to other Images.

The Library shows you a list of the Default Stylesheets and any Custom Stylesheets that may have been created. The following options are available:
- | Apply: you can apply the selected Stylesheet to the Image.
- | Add: you can save the settings that have been defined so far for the current Image using this Graphic Editor, and create a new Stylesheet with them. This is then added to the list of Custom Stylesheets.
- | Remove: you can delete a Stylesheet from the list of Custom Stylesheets, but you cannot delete a Default Stylesheet.

What you have to do

The Library helps you save time: if you think you will have several Images with the same Graphic Editor settings, you can save the settings defined for the first Image in a new Stylesheet and apply it to all the other Images.

To create a new Stylesheet:
- | Open the General section of the Image Object window and click on the Edit button, under the Preview, to open the Graphic Editor.
- | Use the options in the various sections of the Graphic Editor to perfect the first Image.
- | Open the Library section and click on the Add button: a new Stylesheet will be created with the settings you have specified for the first Image. A preview of the new Stylesheet will be added to the Custom list.

To apply a Stylesheet:
- | Open the General section of the Image Object window and click on the Edit button, under the Preview, to open the Graphic Editor.
- | Open the Library section and select the preview of the Stylesheet you want to apply from the list of Default or Custom Stylesheets.
- | Click on the Apply button.

Related topics:

-

Graphic Editor


Cell Style

WebSite X5 makes it easy for you to create Pages for your Website by dividing the available space into Cells in the Page Layout Table. The number of Cells depends on how many rows and columns there are in the Page Layout Table. To create a Page (add contents to it) all you have to do is drag and drop Objects into the Cells (one Object per Cell).

The Cell is, therefore, a precise area in the Page: it has its own contents and may have its own graphic appearance, that need not be the same as other Cells. You can define the margins, background and borders of a Cell, so that the contents of the Page are each given the right amount of emphasis.

What you have to do

When you working on Page Creation, and you have dragged one of the available Objects into a Cell in the Page Layout Table, you can define the appearance of the Cell by clicking on the [image] button and using the options in the Cell Style window that opens.

The options are divided into the following sections:
- | Style
- | Text
- | Library

Related topics:
- | Page Creation
- | Page Layout Table


Cell Style | Style

You can use the options in the Style section of the Cell Style window to set the appearance of the Cell you are working on in the Page Creation Table.

You must first choose a background for the Cell: the choices are:

 Colored Background: the background is filled with solid color.

Gradient Background: the background is filled with shaded color and you can specify the start and end shade colors, plus the direction of the shading.

Image Background: an image is used as the Cell's background.

Fit to Cell Background: the background Image is cut and fitted exactly to the Cell size (see How to create a background image that fits in the Cell).

You can specify the Settings for each background style.

The settings for Colored Background are:
- | Background Color: the choice of colors to use as the background color is shown in the Color window.
- | Opacity: set the amount of opacity for the background color. Lower values give more transparency, so the Page background shows through more clearly.

The settings for Gradient Background are:
- | Start color / End color: the choice of colors to use for the background shading is shown in the Color window, and you can choose the start and end colors of the shade you prefer.
- | Diffusion: you can indicate whether the color is darker at the start or at the end, and over how much space (in pixels) the gradient transition occurs. For example, a vertical shading from gray to white and a diffusion of 250 means that the gray at the top gradually turns white in the first 250 pixels, and any space below that will be completely white.
- | Direction: you can choose in which direction the background color is to be shaded, from the Top, Bottom, Left or Right.
- | Opacity: you can set the amount of transparency of the background color. Lower values (towards 0) increase the transparency, so letting the Page's background show through more clearly.

The settings for Image Background are:
- | Background Color: you can change the Cell's background color by choosing the one you prefer in the Color window.
- | Image File: select the file that contains the image you want to use for the Cell's background. It must be in .JPG, .GIF or .PNG format.
- | Repeat: select this option if you want the background image to be repeated. It can be repeated horizontally, vertically or in both directions so that all the available space is covered.
- | Alignment: you can specify how the background image is to be aligned inside the Cell area.
- | Color Saturation: you can change the color hue of the background image, choosing a new color in the Color window.
- | Opacity: you can set the amount of transparency of the background image. Lower values (towards 0) increase the transparency, so letting the Page's background show through more clearly.

The settings for Fit to Cell Background are:
- | Background Color: you can change the Cell's background color in the Color window.
- | Image File: select the file that contains the image you want to use for the Cell's background. It must be in .JPG, .GIF or .PNG format.
- | Block Width/ Block Height: select this option if you want to change the size of the blocks of the background Image. You can choose which part of the image must remain the same and which must be repeated (see How to create a background image that fits in the Cell).
- | Color Saturation: you can change the color hue of the background image, choosing a new color in the Color window.
- | Opacity: you can set the amount of transparency of the background image. Lower values (towards 0) increase the transparency, so letting the Page's background show through more clearly.

The settings for the Border are:
- | Color and Thickness: with the first option, you can set the color for the Cell's border in the Color window, and with the second option you can indicate its width.
- | Custom Borders: select this option if you want to set the color and width of each side of the Cell separately.

 The border color is also used as the image's transparency color.

Related topics:
- | Cell Style
- | How to create a background image that fits in the Cell


Cell Style | Text

Using the options in the Text section of the Cell Style window, you can add text to the Cell you are working on in the Page Layout Table and decide how it should look.

First of all, you have to define what you are going to add - text or an image. The choices are:

 Title: this is the text that will be displayed as the title of the current Cell.

Header Image: you can add an image to the current Cell's header, displaying it next to the Title.

Description text: this is the text that will be shown underneath the current Cell.

When you have added the necessary elements, you can choose various Settings for them. Select the element you want to define the settings for either from the Drop Down Menu or by clicking on the element in the Preview.

The options for Title and Description Text are:
- | Contents: enter the text for the Title or Cell Description.
- | Text color: choose the color for the text, in the Color window.
- | Font Type: you can specify the font type, style and size of the text.
- | Alignment: you can specify whether the text is to be aligned to the Left, Center or Right of the Cell.
- | Horizontal Margin / Vertical Margin: you can give a value in pixels for the text margins so that it is positioned at precisely the distance you want from the Cell borders.

The options for the Header Image are:
- | Image File: select the file that contains the image you want to add. It must be in .JPG, .GIF or .PNG format.
- | Alignment: choose whether the image is to be aligned to the Left, Center or Right of the Cell.
- | Horizontal Margin / Vertical Margin: you can give a value in pixels for the image margins so that it is positioned at precisely the distance you want from the Cell borders and from the Title (if there is one).

Related topics:

-

Cell Style


Cell Style | Library

Use the Library section of the Cell Style window to choose existing settings, saved as a Style, to apply to the current Cell, or to save the settings that you have defined for the current Cell as a new Style, to apply to other Cells.

The Library window shows you a list of Default Styles and Custom Styles that have already been created. The following commands are available:
- | Apply: you can apply the settings of the selected Style to the current Cell.
- | Add: you can save the settings defined in the Style and Text sections of the current Cell in a new Style and add this to the list of Custom Styles.
- | Remove: you can delete the selected Style in the Custom Styles list. You cannot delete a Default Style.

 When a new Style is being created, all the settings for the current Cell are maintained, but not the contents, that may change from one Cell to another. For example, the Text Color or Font Type is saved in the new Style, but not the contents of the Title or Cell Description of the original Cell.

What you have to do

The Library can save you a lot of time: if you think you will have several Cells with the same graphic settings, you can save the settings defined for the first Cell in a new Stylesheet and apply it to all the other Cells.

To create a new Style:
- | In the Page Layout Table, select the Cell you want to work on and click on the [image] button to open the Cell Style window.
- | Use the options in the Style and Text sections to give your Cell the appearance you want.
- | Open the Library section and click on the Add button to create a new Style with the settings you have specified so far. A preview of the new Style will be added to the list of Custom Styles.

To apply a Style:
- | Select the Cell you want to work on in the Page Layout Table Click and on the [image] button to open the Cell Style window.
- | Open the Library section and select the preview of the Style you want to use, choosing it from the list of Default Styles or Custom Styles.
- | Click on the Apply button.

Related topics:

-

Cell Style


Links

As well as the fixed navigation menus, that are created automatically from the Sitemap, users can also move around your Website following the links that WebSite X5 lets you apply to Texts and Images. These links open internal/external pages, open files, display images, add an item to the shopping cart, etc.

When you apply a link, you define its action, and you can also define and customize a tooltip to be associated with it: a tooltip briefly explains what will happen when a user clicks on the link.

What you have to do

The [image] Apply a Link button is active when it is possible to apply a link to a Text or Image: when you click on this button the Link window is displayed and you can specify what type of link you want to apply.

The options for applying links are available in two sections:
- | Action
- | Description

Related topics:
- | Edit Template Graphics | Toolbar
- | Text Object
- | Image Object
- | Gallery Object


Link insertion - Action section

Links | Action

The options in the Action section of the Links window allow you to define the links.

 Website Page
You can create a link to a Page on your Website. Clicking on the [image] button will allow you to browse the Sitemap and select the page you want to create a link to. You can set the link to either open in the same window, a new Browser window or a PopUp window. In the latter case, a new Browser window is opened and you can specify its Width and Height.

File or URL
You can create a link to an external Webpage on your computer or that has already been published. To specify a page which is on your computer, choose Local File on PC and then click on the [image] button to locate your file. To specify a published Webpage choose Internet File and then type in the URL in the field provided. Finally, you can choose whether the page will be displayed in the same window, in a new window or in a PopUp window. Again, you can specify the Width and Height of the PopUp window.

File or URL with ShowBox
You can create a link to display any file present on your computer, or already published on the Internet, in a special ShowBox. Unlike an external PopUp, in this case, on activating the link, the file is displayed in the foreground of the original Page, which is automatically made opaque and lightened/darkened.
To specify which file to link, select Local file on PC and click on the [image] button to browse the resources on the system, or select Internet file and type the address (URL) which identifies the position on the Internet. Using the available ShowBox Properties, you can set the Width and Height of the ShowBox, and a Caption for it.
The link to the ShowBox window is particularly useful to display your images, but it can also be used to display other resources like, for example, the PDF documents.

ShowBox Gallery
You can create a link to display a Gallery of images in a ShowBox. In order to create a list of images, use the Add, Remove, Move Up and Move Down options. You can also define the Max Width and Max Height of your ShowBox window.

You can customize your ShowBox, using the options in Styles and Models | ShowBox in Step 4 - Advanced Settings: you may change colors, shades, opacity and entry effects.

E-mail Address
You can create a link to open the default e-mail program to send an e-mail. To set this type of link you have to insert the recipient e-mail address. If you select Enable e-mail address protection, the specified e-mail address will be encrypted in the Page's HTML code so that it cannot be recognised by spyware searching the Internet for addresses for spam campaigns.

Internet Call
You can create a link to open an Internet phone call program (e.g. Skype). The person you want to call must be specified in the relevant field. You can also specify the Action Type, choosing from Call, Add Contact, Chat, Show profile, Skype VoiceMail and Send file.

Sound
You can create a link to generate audio. To choose the audio file to link to, select Local file on PC and click on the [image] button to browse the resources on your computer, or select Internet file and type the address (URL) which identifies the Webpage from where you want to create a link to the audio file. Supported file formats are .MP3.
When a visitor clicks on the link, a ToolTip is displayed with a Play/Pause button to start/stop the audio. When the mouse cursor is moved outside the ToolTip, this disappears and the audio stops.

The ToolTip on the audio link is created automatically by the Program. Its appearance depends on the settings given in the Styles and Models | ToolTip window in Step 4 - Advanced Settings.

Print Page
You can create a link to print the displayed page.

Message Box
This creates a small Popup message window to give your visitor a warning message. To define this type of link simply type in the Message text in the field. Select Show as a popup window to display the message like Windows does.

Favorites and Default Page
Allows your Webpage to be added to the visitors' Favorites List when the link is clicked on, or to set the Website as their Home Page. To define this type of link simply specify the address (URL) and the title of the website.

RSS Feed
You can display the Website's RSS Feed: the connection is only active if an RSS Feed was actually created via the appropriate window of the Advanced Settings.

When testing your Website a warning window will appear informing you that RSS Feeds will only be displayed when the website has be uploaded to the Internet.

Blog
You can create a link to open the Blog linked to your Website. To ensure that this link operates correctly, you must have previously created a Blog via the appropriate section of the Advanced Settings. Using the available options, you can specify if the Blog is to be displayed in the same window or in a new window of the Browser.

Sitemap
You can create a link to display the complete Sitemap on a specific page. The items in the Sitemap are created automatically and contain active links to the single Pages. The Sitemap is a useful navigation tool for the user. The items of the map can be displayed via the Expand all and Collapse all controls.

Even if the Sitemap link is not used, the SiteMap is created and linked to the HTML code of the pages through the <sitemap> metatag, to improve content indexing by Search Engines.

View the Shopping Cart
This option lets you create a link to display the Shopping Cart page with a list of all the products already ordered.

Add to Cart
You can create a link to the Shopping Cart so that the User can place an order or add a Product to the Shopping Cart.
In the first case you must select Show the Products List of the selected Category and select the appropriate Category from the Product catalog table.
In the second case, select Add the selected Product directly to the Cart and select the Product from the list. You can also specify the Option and Quantity for the Product to add to the Shopping Cart.

The View the Shopping Cart and Add to Cart links will only work correctly if you have already created the Shopping Cart in the Shopping Cart section of Step 4 - Advanced Option.

Related topics:

-

Links


Links | Description

You can use the options in the Description section of the Links window to associate a description with the Link. The description is added to the <title> attribute of the <a> element in the HTML code, and is used to compose a brief explanatory note (ToolTip). ToolTips are displayed next to the mouse cursor when this is on a Link. The ToolTip explains what happens if the Link is clicked (a new Page is opened, a new Website is opened, an image is displayed, a file will be downloaded, etc).

You can use the following options to create a ToolTip:
- | Text: enter the explanatory text that describes the Link.
- | Image: add an image to be displayed next to the explanation in the ToolTip, or instead of the explanation.
- | Width: specify the width of the ToolTip, in pixels.

 Text, Image and Width vary for each Link, so they have to be defined each time. The graphic aspect of ToolTips is valid for the entire Project and is defined in the Styles and Models window of Step 4 - Advanced Settings.

Related topics:
- | Links
- | Styles and Models | ToolTip


Color Window

Each time you are asked to define the color of a Page element, you will see the Color Window. On the side of the window, the default color, or the last color to have been selected is shown on a button.

When you click on the button next to the Color option, a palette of 48 colors appears: click on one of them to select it.

The window shows the main color palette and the following choices:
- | Transparent: this option is only shown when it can be used. It allows you to make the desired element invisible rather than colored.
- | Last Colors: below the main color options you will see a row of colors, and these are the last 8 colors to have been used.
- | More Colors: click on this option to open a new window in which you can create and add new colors.
- | Dripper: clicking on the dripper tool allows you to "pick up" the color of any displayed element, even if it is outside the WebSite X5 window. Click on the dripper tool and hold down the right mouse button: move the cursor to the desired object and release the mouse button to "drip" the color.


Effect Properties

In this window, you can define entry effects for Images in a SlideShow Object that has been inserted using the editor in the Edit Template Graphics window, and for images selected in the Gallery Object.

The commands are divided into the following sections:

1. Effect Type

In this section, you can choose an entry effect to apply to the Images you are working on:
- | Effect List: a list of all the available effects is displayed. If you select "1 - Random" the selected effect is applied to the SlideShow images in a random order. When you make a selection, the effect on the SlideShow is shown in the Preview box.
- | Display Time: You can specify how many seconds each image will be displayed for.

2. Zoom and Position
In this section you can specify the amount of zoom and the positioning (movement) to apply to the Image you are working on.
- | Start position: enter the zoom percentage and the X and Y coordinates from where the Image starts moving.
- | Final position: enter the zoom percentage and the X and Y coordinates where the Image stops moving.
In both cases, instead of specifying the coordinates in the control boxes, you can drag the preview of the Image inside its frame to define the start and final positions of its movement.

You can apply an entry effect and a zoom-and-position effect to the same Image. The entry effect is applied first and the Image is displayed according to the values given for the start position. Then the Image is moved, and re-sized if necessary, until it reaches the coordinates and size specified for the final position.

The following section is only available for Images in a SlideShow object that has been inserted using the editor in the Edit Template Graphics window, when customizing a template.

3. Page
In this section, you can specify which pages of your Website the Images selected from the SlideShow are to be shown in. To do this, tick the pages on the Sitemap.

Specifying in which pages a particular SlideShow image is to be displayed can be useful, for example when you want to insert advertising messages. In the SlideShow, you can set all the banners to use in your Website: this feature means that only relevant messages are displayed in specific pages or sections.

Related topics:
- | Edit Template Graphics | SlideShow
- | Gallery Object | List


Upload linked file

This window opens when you click on the Add... button in the linked files table displayed in the Flash Animation Object | Expert window, or in the HTML and Widgets Object | Expert window.

The available options are:
- | Linked file to upload to Server: you can import a file that is linked to the Flash Animation you are working on.
- | Server relative path: enter the pathname of the folder on the Server where the imported file, linked to the Flash Animation Object, is to be uploaded.
- | Link file to Page (.js and .css files only): if the imported file is a JavaScript (.js format) or a Stylesheet (.css format) file, it must be linked to the Page in order to work. When you select this option, the necessary code is automatically added to the <HEAD> section of the Page's HTML code.

Related topics:
- | Flash Animation Object | Expert
- | HTML and Widgets Object | Expert


Advanced Settings

When you have created the Sitemap in Step 2 and the various Pages and their contents in Step 3, you can continue to Step 4, where you will be able to choose from a number of advanced functions to complete and perfect your WebSite. You can give your WebSite a specific style by customizing the appearance of Menus and text, and you can add many important features such as the Shopping Cart, a Blog and a Members' Area.

The advanced functions are:

 Main Menu
In this section you can design the style of the Main Menu, which appears at the top (if you chose a Horizontal Menu structure when defining the General Settings in Step 1) or on the side (if you chose a Vertical Menu structure) of every WebSite page and helps visitors find their way around your WebSite.

Drop Down Menu
With this option you can decide how the Drop Down Menus are to look. These menus are displayed when the mouse passes over an item in the Main Menu.

Page Menu
If you have added Page Menus you can define their appearance using this option. Page Menus display a list of the Pages in the current Menu Level.

Styles and Models
With this option you can decide the style to apply to the various text elements in the Pages, to the ShowBox that is linked to the Gallery Object, to the ToolTips that may be associated with Links and to e-mails if you have used the E-mail Form Object or if you have included a Shopping Cart.

Welcome Page
You can set up a Welcome Page with this option. The Welcome Page is your introduction to the WebSite: it may have a soundtrack and provide links to other languages if you have a multi-language site.

Advertising Message
In this section you can define and customize an advertising message that can be displayed either only on the Home Page or on all the Pages in your WebSite, in the position that you specify.

Blog
You can create and set up a Blog in this section. A Blog is a sort of online diary where you can publish news and visitors can add comments to it.

RSS Feed
In this section you can create and manage an RSS Feed, which is a useful instrument for maintaining an up-to-date news channel.

Access Management
It is in this section that you can create Profiles for those users who will have access to Locked Pages in your WebSite, and you can organize them in Groups. Locked Pages, defined as such in Step 2 when you define the Sitemap, are the Pages in your WebSite that make up the Members' Area and require a login and password to open them. According to each user's Profile, his/her credentials determine which Locked Pages in the Members' Area he/she may access.

Shopping Cart
You can set up and manage an online shop in this section. It is here that you can define all the necessary aspects of your online business, such as the Product List, shipment and payment methods, the layout of the order form, etc.

For further details on creating the Sitemap and the difference between first and second-level items, Drop Down Menus and Page Menus, refer to the explanation in Sitemap Creation.


Main Menu Style

In this window you can design the style of the Buttons in the Main Menu.

Menus are created and updated automatically by the Program according to the Sitemap created in Step 2 - Sitemap Creation. The Main Menu shows the items in the first level of the Sitemap, and is the instrument that visitors normally use to find their way around your Website. The Main Menu appears on every Website page. If you have chosen a Horizontal Menu structure for your Website, the Main Menu is shown immediately above or below the Header. If you have chosen a Vertical Menu structure, it is shown in a column to the left or right of the Page contents.

According to the style settings that you decide upon, WebSite X5 will create the Buttons for the Main Menu items as follows:
- | Graphic Button: if you choose a rectangular shape for the button, with a single, plain color, the Menu Buttons are created as text and their settings are defined in a Style Sheet (CSS). Graphic Buttons are quicker to load and display online.
- | 3D Buttons: if you choose any form other than rectangular for the button, and set a 3D style, the Menu Buttons are created as images. 3D buttons give you more possibilities for graphic settings and font types for the button label.

What you have to do

When you have decided on the Website's structure, choosing between Horizontal Menu or Vertical Menu (Step 1 - Template Selection or Step 1 - Custom Template) and have created the Sitemap (Step 2 - Sitemap Creation), WebSite X5 can create the Main Menu for moving around the Pages. When you go to Step 4 - Advanced Settings you can select the Main Menu Style and design it as you prefer.

The options for customizing the Buttons are available in the following sections:
- | General
- | Menu Items
- | 3D Style

Related topics:

-

Advanced Settings


Main Menu Style | General

Using the options in the General section of the Main Menu Style window, you can set the overall look of the Main Menu.

The options for the Style are:
- | Width: you can specify the width (in pixels) of the Menu Item Buttons.
- | Horizontal Margin / Vertical Margin: the margin is the space between the Button border and the text inside it. You can use this option to specify how much space is to be left horizontally and/or vertically around the text.
- | Distance between Buttons: enter how much space there is to be between one Button and another.

The options for the Text are:
- | Font Type: in the window that opens, specify the character font, style and size for the text.
- | Alignment: choose whether you want the text aligned to the Left, Center or Right of the Button.
- | Use Anti-alias text: select this option if you want smoother text edges.

Finally, the Options are:

-

Enable Vertical Auto-scrolling: if you select this option, the vertical menu scrolls together with the Page contents, so that it is always visible.

When you specify the width of the Buttons, you must take into consideration the overall space available for the Menu: you can change this parameter if you are not using a Default Template (see Custom Template).

Related topics

-

Main Menu Style


Main Menu Style | Menu Items

You can use the options in the Menu Items section of the Main Menu Style window to define the colors, background images and style of the texts and different states of the Main Menu Buttons.

First of all, select the Menu Item to work on: you can define the look of the [image] Menu Item and the [image] Item on Mouseover / Current Page. You can select a Menu Item from the Drop Down Menu or you can work directly on the Preview, that is always on view and updated in real-time, according to the options you select.

In both the above cases, the Style options are:
- | Background Color / Text Color / Border Color: select these options to define the color of the background, text and border in the Color window.
- | Background Image: you can choose to have an Image displayed as the background for the Button. Click on the [image] button to browse through the available images. Images must be in .JPG, .GIF or .PNG format.
- | Font Style: you can define the text style on the Button for the Menu Item as None, Inset, Raised and Drop shadow. For Item on Mouseover /Current Page, you can add Regular, Bold, Italic and Bold Italic to these styles.

Related topics:

-

Main Menu Style


Main Menu Style | 3D Style

You can use the options in the 3D Style section of the Main Menu Style window to design 3D-effect buttons.

The options in the Shape box allow you to define:
- | Shape: choose the Button shape from those available.
- | Corner Radius: you can specify how accentuated the bevelled corners of the buttons are to be (for shapes with rounded corners).
- | Merge Button Shape: you can use this option to merge the Buttons together in a single block, and the chosen shape is applied to the block.

The options in the 3D Format box are:
- | Graphic: you can define the look of the Button as Flat, Flat Pillow, Bevel, Inset, etc.
- | Light Direction: you can specify the direction of the light effect on the Button.
- | Gradient Factor: you can select the level of shading for the Button.
- | Image Opacity: you can specify the level of transparency of the Images that are added to the Buttons in the Menu Items section.

The 3D Border box gives the following options:
- | Border Style: you can specify a Normal, Bevel or Inset Button border style.
- | Outer Width / Inner Width: you can specify the outer/inner width of the Button's border.
- | Outer Border only: if you select this option, your border preferences will be applied to the border round the merged block of Buttons.

Related topics:

-

Main Menu Style


Drop Down Menu Style

This window presents the options for defining some advanced graphic features of the Drop Down Menus.

Menus are created and updated automatically by the program on the basis of the Sitemap created in Step 2 - Sitemap Creation. Drop Down menus are displayed when the mouse passes over an item in the Main Menu.

As for the Main Menu, WebSite X5 creates the Buttons for the Drop Down Menu items as Graphic Buttons or 3D Buttons, according to the definitions you decide upon (see Main Menu Style).

What you have to do

When you have defined the Website structure as based on Horizontal Menus or Vertical Menus (Step 1 - Template Selection or Step 1 - Custom Template) and you have also created the Sitemap (Step 2 - Sitemap Creation), WebSite X5 can create the Menu and so handle site navigation. If you go to Step 4 - Advanced Settings and click on Drop Down Menu Style, you can customize the look of these Menus.

The options for customizing the Buttons in Drop Down Menus are organized in the following sections:
- | General
- | Menu Items
- | 3D Style

Related topics:

-

Advanced Settings


Drop Down Menu Style | General

Use the options in the General section of the Drop Down Menu Style window to define the general settings.

First of all, you must decide the Menu Type that you want to create, choosing between:

Arrange in one column: the items on the Drop Down Menu appear in a single column, one after the other.

Arrange in more columns: the items on the Drop Down Menu appear in several adjacent columns. A new column is added automatically when:
- | the number of items in the menu is greater than the number specified in the Max Items per Column option;
- | the Page list is interrupted by a Separator (see Defining the Sitemap's Structure).
If you selected Vertical Menu in either the Template Selection or Custom Template windows, you can also select:

 Vertical Accordion: all the items in the Drop Down Menu appear in a single column; when you click on an item all the items below move down to leave space to display a new list of items, previously hidden, that relate to the selected item.

When you have defined the Menu Type, you can work on the options in the Style box:
- | Width: you can specify the width (in pixels) of the Menu Item Buttons.
- | Horizontal Margin / Vertical Margin: the margin is the space between the Button border and the text. You can use this option to specify how much space is to be left horizontally and vertically around the text inside the Button.
- | Max Items per Column: this option is only available for the Arrange in more columns Menu Type. You can specify the maximum number of items that can be included in each column of the Drop Down Menu.

The options for the Text are:
- | Font Type: in the window that opens, you can specify the character font, style and size for the text.
- | Alignment: choose whether you want the text aligned to the Left, Center or Right of the Button.

The Options are:

-

Effect: you can specify the display effect you want for the Drop Down Menu: None, Fade, Drop Top, Drop Left, and Drop Top Left.

Related topics:

-

Drop Down Menu Style


Drop Down Menu Style | Menu Items

The options in the Menu Items section of the Drop Down Menu Style window are for the colors, background images and text style in the various states of the Drop Down Menu Buttons.

First of all, you have to select the Menu Item to work on: you can specify how you want the [image] Menu Item, [image] Item on Mouseover and [image] Separator to look. You can select a Menu State from the Drop Down menu or work directly on the Preview image, that is constantly updated in real-time.

You can choose the following options in the Style box:
- | Background Color / Text Color / Border Color: you can decide the color for the Button's background, text and border in the Color window. You can only define the Text Color for Separators.
- | Background Image: you can specify an Image to be displayed as the Button background for the Active Item and Item on Mouseover states. Click on the [image] button to browse through the available image files: you can use files in .JPG, .GIF or .PNG format.
- | Font Style: you can choose between Regular, Bold, Italic and Bold Italic for the text of the Item on Mouseover and Separator states.
- | Bullet Icon: you can specify the image to be used as a bullet next to the Buttons and Separators. Click on the [image] button to browse through the available image files: you can use files in .JPG, .GIF or .PNG format.

Related topics:

-

Drop Down Menu Style


Drop Down Menu Style | 3D Style

You can apply a 3D effect to the Buttons with the options in the 3D Style section of the Drop Down Menu Style window.

In the Shape box you can specify:
- | Shape: choose the Button shape from those available.
- | Corner Radius: you can specify how accentuated the bevelled corners of the buttons are to be (for non-rectangular shapes with rounded corners).
- | Merge Button Shape: you can use this option to merge Buttons together in a single block, and the chosen shape is applied to the block.

The options in the 3D Format box are:
- | Graphic: you can define the look of the Button as Flat, Flat Pillow, Bevel, Inset, etc.
- | Light Direction: you can specify the direction of the light effect on the Button.
- | Gradient Factor: you can select the level of contrast for the Button.
- | Image Opacity: you can specify the level of transparency of the Images that are added to the Buttons in the Menu Items section.

The 3D Border box gives the following options:
- | Border Style: you can specify a Normal, Bevel or Inset Button border style.
- | Outer Width / Inner Width: you can specify the outer/inner width of the Button's border.
- | Outer Border only: if you select this option, your border preferences will be applied to the border round the merged block of Buttons.

Related topics:

-

Drop Down Menu Style


Page Menu Style

This window presents the options for some advanced settings for designing the Buttons in the Page menus.

Menus are created and updated automatically by the Program on the basis of the Sitemap created in Step 2 - Sitemap Creation. Page Menus are optional, and they display a list of the Pages available at the current Level of the Main Menu: if a visitor opens a Page that is part of a Level, and this Level also includes other Pages, the Page Menu lists all the Pages in that Level. Page Menus are always vertical, and may be displayed either on the left or the right of the Page contents.

As for the Main Menu, WebSite X5 will create the buttons in the Page Menus as Graphic Buttons or 3D Buttons, according to the settings that have been defined (see Main Menu Style).

What you have to do

When you have decided on the Website's structure, choosing between Horizontal Menu or Vertical Menu (Step 1 - Template Selection or Step 1 - Custom Template) and have created the Sitemap (Step 2 - Sitemap Creation), WebSite X5 can create the Menu for moving around the Pages. When you go to Step 4 - Advanced Settings you can select the Page Menu Style option to customize the appearance of this type of Menu.

The options for customizing the Page Menu buttons are organized in the following sections:
- | General
- | Menu Items

Related topics:

-

Advanced Settings


Page Menu Style | General

You can use the options in the General section of the Page Menu Style window to define general settings for the Page Menu.

First of all, if you want to display a Page Menu that shows the Pages in the current Level, you must select the Show Page Menu option.

When you have done this, you can start working on the Style options:
- | Menu Position: choose whether you want the Page Menu to be displayed on the left or right of the Page.
- | Width: define the width of the Buttons in the Page Menu, in numbers of pixels.
- | Horizontal Margin / Vertical Margin: the margin is the space between the Button border and the text inside. Use this option to define how much space you want between the text and the Button borders.
- | Distance between Buttons: you can decide how much space is to be left between each button.

The Text options are:
- | Font Type: choose the character's Type and Style, and its size, in the window that opens.
- | Alignment: choose how you want the text on the Buttons to be aligned: Left, Center or Right.

The options for the Border are:
- | Border Color: choose the color for the Button border in the Color window.
- | Thickness: decide how thick you want the Button borders to be.

Related topics:

-

Advanced Settings


Page Menu Style | Menu Items

Use the options in the Menu Items section of the Page Menu Style window to define the look of the items in the Page Menu.

First of all, you have to select the Menu Item that you want to work on: you can define the look for the [image] Menu Item, the [image] Item on mouseover / Current Page, the [image] Separator and the [image] Separator Line. To select a Menu Item, you can either use the drop-down menu or work directly on the Preview, as this is updated in real-time with any changes that you make.
- | Background Color / Text Color / Line Color: this option opens the Color window, and you can choose the color for the background and text of the Menu Item, Item on mouseover / Current Page and Separator, as well as the color for the Separator Line.
- | Bullet Icon: this option can be selected for the Line Item, Item on mouseover / Current Page, and Separator: you can import an Image (in .JPG, .GIF or .PNG format) to be displayed to the left of the Page Menu Item buttons, as though it were a bullet list.
- | Font Style: you can define the text style for the Item on mouseover / Current Page and Separator Buttons, choosing between Regular, Bold, Italic and Bold Italic.
- | Line Style: this option is only available for the Separator Line, and you can choose from Solid, Dash, Dot, Inset and Raised.

Related topics:

-

Advanced Settings


Styles and Models

In this window you can decide which style to apply to the various text elements in the Pages, to the Showbox that is linked to the Gallery Object and the Product List Object, to the ToolTips that may be associated with the Links and to e-mails if you have used the E-mail Form Object or if you have included a Shopping Cart.

A Style can be generally defined as a series of indications for text formatting and graphics that are applied to an element to change its aspect. By using Styles and Models you can include several different formats in a single operation.

What you have to do

When you have designed the Sitemap (Step 2 - Sitemap Creation) and added contents to the Pages (Step 3 - Page Creation), you can move on to Step 4 - Advanced Settings and define the Styles and Models to customize the various recurring elements in your Website.

The options are divided in several sections:
- | Text
- | ShowBox
- | ToolTip
- | E-mail

Related topics:

-

Advanced Settings


Styles and Models | Text

The options in the Text section of the Styles and Models window are used for setting the Style of the various texts that appear in the Website.

Choose the Page Item that you want to work on, either from the Drop Down menu or from the Preview.

The various Page items that you can define a Style for are:

 Page Title: this option refers to the name of each Page of the Website as it was entered during Sitemap Creation or, if otherwise specified in the Extended Page Title, in the Page Properties window.

Page Path: this refers to the text that appears immediately below the Page Title, and shows the path that has been followed to arrive at this Page in the Website (breadcrumbs). This path is entered automatically by the Program.

Page Text: this is the text of the single paragraphs that are inserted using the Text Object. The style indicated here is applied by default to text entered with the Text Object editor. The default style can subsequently be modified using the options available in the editor. The Default Page Text style is also applied to text that is added automatically by the Program, such as the Pages in the Members Area, the Blog, the Search Engine and the SiteMap.

Active Link / Mouseover Link / Visited Link: these options refer to hypertextual links created with the Text Object. A link can change its appearance according to its status: active, on mouseover, already visited. Changing a link's appearance according to its current status helps the visitor to navigate the Website, reminding him which parts have already been visited.

Footer Menu: this menu repeats the items of the Main Menu and displays them at the bottom of every Page.

The following options are available for defining the Style of the selected Page Items.
- | Visible: you can decide whether the selected Page Item is to be visible or not. It is not available for the Page Text and Links, which cannot be made invisible. Making an Item invisible does not mean removing it from the Page's code. It simply means that the item will not be visible when the page is published. You may want to make the Page Title invisible, for example, because you prefer to add an image rather than text. But the <title> tag in the HTML code will still be present.
- | Background Color / Text Color: you can choose the color for the background and the text of the selected Page Item in the Color window. You cannot choose a background color for the Page Text because this depends on the chosen template (see Template Selection or Custom Template) and/or on the Cell Style with which the Text Object is inserted.
- | Font Type: you can define the font, style and size of the text in the window that opens.
- | Alignment: you can decide whether the Page Item is to be aligned to the Left, Center or Right. This option is not available for the Links because hypertextual link alignment is defined when the Text Object is created, regardless of the Style.
- | Text Style: this option is only available for the Links, and it can be Regular or Underlined.
- | Pointer: This option is only available for the Active Link, and is automatically inherited by the other two Links: you can specify the aspect of the mouse pointer when this passes over a link. Click on the [image] button to choose the .CUR or .ICO file to use.
- | Border Top / Border Bottom: in the Color window, you can specify the color of the upper/lower border that may be added to the Page Title, Page Path and Footer Menu items.

Related topics:

-

Styles and Models


Styles and Models | ShowBox

The options in the ShowBox section of the Styles and Models window allow you to define the style of the ShowBox that is used in JavaScript Galleries (see Gallery Object), in the Gallery with ShowBox link (see Links | Action) and in the Product List Object. In all cases, the ShowBox opens as a link and displays an enlarged Image, Video or Slideshow. When the visitor clicks on the link, the Browser is dimmed to highlight the ShowBox, that appears over the Browser according to the chosen entry effect.

The various Style options are:
- | Entry effect: you can specify how you want the ShowBox to enter the Browser window. The choices of effects are: None, Fade and Move from Top
- | Outer Background Color / Inner Background Color: you can choose the background color of the area outside/inside the ShowBox, in the Color window that opens. The color of the outer background is semi-transparent (according to the degree of Background Opacity that has been set) and is used to dim the Browser window underneath.
- | Background Opacity: you can set the degree of transparency of the background outside the ShowBox. A higher value means the Browser window underneath will be less visible.
- | Show Drop Shadow (CSS3): you can add a shadow to the ShowBox. The shadow will only be displayed by Browsers that support CSS3.

You can set the following options for the Border:
- | Border Color: you can define the color of the ShowBox border, in the Color window that opens.
- | Thickness: you can specify how wide the ShowBox border is to be.

You can set the following options for the Text:
- | Font Type: you can specify the character font, style and size to be used for the text in the ShowBox.
- | Alignment: you can indicate whether you want the text aligned to the Left, Center or Right of the ShowBox.
- | Text Color: you can choose the color for the text in the ShowBox, in the Color window

Related topics:
- | Styles and Models
- | Gallery Object
- | Links | Action
- | Product List Object


Styles and Models | TollTip

Styles and Models | ToolTip

The options in the ToolTip section of the Styles and Models window are used for defining the Style of the ToolTtips associated with Links that have been added to Text or Images using the [image] Insert Link command. A ToolTip is a short text displayed inside a "balloon" that appears when the mouse pointer passes over a Link, and it explains what will happen if the Link is clicked.

The options available for the Style of the ToolTips are:
- | ToolTip Position: you can decide whether the ToolTip is to be displayed to the Left, Right, Top or Bottom of the Link.
- | Effect: you can specify the effect to apply when the ToolTip appears: Fade or Bounce.
- | Background Color: select a color from the Color window for the ToolTip's background.
- | Corner Radius: you can specify how rounded the corners of the ToolTips are to be.
- | Show Drop Shadow (CSS3): you can apply a shadow around the ToolTip's balloon.
- | Show Tail: you can add an arrow to the ToolTip's balloon that points to the Link it is associated with.

The options available for the Border of the ToolTips are:
- | Border Color: choose the color of the ToolTip's border in the Color window.
- | Thickness: you can specify how wide the border is to be.

The options for the Text of the ToolTips are:
- | Font Type: you can specify the font, style and size of the ToolTip's text.
- | Alignment: you can decide whether the text is to be aligned to the Left, Center or Right in the ToolTip.
- | Text Color: you can choose the color of the ToolTip's text in the Color window.

 The Style settings are valid for the entire Project, and so all the ToolTips will have the same graphic appearance. The contents of a ToolTip (text and images) are defined in the Description section of the Links window.

Related topics:
- | Styles and Models
- | Insert link | Description


Styles and Models | E-mail

The options in the E-mail section of the Styles and Models window are for defining the text style for the e-mails created using the E-mail Form Object or the Shopping Cart.

Select the E-mail Item that you want to define the Style for, either from the Drop Down menu or by clicking on it in the Preview.

The E-mail items that you can define Styles for are:

 E-mail layout: the e-mails created by the Program all have an identical layout. It is divided into two areas: the central area is where the message is written, and the area around this is the e-mail background area. You may want to include a border around the inner area, to visually separate the message from the outer area.

Image / Company Logo: you can add an Image to the e-mail header. It may be a company logo, a banner, etc.

Message Content: this is the central area of the e-mail, where the actual message is written.

Footer Note: this is the text that ends the e-mail. It is normally a standard message and differs from the main message area because it is usually written in a smaller font size, and may be a different color.

The options available for the various E-mail items are:
E-mail layout:

-

Outer Background Color / Inner Background Color: you can choose the background color for the message text and for the e-mail background area in the Color window that opens.

-

Border Color / Thickness: you can define the color and width of the border, if you want one, that divides the message area from the outer area.
Image / Company Logo:

-

Image File: you can select an Image to insert in the e-mail header. Click on the [image] button to select the image file (in .JPG, .GIF or .PNG format) that is to be used.

-

Alignment: you can specify whether the Image is to be aligned to the Left, Right or Center of the e-mail header.

-

Position: you can specify whether the Image is to be inserted Inside or Outside the central message area of the e-mail.

-

Width: the width of the original Image is shown automatically, and you can change it, if necessary.

The maximum Image width is 700 pixels, and depends on the e-mail layout. This parameter ensures that all the e-mails will be correctly displayed by whoever receives them.
Message Content:

-

Text Color: choose the color of your e-mail message text in the Color window.

-

Font Type: specify the character font, type and size to be used for the e-mail message text.
Footer Note:

-

Text Color: choose the color of the footnote text of the e-mail message in the Color window.

-

Font Type: specify the character font, type and size to be used for the footnote text of the e-mail message.

-

Alignment: specify whether the footnote is to be aligned to the Left, Right or Center of the e-mail.

-

Position: specify whether the footnote is to be inserted Inside or Outside the central message area of the e-mail.

-

Text: you can write the text of the footnote. The default text is a notice on the confidential nature of the message.

Related topics:
- | Styles and Models
- | E-mail Form Object
- | Shopping Cart


Welcome Page

In this window, you can create a Welcome Page for your Website, and set it up so that visitors can choose the language they want to consult your Website in.

As the name suggests, the Welcome Page is a sort of Website front cover. It may have an Image, a Flash Animation, or a Video in it, and is usually displayed for a set amount of time before the Home Page is shown. Sometimes you need to click on the mouse to access the Site's Home Page (with a message such as "skip intro"). If the website is available in more than one language, the choice of possible languages is often made on this Welcome Page.

Welcome Page - What you have to do

Not every web site has a Welcome Page. It's usually added because it's necessary to the Website's structure. If you want to include a Welcome Page, you must select the Show the Welcome Page option.

You can specify the Background, the Contents, and you can add a Soundtrack for your Welcome Page.

The options in the Page Background are:
- | Background Color: you can specify the background color of your Welcome page in the Color window.
- | Image File: you can import an image file (in .JPG, .GIF or .PNG format) to use as a background for the Welcome Page.
- | Repeat: you can specify whether the Image you have added as a background must be repeated. The Image can be repeated horizontally, vertically or in both directions, so that it occupies the entire space available. It can also be resized so that it covers the whole background (the original proportions are ignored).
- | Alignment: you can specify how the Image is to be aligned in the Browser window.

The options in the Page Contents are:
- | Type: you can specify what sort of content you want to add to your Welcome Page. Choose from Image, Flash Animation, Video and HTML Code.
- | File: if you choose Image, Flash Animation or Video as the content Type, you can import the Image file (in .JPG, .GIF or .PNG format), the Flash Animation file (in .SWF format) or the Video File (in .FLV or .MP4 format) to be used.
- | HTML Code: if you choose HTML Code as the content Type, you can enter the HTML code to be added to the Welcome Page.
- | Width / Height: you can specify the width and height (in pixels) of the Image, Flash Animation, Video or HTML Code that you have added.

The Options are:
- | Entrance Sound: you can specify the audio file (in .MP3 format) to be used as the soundtrack when the Welcome Page is displayed.
- | Jump to Home Page after [sec]: use this option to specify for how many seconds the Welcome Page is to be displayed before passing to the Website's Home Page.

Choice of language - What you have to do

If the Website is available in more than one language and you want to give the visitor the choice of language from Buttons on the Welcome Page, you must first select the Show links to other Languages option.

In the Language List box, you must compile the list of languages available for your Website. Five languages are included in the list by default, and you can change them as required using the following commands:
- | Add / Remove: you can add a new language (in the Language Settings window) or remove a language from the list.
- | Move Up / Move Down: you can change the order of the languages in the List, moving the selected language up or down to a different position in the list.
- | Preset: you can set one of the languages in the List as the "default" language. The default language is the language in which the Website is initially displayed, before the visitor makes a choice of language. The Website in the default language is the only version that shows the Welcome Page.
- | Edit: you can change the settings of the language selected from the Language List, in the Language Settings window.

The Language Settings window presents the following options:
- | Language name to show: you can enter the name of the language you want to make available. Click on the arrow next to the field to open a Popup menu with a list of possible languages and select one. Alternatively, you can type the language name directly in the field.
- | Image file for the language (i.e. flag): you can specify the image file to be used to create the button associated with the Language. Click on [image] to select the .JPG, .GIF or .PNG file you want to use to create, for example, a Button with the image of the flag representing the language's country. If you don't associate any Image, instead of a button being created, a text link will be created automatically using the Language Name as the text and in the color that offers the best contrast to the Page's background color.
- | Server path or URL of the Website for this Language: you can specify the name of the folder on the Server where this language version of your Website project will be stored, for example "EN" for the site in English. Alternatively, you can type in the site's complete URL, for example "http://www.mysite.com/en/index.html". If you are working on the preset language version of the Website, you do not give a complete URL but only the name of the folder on the Server.
- | Show this language but advice that it is not available yet: select this option if you intend offering a language but it has not yet been published online. When the visitor clicks on the button (or text link), a message will be displayed warning that the chosen language is not yet available.

The last option is:

-

Execute the link in a new window: select this option if you want your Website to be opened in a new Browser window, and not in the window showing the Welcome Page.

Although we have talked about language choices in the Welcome Page, this feature can be used for other choices. You could, for example, offer choices of "HTML Version / Flash Version" or "Contents suitable for Everybody / Adults Only".

Related topics:
- | Advanced Settings
- | Language Content Management


Advertising Message

This window shows the options for adding an Advertising Message to the Home Page, or to all the pages of your Website.

The Advertising Message can be an Image or a Flash Animation, displayed in a specific part of the Page, and with a link to a Landing Page. The Landing Page is a normal Website page: the only difference is that it conveys a specific message to the user, encouraging him to fill in a form, make a purchase, etc.

What you have to do

If you want to add an Advertising Message, you must first select the Show the Advertising Message option.

You can choose the Message Type you want to add from the following options:

 Show ads on the top right corner: with the mouse in the top righthand corner of the Page, this is "peeled" down to show the Advert underneath.

Show ads in a box: the Advert appears in a box in the center of the Browser window, superimposed over the Page contents.

Show ads in a horizontal bar: the Advert is shown in a banner along the Browser window. It can either be at the top of the window, above the actual Page contents, or at the bottom, superimposed over the Page contents.

You can specify various Settings for each Message Type:

-

Image File: you can specify the graphic file (in .JPG, .GIF or .PNG format) or the Flash Animation file (in .SWF format) that contains the Advert you want to show.

The following options are also available for Show ads on the top right corner:
- | Style: you can choose the classic PagePeel from the top righthand corner, or you may prefer one of the other available effects. The action is the same with all the effects: the actual Advert is displayed on mouseover.
- | Width/Height: you can specify the width and height (in pixels) of the space that will be occupied by the Advert.

The Show ads in a box type also has the following options:
- | Position: you can specify where in the Browser window the Advert is to be placed. The choices are Center, Top Left, Top Right, Bottom Left and Bottom Right.
- | Effect: this option specifies the effect to apply when the Advert appears. It can be Wipe Up, Wipe Down, Wipe Left, Wipe Right or Fade.
- | Show this message only once: if you select this option, the Advert is only displayed once, when the Page is opened for the first time (the next time the Website is visited the Advert will be displayed again).

The Show ads in a horizontal bar type also has the following options:
- | Position: you can specify whether the Advert bar is to appear at the top of the Browser window, above the Page contents, or at the bottom, superimposed over the Page contents.
- | Background Color: you can specify the background color of the Advert bar in the Color window that opens.
- | Show this message only once: if you select this option, the Advert is only displayed once, when the Page is opened for the first time (the next time the Website is visited the Advert will be displayed again).

The following Options are available for all message types:

-

Entrance Sound: you can specify the audio file (in .MP3 format) that you want to be played while the Advert is on display.

-

Linked Page: you can specify the Landing Page to be linked to the Advert, selecting it directly from the Sitemap by clicking on the [image] button.

What is a Landing Page?
As the name suggests, a Landing Page is the page the visitor "lands on" after clicking on a link or an advert. It must be created so that the visitor immediately finds the information he wants, without having to navigate elsewhere in the Website.
This concept can best be explained with an example: you decide to publish a banner to advertise the sale of a particular article. The information given in the banner is the bare essential to arouse the visitor's interest. So you set up a link from the banner to take the visitor to your Website. Taking him to your Website's Home Page would be counter-productive because it is too general and he would have to navigate through the Website to find the information he wants on the article for sale. You risk losing a potential customer! So, the best thing is to create a new Page with a simple layout that gives all the information necessary on the article advertised in the banner, including how to buy it. You usually have to create a Landing Page specifically but, if it is well done, it is worth the trouble because it guides the visitor to the objective of the banner (that of making a purchase, in this example).

The following options are shown in the Display Mode:

-

Show on Home Page only / Show on all Pages: you can choose whether the Advert is to be displayed only on the Home Page or on all the Pages in the Website.

Related topics:

-

Advanced Settings


The Blog

Here you will find all the tools and options necessary for including a fully-featured Blog in your Website and accepting comments that users may make as feedback to the Posts you publish.

A Blog is a sort of online diary in which you can publish Posts on any subject you want, with variable frequency and regularity.

Once it has been published, the Blog created with WebSite X5 becomes a separate entity, linked to your main Website and available to visitors through a menu item that is added automatically to the Special Pages section of the Main Menu (see Sitemap Creation). If you want to add a "Blog" item to the navigation menu you will have to create an Alias for the Special Page by selecting it and dragging it to the Menu folder.

The Blog remains a part of the Website and has the same look and feel: all the settings defined in the graphic template for the Website are automatically applied to the Blog.

 Your Blog will be published at the URL www.mysite.com/blog where www.mysite.com is the URL of your Website that the Blog is linked to.

The Blog's main Page lists all the Posts that have been published, in chronological order with the most recent one first.
For each Post, the title, author, category, date and time of publication, a summary and the "Read all" link are given. Only for the first Post, instead of a summary, the entire contents are shown.
The "Read all" link opens the related Post so that all its contents can be seen. The comments that have already been published on this Post are listed underneath the contents and new comments can be added.

All the pages in the Blog have the same basic structure: all the tools, such as the recent Posts, Monthly/Category Archive, and Clouds, are in a column on the righthand side of the page. You can customize this column and decide which tools to make available to visitors, and in which order they appear in the column.

The possibility to receive comments on your Posts from visitors is a great way to develop an ongoing online discussion between readers and writers. To avoid abusive, irrelevant or otherwise inappropriate comments from being published, WebSite X5 provides you with an online Control Panel through which such unwanted comments can be intercepted.

What you have to do

To create a Blog, all you have to do is define a few general parameters and create the list of news items that you want to publish.

The options for creating the Blog and Posts are organized in three sections:
- | Posts
- | Layout
- | Comments

Once you have started publishing your Blog, you will need to keep visitors interested by publishing new Posts regularly and frequently. To save time when uploading your project to the Internet, you can choose to publish only the updates to the Blog by selecting the Export only Blog and RSS Feeds option in the Website Export to Internet window.

Related topics:
- | Advanced Settings
- | The Blog: its characteristics and how it works
- | Control Panel


The Blog | Posts

Using the options in the Posts section of the Blog window, you can define some general settings and procedures for creating the list of Posts that are to be published on your Blog.

The following options are available in the General Settings area:
- | Title: enter the title that you want to give to your Blog in this field. The title is displayed in the title bar of the Browser and is, obviously, an important element as it helps users and Search engines correctly identify the Blog. If you don't give your Blog a title, the title of the Website is used by default (this is indicated in the General Settings | Basic window).
- | Description: write a brief description of the Blog in this field. Be brief but, at the same time, clear and to the point: this description is used in the HTML code as the contents of the <description> metatag and the Search Engine spiders use it to find your Blog. If you don't give a description of your Blog in this field, the Website description given in the General Settings | Basic window will be used.
- | Create RSS Feed including the Blog contents: this option is active by default, and means that an RSS Feed will be created automatically with all the Blog's Posts.

In the Post List, you will see a table that summarizes the Title, Author, Category and Date of publishing for all the Posts that have been added, and the options for composing the Post List:
- | Add: this option opens the Post Settings window and you can add a new Post.
- | Remove: you can delete the selected Post from the Post List.
- | Edit: this option opens the Post Settings window and you can edit the Post selected from the Post List.

The Post Settings window, that opens when you select the Add or Edit options, is shown in the figure below. It is divided into two sections:
- | Basic
- | Expert

The options in the Basic section of the Post Settings window are:
- | Title: enter the title of the Post.
- | Published on: use the calendar to select the date the Post was published.
- | Author: enter the name of the author of the Post. You can either type the name of the author in the field or you can select a name from the dropdown list of names that have already been used.
- | Category: you can specify a Category that the new Post belongs to. Like the previous field, you can type in a new Category or you can select an existing one.
- | Tag: you can enter a list of Tags (brief descriptions of the key topics associated with the Post). You can associate more than one Tag with each Post, writing them one after the other, separated by a comma (e.g. "tag1, tag2, tag3., ...").
- | Content: you can write the contents of your Post here, using an editor that is similar to the one provided for the Text Object.
- | Brief Description: you can add a brief description to be associated with the Post.

The options in the Expert section of the Post Settings window are:

-

Linked Video/Audio: you can specify an audio file (in .MP3, .WMA, .WAV, .MID, .AIF or .M4A format) or a video file (in .MP4, .FLV, .AVI, .WMV, .MPG or .MOV format) to link to the Post. A link to the audio/video file is created automatically and displayed at the bottom of the Post.

Can I add a video to a Post that plays immediately?

Videos can be played directly from a Post if you manually add the HTML code in the editor while you are writing the Post. For example, you can copy a YouTube video as it is and paste it into the Post.

-

Post Sources: you can compile the list of sources used to write your Post, using the following commands:
- | Add / Remove: you can add a new source or delete an existing one. Click a second time on a selected item to edit it.
- | Move Up / Move Down: you can select an item in the list of sources and move it to a different position.
- | Edit: you can edit the selected item.
To enter a source correctly, write the name of the Website followed by its URL, between the < > characters (for example, "WebSite X5 <http://www.websitex5.com>"): the text will be displayed as the source and the URL will be used to create a link to it.

-

Do not allow users to add comments to the Post: if you select this option, visitors will not be able to add comments to the current Post.

Related topics:

-

The Blog


The Blog | Layout

You can use the options in the Layout section of the Blog window to perfect the appearance of your Blog.

The following options are available in the General section of this window:

-

Show the "AddThis" button to share your Website with Social Networks: a link between your Blog and the most common social networks can be established. If you select this option, an "AddThis" button is automatically included at the bottom of each Post on your Blog. Visitors click on this button and choose the social network they have an account with from the dropdown menu to add a link to the Post on their page.

-

Button Type: this option lets you choose the design of the "AddThis" button, from the choices available in the dropdown menu.

-

AddThis Account: if you have an AddThis Account (recommended), you can enter your account name to receive statistics on the popularity of your Blog with AddThis users.

For more information on the AddThis service and how to set up an account, click on the [image] button to go to the official www.addthis.com website.

All the tools that are available to Blog visitors are shown in a column on the righthand side of each Blog Page. This column is divided into Blocks, and each tool is shown in its own Box. The Side Blocks section in this window shows a table giving the Title, Type and Width of each Block in the column. The options for working on these Blocks are:
- | Add: you can add a new Block to the column. This option opens the Side Block window, where you can add a new Block.
- | Duplicate: you can select a Block and make a copy of it.
- | Remove: you can delete the selected Block from the Side Block list.
- | Move Up / Move Down: you can move the selected Block up and down in the Side Block list, placing it immediately before or after the previous/next Block.
- | Edit: you can open the Side Block window to edit the selected Block.

In the Side Block window, that opens when you select the Add or Edit options, you can finalize the contents of the Blocks that show the tools available to visitors in the righthand column of every Blog Page. This window has two sections:
- | General
- | Style

Related topics:

-

The Blog


The Blog | Layout | Side Block | General

The options in the General section of the Side Block window (see The Blog | Layout) let you create the list of Boxes in the Tools column that completes the Blog Page.

The Blocks that you can add to the righthand column of the Blog Pages are:

 Recent Posts: all the most recent Posts published on your Blog are displayed in this Block. A visitor clicks on a title to go to the Page containing the Post.

Categories: the list of all the Categories under which the various Posts are organized are listed in this Block. A visitor clicks on a Category to display the list of Posts it contains.

Monthly Posts: this Block contains the list of Posts that have been published in each month.

Clouds: this Block contains the list of all the Categories or Tags associated with the published Posts. The size of the character used for the Category/Tag names depends on the number of Posts that are associated with each one: a bigger name indicates that there are more Posts for that Category/Tag. If visitors click on an item (Category or Tag) the list of associated Posts is displayed.

Blogrol: this Block is used for adding links to other websites or Blogs that you think may be of interest to your visitors.

Facebook: this Block is for Facebook's "Like Box" social plug-in, which lets visitors:
- | see how many users and/or friends already like this Page;
- | read the mostly recently-published Posts on the Facebook Page;
- | say whether they like the Page, even if they haven't actually visited it.

Google AdSense Adverts: this Block is for displaying adverts that are part of the Google AdSense circuit.

HTML Code: this Block can be customized: you can add any feature that isn't added automatically by the program.

The available options depend on the type of Block. The following options are common to all types:
- | Title: enter the title to be displayed for the Block.
- | Width: enter the width of the Block (in pixels).

The options below are specific for Block types:
Recent Posts / Categories /
Monthly Posts:

-

Max Items Number: you can specify the maximum number of items that can be displayed in the Block.
Clouds:

-

Show Categories in a Cloud / Show Tags in a Cloud: these options give you the choice of displaying either Categories or Tags for the Posts that have already been published.
Blogroll:

-

Blogroll List: you can compile a list of useful links, using the following commands:
- | Add / Remove: you can add a new link or delete an existing one. Click a second time on a selected item to edit it.
- | Move Up / Move Down: you can select an item in the list of links and move it to a different position.
- | Edit: you can edit the selected item.
To enter a Useful Link correctly, write the name of the Website followed by its URL, between the < > characters (for example, "WebSite X5 <http://www.websitex5.com>"): the text will be displayed as the Useful Link and the URL will be used to create a link to it.
Facebook:

-

Facebook URL: specify the URL of the Facebook plug-in that you want to use on your Blog.

-

Background Color: you can specify whether this Block will have a dark or light colored background.

-

Height: you can specify the height of the Block, in pixels.

-

Show Connections: select this option if you want friends' profile photographs to be displayed.

-

Show Stream: select this option to display the latest Posts that have been written on the linked Facebook Wall in this Side Block.

-

Show Facebook Header: select this option if you want a Facebook header to be shown in the Block.
Google AdSense Adverts:

-

Google AdSense HTML Code: enter the HTML code provided by Google AdSense to display adverts in the Block.
HTML Code:

-

HTML Code: enter the HTML code necessary to create a custom Block.

Related topics:

-

The Blog | Layout


The Blog | Layout | Side Block | Style

The options in the Style section of the Side Block window (see Blog | Layout) are for finalising the appearance of the Blocks that complete the Blog Page.

The options for the Text are:
- | Font type: you can specify the font, style and size of the text characters in the window that opens.
- | Text Color: you can choose the text color in the Block, in the Color window.
- | Horizontal Margin / Vertical Margin: the margin is the space between the Block and the text inside. You can specify how much space is to be left around the text in the Block.

The options for the Background are:
- | Background Color / Border Color: these options open the Color window and you can choose the colors for the Block's background and border.
- | Border Width: you can specify how thick you want the border to be.
- | Image File: you can specify an image (in .jpg, .gif or .png format) to be used as the Block's background.
- | Repeat: select this option if you want the background image to be repeated. It can be repeated horizontally, vertically or in both directions so that it covers the whole area.
- | Alignment: you can decide how you want the background image to be aligned inside the Block.

Related topics:

-

The Blog


The Blog | Comments

You can use the options in the Comments section of the Blog window to manage the comments that visitors add to the Posts published in the Blog.

The options in the General area are:

-

Let readers add Comments to your Blog: select this option if you want to let visitors add comments to the Posts you have published in the Blog.

-

Server Folder With Writing Access: type the path of the folder on the Server that has write permission (that the PHP code can write to).

Providers normally grant write permission to all the folders on the Server, and so it is not necessary to specify the path for the public folder. However, if this is not the case, you will have to contact your web space Provider to find out the correct path for the public folder.
Go to the WebSite Test section in the Control Panel to check that the public folder really exists, and that it can be written to.

-

Enable "Captcha" anti-spam filter: you can add the "Captcha anti-spam check" option to the bottom of the form that visitors use to add a comment. The Captcha anti-spam filter displays a series of distorted letters on a confused background: the user must rewrite the exact letters to be able to continue and add the comment.

The Comments Settings area includes the following options:
- | E-mail address for Comment notification: enter an e-mail address to which notification of new comments should be sent.
- | Show Inserted Comments Immediately / Show Comments after Admin Approval: you can choose whether visitors' comments to your Blog Posts are to be published on your Blog immediately or only after they have been checked and approved using the commands in the Blog section of the online Control Panel.

Related topics:
- | The Blog
- | Control Panel
- | How to manage comments on Blog Posts using the online Control Panel


RSS Feed

This window proposes the tools and options for creating an RSS Feed, one of the most popular web-content broadcasting formats.

An RSS Feed is a very versatile instrument for broadcasting news, images or videos. It is useful for broadcasting news on a regular basis, or to publicize events, updates to a website, new posts or comments on a Blog.

Visitors who subscribe to the RSS Feed of a website will receive constant updates and news through their news aggregator program.

What you have to do

To create an RSS Feed you need to specify a few general parameters and create the list of news articles that you want to broadcast.

In the Post List, all the news articles that have already been added are listed in a Table with their Title and Date of publication. The commands for working on the Post List are:
- | Add: this opens the Post Settings window where you can add a new article.
- | Remove: you can delete the selected article from the Post List.
- | Edit: this option also opens the Post Settings window so that you can edit the article selected from the Post List.

The Post Settings window that is opened by the Add and Edit commands looks like this:

- | Title: you can give your article a title.
- | Published on: you can enter the article's publication date, selecting it from a calendar.
- | Content: you can use an editor similar to the one used for the Text Object to compose your article.
- | Linked Page: this command takes you to the Sitemap where you can select the Page to link to the article.

As well as creating the Post List, you must also define the following RSS Feed parameters in the General Settings box:
- | Title: you must give the title of the RSS Feed that is connected to the Website. This parameter is obligatory.
- | Image: you can specify an Image (in .JPG, .GIF or .PNG format) to associate with the RSS Feed: this Image (typically a company or Website logo) will be displayed by the news aggregator program.
- | Description: you must give a description of the RSS Feed associated with the Website. This parameter is obligatory.

 RSS Feeds only work when the Website is online.

Related topics:

-

Advanced Settings


Access Management

This window contains the commands for creating and managing the profiles of users who have access to the WebSite's Members Areas. The Pages in Members Areas are defined as Locked Pages when you create the Sitemap.

What you have to do

The Groups and Users who can access to Locked Pages shows a Table with a list of the Groups/Users who already have access to Locked Pages. The Username and Mote for each User are also indicated.

The commands for creating the list of Groups and Users with access to Locked Pages are shown next to the Table:

-

New Group: you can add a new Group: if you organize similar Users in Groups, they are easier to manage. Groups don't have any specific settings and are added directly to the Table. Double-click on a Group that has already been added if you want to re-name it.
You may sometimes find it even easier to organize Users in sub-Groups: There is no limit to the number of Groups and sub-Groups that you can create.
Two Groups already exist by default: they are called Administrators and Users. The members of the Administrators Group are the Website administrators who have access to all the Locked Pages in the Website.

All the members of the Administrators Group can use their Login and Password to access the online Control Panel (at www.mysite.com/admin where www.mysite.com is your Website's URL). Here they can manage comments to Blog Posts, Guestbook messages (see HTML and Widgets Objects) and view information on Website diagnostics or optimization for Search Engines.

-

New User: in the New User window you can create a new User and specify a Login and Password. The new user will be added to the selected Group.

-

Remove: you can remove the selected Group or User from the list. You cannot remove the default Administrators Group or the Admin User in it.

-

Edit: this option opens the New User window, and you can edit the parameters that have been defined for the selected User.

-

Create Alias: you can create an Alias for the selected User. This option is useful if the same User belongs to more than one Group, so having access to different Locked Pages. You cannot create an Alias for members of the Administrators Group because, by default, they have access to all Locked Pages. The Alias remains linked to the User, and any changes made to one Alias are automatically applied to any other Aliases for the same User. An alternative and easy way to create an Alias is by selecting a User in one Group and dragging the name to a second Group, pressing the CTRL key before dropping the name into the new Group.

An example of the New User window that is opened by the New User and Edit options is shown in the figure below:

The commands for creating a new User are:

-

First and Last Name: enter the name of the User who is to have access to the Website's Locked Pages.

-

Username / Password: enter a Login name and Password that the User will have to enter to view the Locked Pages that he will have access to. The Program proposes a default Password of 8 characters/letters selected at random: it can be changed.

-

Entrance Page: this option takes you to the Sitemap so that you can specify which Page is to be displayed after the User has entered the correct Login and Password.

-

Note: you can add information on the User, if you want to.

-

Registration Date: a Calendar is displayed so you can indicate the date the new User was registered.

The Note and Registration Date are not included in the WebSite's code: their sole purpose to facilitate the Site Administrator's task of User management.

The following options are available in the Login and Password Page Settings area:

-

Welcome Message: you can write a message that is displayed when a User tries to access a Locked Page without logging in. The User will be re-directed to another Page, created by the Program, that has the following elements:
- | the welcome message indicated here;
- | the fields for entering the Login name and Password;
- | a Register button, if you choose to include the Registration Page (see the next option).

-

Registration Page: this option gives access to the Sitemap so that you can specify which Page is to be displayed when the User clicks on the Register link, to enter the Login name and Password to access the Locked Pages.

When you have created the Users, given them Logins and Passwords and organized them into Groups, you can go back to Step 2 - Sitemap Creation to define the Locked Pages and decide which Users/Groups have access to each of them.

When you carry out offline tests to see if your Website is working properly, a warning message will tell you that Locked Pages will be displayed without access requests. These Pages are fully active only when the Website is published on the Server.

In order that the Members Area works correctly, it is important the host Server supports PHP and sessions. You can obtain this information on the Server diagnostics in the WebSite Test section of the online Control Panel.

Related topics:
- | Advanced Settings
- | Control Panel
- | Sitemap Creation


Shopping Cart

In this window you have the tools and options for creating and managing a Shopping Cart for selling the products you offer on your Website.

What you have to do

The first thing to do when creating a Shopping Cart is to define a Product catalog, organizing the Products in categories and sub-categories. You will need to enter some basic information for each Product, such as its name, a description and the price. But you can go even further: you can add images for each Product and cater for variables (size, color, model, etc). When you have created your catalog, you have to decide how you are going to ship the goods, how they will be paid for and you have to create an order form, including the e-mail forms that are sent by the Shopping Cart to the site administrator and the person who places the order.

The options for defining the various elements of the Shopping Cart and how they work are organized in the following sections:
- | Products
- | Payment
- | Customer Details
- | Options

When you have created your Shopping Cart, you will need to add the necessary information and links to the Website so that potential customers can view the information on the Products and make their purchases. There are several ways of doing this:
1. | Create the Pages that present the Products in whatever way you think best (with images, text, tables, etc) and add the "Buy now" button to the Pages. The "Buy now" button can be created using the Add to Cart link (see Insert Links).
2. | Create the Pages that present the Products using standard forms that already have the "Buy now" button included. In this case, you use the Product List Object.

 When you carry out offline tests to see if your Website is working properly, a warning message will tell you that the order will not be sent and you will be automatically re-directed to the Confirm Order Page. The Shopping Cart is completely functional only when the Website is published on the Server and is online.

In order that the Shopping Cart works correctly, it is important that the host Server supports PHP and the MAIL command is active. You can obtain this diagnostic information about the Server from the Website Test option in the Control Panel.

If you have problems sending e-mails, it may be that the Server does not have a standard configuration. Try changing the settings for the send e-mail scripts using the appropriate option in the Preferences window. For more information, contact your Website Provider.

Related topics:
- | Advanced Settings
- | Insert Links
- | Product List Object


Shopping Cart | Products

Using the options in the Products section of the Shopping Cart window, you can add Products to the Shopping Cart and organize them in Categories.

Products that have already been added are shown in the Table in this window. It shows all the Products that have been added, in the various Categories, with their Description and Price.

The Toolbar above the Table has the following commands in it:

 Cut [CTRL+X] - Copy [CTRL+C] - Paste [CTRL+V]
You can cut, copy and paste the selected Products. These commands are also available in the Popup Menu that appears when you pass the mouse over the Product List.

As well as the commands in the Toolbar, you can also use the following commands for defining the Product List that is managed by the Shopping Cart:
- | New Category: you can add a new Category for your Products. The Categories don't have any particular settings, and are added directly to the Table when they are created. Double-click on a Category if you want to change its name. You can also create sub-Categories to better organize your Product Catalog: there is no limit to the number of Categories and sub-Categories that you create.
- | New Product: this option opens the Product Settings window, where you can add a new product to the selected Category.
- | Remove: you can delete the selected Category and all its associated Products, or you can delete a single Product.
- | Edit: this option also opens the Product Settings window, and you can change the settings for the selected Product.

 An easy way to move a Product from one Category to another is to select it from the Product List and Drag&Drop it into the new Category. Use the CTRL and SHIFT keys for multiple selections.

The Product Settings window that opens when you select the New Product or Edit options is where you define and add a new product. It is organized in three sections:
- | General
- | Image
- | Options

The Product List Object can only be used to create the actual online Catalog after all the Categories and their Products have been added to the Shopping Cart.

Related topics:
- | Shopping Cart
- | Product List Object


Shopping Cart | Products | Product Settings | General

The options in the General section of the Product Settings window let you add basic information about a new Product that is to be included in the Shopping Cart.

The options for defining a new Product to add to the Product List are:

-

Name/Code: you can add or display the name or code of the Product that you want to add or edit.

-

Description: you can add or display the description of the Product that you want to add or edit.

-

Product linked Page: this option takes you to the Sitemap and you can specify which Page is to be linked to the current Product.

-

Price: enter the price of the selected Product.

-

VAT (%): if this option is active, you can specify the VAT rate to be applied to the current Product. This option is active if you have selected the Set the VAT value for each Product option in the Options section.

As you can see, depending on how the Shopping Cart is set up, you can add Products with prices that already include VAT or you can quote prices without VAT and add the tax separately for each article, if your Products come under different VAT rates.

-

Weight: enter the weight of the current Product, so that the correct shipping charges can be calculated (see Payment | Shipping).

The Weight can be expressed either in kilograms, litres, metres, etc. depending on the type of Product you are dealing with. It is important that shipping costs are calculated correctly so choose the most suitable unit of measure for all your Products in the Shopping Cart.

Related topics:

-

Shopping Cart | Products


Shopping Cart | Products | Product Settings | Image

The options in the Image section of the Product Settings window let you add images of a Product to be included in the Shopping Cart.

If you use several images, you can create a SlideShow for a Product: when a visitor clicks on an image, an enlarged version will be shown in the ShowBox.
Only the first image that is associated with the Product will be displayed in the Shopping Cart. All the others that may have been included will be displayed in the Product Card that you can write using the Product List Object.

The options for creating a list of images to associate with a Product are:
- | Add / Remove: you can add/remove images to/from the list of the images in the SlideShow. You can make multiple selections in the Select File window.
- | Move up / Move down: you can change the position of the selected image in the SlideShow, moving it before/after the previous/next one.
- | Edit: this option opens the Graphic Editor and you can edit the selected image.

The following options are available for the ShowBox Properties:

-

Max Width / Max Height: you can specify the maximum width/height of the ShowBox in which the enlarged images are displayed.

For more information on customizing the ShowBox, see Step 4 - Advanced Settings, in the section Styles and Models | ShowBox.

Related topics:

-

Shopping Cart | Products


Shopping Cart | Products | Product Settings | Options

The options in the Options section of the Product Settings window let you add some more parameters for new Products to include in the Shopping Cart.

You can include Product Options, such as the size and color of an article of clothing, or an alternative Product model. All the Variations are displayed in the Shopping Cart list or in the Product Card created using the Product List Object.

The commands for creating the Options are:
- | Add / Remove: you can add new Product Options or remove one that you have selected from the list.
- | Edit: you can edit the Product Options you have selected in the list. Alternatively, double-click on its name in the list.
- | Move up / Move down: you can change the position of the selected Option in the list, moving it in front of the previous one or after the next one.

If you select the Enable Quantity Discount option, you can create a list of discounts to apply according to the number of items ordered. The discounts are shown in a list and the commands for working on this list are:
- | Add: in the Quantity Discount window that opens you can specify a bulk order discount to apply to the current Product. The Quantity specified here must be equal to or less than the quantity specified in the user's order in order for the discount (%) to be applied.
- | Remove: you can remove a bulk discount from the list.
- | Edit: in the Quantity Discount window that opens you can edit the selected bulk discount. Alternatively, you can double-click on the discount in the list.

Related topics:

-

Shopping Cart | Products


Shopping Cart | Payment

You can use the options in the Payment section of the Shopping Cart window to define the shipment and payment options that you intend to offer for your online store.

The Shipping Type List shows all the possibilities for shipping the goods, including the Name, Description and Cost of each one.

The options for creating the shipment method list for your Shopping Cart are:
- | Add: this option opens the Shipping Type window and you can add a new shipment method.
- | Duplicate: you can use this option to copy the definition of an existing shipment method, and so define a new one more quickly.
- | Remove: you can remove the selected shipment method from the list.
- | Edit: this option also opens the Shipping Type window and you can make changes to the definition of the selected method. Alternatively, double-click on the method you want to edit.
- | Move up / Move down: you can change the order of the shipment methods in the list, moving the selected method before/after the previous/following one.

The Payment Type List section of this window is very similar to the Shipping Type List section. It lists the available payment methods for the goods in the Shopping Cart, giving the Name, Description and Cost for each one.

The options for working on the Payment Type List are the same as Shipment, with the only difference being the Add and Edit options that open the Payment Type window.

Related topics:
- | Shopping Cart
- | Shipping Type
- | Payment Type


Shopping Cart | Payment | Shipping Type

The Shipping Type window opens when you select the Add and Edit options in the Shipping Type List of the Payment section. You can define and add shipment methods for the goods in the Shopping Cart.

The Shipping Type window has 3 sections:
- | General
- | Cost
- | E-mail Message

The options in the General section are:
- | Name: you can give each shipment method a name.
- | Description: you can add a description of the shipment method.

In the Cost section you can specify the cost of each shipment method.

The cost can be calculated in different ways:

-

Fixed Cost: you can choose to have a single fixed cost for the selected shipment method, regardless of the total value or weight of the order.

-

Cost related to the Order's amount: you can define a range of shipment costs for the selected method, that vary according to the total value of the order. The cost ranges are indicated in the Shipment Costs window that is opened by the Add and Edit options: here, you can specify the value that the Order Total must be equal to or greater than in order to apply the specified shipment Cost.

-

Cost related to Total Weight: you can define a range of shipment costs for the selected method, that vary according to the total weight of the items in the Order. Again, the cost ranges are indicated in the Shipment Costs window that is opened by the Add and Edit options: here, you can specify the Total Weight that the Order must be equal to or greater than in order to apply the specified shipment Cost.

For the correct calculation of shipment costs, make sure you specify the weight of each item in the Shopping Cart in the Product Settings - General window.
The following option is only available if you selected Set the VAT value for each Product in the Options window:

-

VAT (%): you can specify the VAT rate that is to be applied to the shipment method cost.

In the E-mail Message section you can write the text of the message that describes and explains the selected shipment method. This message is included in the e-mail that is sent to the Customer to confirm an order.

Related topics:
- | Shopping Cart | Payment
- | How to write an Order confirmation e-mail


Shopping Cart | Payment | Payment Type

You can define the payment type for the goods in the Shopping Cart in this window, that is opened by the Add and Edit options of the Payment Type List in the Shopping Cart's Payment section.

The Payment Type window has 3 sections:
- | General
- | Type
- | E-mail Message

The options in the General section are:
- | Name: you can give each payment method a name.
- | Description: you can add a description of the payment method.

The options in the Type section are:

- | Pay later: the customer may order now and pay later (e.g. by bank transfer).
- | Pay now: the customer sends the order and pays immediately (e.g. by PayPal or Credit Card).

If you select the Pay now option you must define the requested Payment Type: each type requires certain parameters:
PayPal/Credit Card:

-

PayPal Account: the PayPal account details must be entered.

-

Payment Confirmation Page: you can indicate the Page to be displayed to confirm payment, selecting it directly from the Sitemap.

-

Payment Error Page: you can indicate the Page to be displayed if an error occurs during the payment operations, selecting it directly from the Sitemap.
Custom Code:

-

HTML Code for 'Pay Now' Button: if you use an alternative system to PayPal, select this option and enter the HTML code provided by the Payment Service Provider.

 The HTML code provided by the Payment Service Provider must be completed with the order number and total value of the order. You will have to enter the following tags manually, otherwise the shopping cart will not work correctly:
- | [ORDER_NO] - the order number is entered here;
- | [PRICE] - the total cost of the order is entered here.

The following options are also available:
- | Cost: you can specify the handling costs (if any) that are applied to the selected payment method.
- | VAT (%): you can specify the VAT rate that is to be applied to the payment method cost. This option is only available if you have selected Set the VAT value for each Product in the Options window.

In the E-mail Message section you can write the text of the message that describes and explains the selected payment method. This message is included in the e-mail that is sent to the Customer to confirm an order.

Related topics:
- | Shopping Cart | Payment
- | How to write an Order confirmation e-mail


Shopping Cart | Customer Details

The options in the Customer Details section of the Shopping Cart window are used for creating the order form that is used for online shopping.

In the Order Form area, you see a list of the fields that can be used in the order form. Click in the Visible check boxes next to the fields that you want included in your order form, and in the Mandatory check boxes of the fields that the Customer must compile when filling in the order form.

The default list of fields includes all those fields present in a typical order form.

The last field in the list is the E-mail address field. This field is always visible and mandatory: you cannot change these settings. Without the e-mail address of the person placing the order, the shopping cart cannot work correctly.

The following options are also available:
- | Show Agreement Conditions: select this option so that all the Agreement Conditions that the Customer must accept prior to placing an order are shown in the order form. For example, the current norms on Privacy regarding data collection will be shown.
- | Agreement Conditions Message: you can enter the text of the Agreement Conditions that the Customer must accept before proceeding to place the order.

The following options are available in the Order List E-mail section:
- | E-mail Address for receiving Order: enter the e-mail address of the website administrator who receives the orders placed through the shopping cart.
- | Attach Order Data in CSV Format: select this option if you want order data to be saved in a CSV file. In this case, all the data is taken from the order and entered in a CSV file in text format as a list of items, each one separated by a semi-colon. This file can be imported to spreadsheet programs, such as Microsoft Excel, for manageable viewing.

In the User's Order Confirmation E-mail section, you can enter the Header Text and Footer Text of the order confirmation e-mail that is sent automatically to each customer who places an order. You can also add descriptions of selected shipment and payment methods.

Related topics:
- | Shopping Cart
- | How to write an order confirmation e-mail <-- ?


Shopping Cart | Options

You can use the Options section of the Shopping Cart window to define the style of the shopping cart and set the options for VAT and foreign currency.

The following options are available in the Currency Settings section:
- | Currency: you can define the currencies that will be accepted by your shopping cart. The popup menu shows the currencies that are accepted by default. To add or remove currencies in the list, click on the [image] button to open the Currency List window.
- | Digit grouping: you can specify how prices are to be written: with a comma as the thousands separator and a dot to separate the decimals (1,000.00), or vice versa (1.000,00).
- | Show Currency on the right: select this option if you want the currency symbol to be displayed to the right of the price.
- | Show Decimal Places: select this option if you want prices to be shown with two decimal places.

In the VAT Settings section you have the following options:
- | VAT is included in the Products Price: this is the default value: the prices shown in the Shopping Cart include VAT.
- | Set the VAT value for each Product: select this option if you prefer to show prices without VAT, and specify the VAT rate for each product.
- | Default VAT value (%): this option is only available if Set the VAT value for each Product has been selected: you can specify a default VAT value and this will be applied when VAT is not specified for a particular Product in the Product Settings | General window.

The following options are available in the Options section:
- | Allow orders only for minimum amounts: if you select this option, it means that orders for less than a specified minimum value will not be accepted.
- | Minimum total amount: this option is available if Allow orders only for minimum amounts is selected: you can specify the minimum total value that orders must reach in order to be accepted.

In the Products Table Graphic Settings area you can define the appearance of the tables which illustrate the products that are available and/or added to the shopping cart:
- | Header background / Header text / Cells background / Cells text / Table border: these options open the Color window and you can choose the colors for the various elements of the Product Table.
- | 'Add to cart' Image / 'Remove from cart' Image: you can specify which images you want to use for the 'Add to cart' and 'Remove from cart' buttons.
- | 'Preview not available' Image: you can specify the image that is to be used when a particular product does not have an image associated with it and "Image and Text" or "Text and Image" has been selected as the format for displaying Product Cards in the Product List.

Related topics:

-

Shopping Cart


Export

When you have finished a work session or finished creating your Website, you are ready to pass on to Step 5 and export, or publish, your Website: WebSite X5 offers you a number of options for exporting your Website. Thanks to the built-in FTP engine, you can publish your Project files directly on the Server. Secure connections are also handled, and you can save time by working in multi-connection and upload only those files that have been edited since the last export. Alternatively, you can save all the files on a disk on your own PC so that you have a copy of the Project that will be published on the Server. Lastly, all the Project files can be saved in a single folder to be transferred to another computer if you want to work somewhere else.

In short, the possible export options are:

 Upload the Website to Internet

Export the Website to Disk

Export the Project


Website Export to Internet

You can publish your Website on the Internet in this window.

WebSite X5 provides a built-in FTP engine so that you can publish your Websites directly online. All the necessary files for correctly displaying a Website on the Internet are saved on the computer you worked on. You have to copy your Project files to a Server, a computer that is permanently connected to the Internet, if you want other people to see your Website online.

The first thing to do when exporting your Website files is to specify the Session Profile (data obtained from your Internet Provider):

-

Server Type: specify the connection that is used for publishing Website files on the Server. Choose the one that your Server uses from the following:
- | FTP - File Transfer Protocol: this is the default option. FTP is one of the oldest data transmission protocols and is still widely used. The data that is exchanged between Client and Server is not encrypted, according to the original FTP specifications.
- | SFTP - SSH File Transfer Protocol: this is an Internet protocol that guarantees secure data transfer, using remote encrypted sessions and remote file manipulation.
- | FTPS - FTP over explicit TLS/SSL: to solve security problems, this protocol adds an encrypted SSL/TLS layer to the FTP protocol, plus a series of commands and reply codes.

-

FTP address: enter your FTP address in this field. An example is "ftp.websitex5.com", where "websitex5.com" is the domain name.

-

Username / Password: enter your Username and Password in these fields.

-

Save password: if you select this option, the password you enter will be saved and you won't have to enter it again.

There are also some Optional Parameters which are not obligatory for establishing a connection with the Server but you can enter them if you want to:

-

Destination folder: enter the pathname of the destination folder provided by the Internet Provider on the Server. If you do not enter the pathname here, you can do so in the next window that WebSite X5 shows.

-

Port: you can enter the name of the gateway on the Server to which you want to establish a connection (the Internet Provider will give you this information). It isn't usually necessary to change the default value.

-

Simultaneous connections: you can specify the number of connections to the Server that the FTP Engine needs to open at the same time in order to publish the Website files. The number of connections is equivalent to the maximum number of files that can be exported simultaneously.

The Server you use must support multi-connections. Although support may be guaranteed, only a certain number of simultaneous connections can be handled efficiently, in terms of saving time. Try starting with 3 simultaneous connections and progressively increase the number until you find the best number for the size of the bandwidth that the Server you are using handles. Generally speaking, it is advisable not to specify more than 10 simultaneous connections.

-

Use passive FTP: this is the default value, and it means that passive FTP is used for exporting Projects. It guarantees greater connection compatibility with the Server.

-

Enable gzip compression: this is the default value, and means that the Project files are compressed during the export procedure, in order to reduce publication times.

Not all Servers support gzip compression: if this option is selected, but the Server you are using does not support it, the files will not be compressed but the Project will still be published. Gzip compression works very well with big files (that contain a lot of images or videos, for example), but it is not recommended for small files.

When you have set all the parameters for connecting to the Server, you can specify the Upload Mode (what and how you actually want to publish):

-

Upload all Website files to the Internet: the whole Website Project is uploaded and published. This option is recommended the first time you upload your Website, or when you have made a lot of changes to the Project files.

-

Export only the files modified after last export on date...: if you choose this option, only the files that have been modified since the last export are uploaded. This option is recommended for Websites that are constantly updated as it reduces publication time, compared to the time taken to upload an entire Website.

The publication date is saved in the Project file, so it is important to always save changes after publishing files.
Even though you choose to export only modified files, the HTML pages and resource files (in the RES subfolder) are also uploaded because it is very likely that they will have been updated.

-

Export only Blog and RSS Feed: if you choose this option, only the .PHP and .XML files of the Blog and the .XML files of the RSS Feed (see Step 4 - Advanced Settings) are published. You can only choose this option if the Blog and/or RSS Feeds have already been published once. It is useful for updating your Blog or RSS Feeds when there aren't any other updates to the rest of the Website.

What you have to do

When you have set all the parameters, click on Next to connect to the Server. When the connection has been established, a list of the existing folders on the Server is displayed. Use the commands available to move to the folder in which you want to publish your Project files.

 The folder that you want to publish your Website in must contain an index.html file. If you are not sure which folder to use, ask your Internet Provider: not all the folders on the Server are suitable for publishing Websites.

The commands available on the Server are:

 Previous level
This takes you up to the folder at the previous level.

Update
This command updates the contents of the folder.

New folder
You can create a new folder.

Delete
You can delete the selected file or folder.

Rename
You can rename the selected file or folder.

Upload file to Server / Download file from Server
These commands let you publish one or more files on the Server that are not part of the Website Project, or download files published on the Server to your computer.

Show List / Show Details: You can choose the level of detail for the list of files.

Finally, there are a further two options:
- | Message Log: choose to display the message log and any errors that may have occurred during the connection with the Server.
- | Upload Queue: select this option if you want to display the upload status of the files being transferred to the Server (the number of files depends on the number of multi-connections that has been set). A status bar shows the progress of each file transfer. When the upload is complete, the file is removed from the queue.

 When exporting a Project, WebSite X5 copies all the files in the registration folder to the Server. If this folder contains files with the same names of those files to be published, they will be overwritten.

Related topics:

-

Export


Export completed

When your Website has been successfully published online (see Export Website to the Internet), this window suggests a number of ways in which you can let people know about it.

The options are:

 Your Website is online!
You can start the default Internet Browser to open your online Website and check that everything is working correctly.

WebSite X5 Gallery
You can access WebSite X5's Gallery at My.WebSiteX5.com to submit your Website to the Gallery. The Gallery is a collection of Websites created by WebSite X5 users and submitted by the authors themselves.

Update the SiteMap on Google
You can notify Google of the newly-published Website's SiteMap, so that the Search engine spider starts indexing it.

Broadcast publication on Facebook
You can access Facebook and write a comment on your wall to tell all your friends that your Website has been published.

Broadcast publication on Twitter
You can access Twitter and write a tweet on your timeline to tell all your followers that your Website has been published.

Related topics:

-

Export


Export to Disk

From this window you can export your Website to another disk of your computer.

This option is useful for keeping a local copy of the files that are published on the Server, so that they can be copied onto another support (CD, DVD, USB) or changes can be made to HTML pages before publication.

To export all the Project files, you must specify:

-

Destination folder: enter the name of the folder in which to copy the Project files. If this folder doesn't exist, it will be created automatically.

If you want to make a backup copy of the Project, you have to use the Export the Project option: this will make a copy of the original Project files, and not the files that have been created by the program for publication.

Related topics:

-

Export


Optimize and Batch to Folder

Export the Project

In this window, you can export all the files linked to a Project in a single, compressed file so that the Project can be transferred to another computer or you can make a backup copy of it.

To export the Project file, all you need to specify is:

-

Destination folder: if the specified folder does not exist, it will be created automatically.

When the Project has been exported, a single compressed file is created in the destination folder, with the same name as the Project file and a .IWZIP extension. For example, if the Project file is called "myproject", the new file will be created as myproject.iwzip. Both the Project file (.IWP) and all the files linked to it (for example, Images, Videos or Flash Animation) are saved inside the compressed file.

The compressed .IWZIP file can be transferred to another computer and opened by the program using the Import option in the Project Selection window.

Related topics:
- | Export
 | Project Selection | Import Project


The Built-in Browser

While you are creating your Website, you need to be able to check on what the final result will look like. WebSite X5 provides a Preview button (see The Work Environment) in every window so that you can do just that! The Preview is kept constantly updated so you can be sure that what you see in the Preview is a true picture of what your Website will look like when it is actually published (see Save on each Preview in the Preferences window).

WebSite X5 uses a built-in Browser to display the Preview. This Browser uses the same engine as Microsoft Internet Explorer, and has the following options:

 Back
This option takes you back to the previously displayed Page.

Next
This option shows the Page you were looking at when you pressed the Back button.

Home Page
This option takes you to your Website's Home Page.

Address Bar
This bar shows the path of the Page that is on display, and you can also type in the path of the Page that you want to display.

Go
Click on this button to load the Page corresponding to the path in the Address Bar. Alternatively, press ENTER.

Edit this Page
This option takes you back to the Program's Work Environment and opens the current Page in Step 3 - Page Creation so that you can edit it. If the Page is part of the Blog, the Members Area or the Shopping Cart, this button takes you to the relative section of Step 4 - Advanced Settings.

Please note that once you have opened the Browser window to check the Preview of your Project, the Page that is displayed changes automatically according to the Page you are working on. When you go to a different Page, the same Page is also opened in the Browser's Preview window.

Having a built-in Browser to display a Preview of the Website you are creating offers a number of advantages:
- | The Preview does not replace the Website that is being displayed by your default Internet Browser, should you have an open Internet session;
- | The Website Preview is updated in the built-in Browser window, and does not open other windows of the default Internet Browser.


Automatic Text Management

Some elements in the Pages created with WebSite X5 are added automatically by the Program: they may be, for example, links to other parts of the Website, Buttons in the Gallery Object, labels for the E-mail Form Object, labels and text for the Shopping Cart, the text that appears in the Sitemap.

Obviously, the text that appears in these elements must be in the correct language for the Website, and to ensure this happens you must specify the main Website Language in the Content Language option of the General Settings window. WebSite X5 offers a number of default languages, including English, Italian and German, with the necessary translations. The default translations can be changed, and you can add or import new languages or remove unnecessary ones. To do this, click on the [image] button next to the Content Language option to open the Language Content Management window.

In the Language Content Management window there is a list of the available languages on the left and a Table with the translation in the various languages on the right. The first column in the Table gives a description so that you can identify whereabouts in the Program the various items are used. There is then one column for each Language that has been selected from the list on the left. You can work directly in this Table to edit and add items.

The following buttons are available in the Language Content Management window:

 Add a new Language: you can enter the name of a new Language to add in the dialog box that opens. You must use the format "ID - LanguageName", for example "EN - English".

Remove the selected Language: you can remove the selected Language from the list.

What you have to do - Change existing automatic text

Examples of text that is added automatically by the Program are the labels on the "Send" and "Reset" buttons at the bottom of e-mail forms.
Imagine you have selected "English" as the Content Language and you want to change the "Reset" label to "Ignore":
- | In the Language Content Management window, click on English in the list of available Languages to display the various automatic text items in the translation Table.
- | In the first column of the Table, look for the "label_form" item, which is the label for the button you want to change. Move along the row to the corresponding cell in the English language column. Double-click in the cell to make the cursor appear: delete the word "Reset" and type "Ignore".
- | Confirm and save the change.

What you have to do - Add a new Language

If you want to write your Website in a Language that is not included in the list (for example, Portuguese), to avoid having the automatic text added in English (which is the default Language) you must add a new Language to the list in the Language Content Management window and translate all the items for automatic text. The only requirements for this operation are the necessary linguistic capabilities:
- | Click on Add a new Language in the Language Content Management window and type "PT - Português" in the dialog box. This new entry will appear at the bottom of the list of available Languages.
- | Click on "PT - Português" to display the column for this Language in the translation Table.
- | Click on the various cells in the "PT - Português" column and type in the necessary translations.
- | When you have finished, confirm and save.

Related topics:
- | General Settings | Basic
- | Advanced Settings | Welcome Page


The Box Model in WebSite X5

In WebSite X5, Pages are created with the help of a Page Layout Table and you can perfect the Page design and layout by adjusting the margins in the Cell Margins window that opens when you click on the [image] button in Step 3 - Page Creation.

In order to fully understand what is meant by Margin, and so correctly lay out the contents, it must be clear which Box Model is being used.

When you write a Web Page's code, all the HTML elements are considered as boxes and the set of parameters that define the visual aspect of each box is called a Box Model. Each box consists of a basic number of components - margins, borders, padding and the actual content - and each one can be modified with CSS properties.

The diagram below illustrates the various components of the Box Model:

In WebSite X5 the default Page Layout Table has a number of Cells to which the Page contents can be added. Each Cell has the Box Model shown below.

The elements are:
- | Contents (in green): the contents are added to a Cell by dragging one of the available Objects into it.
- | Padding (in pink): this is the space between the contents and the border.
- | Border: the border surrounds the padding and contents. You can define the border's appearance in the Cell Style window.
- | Margin (in yellow): this is the space between the border and the lines of the Page Layout Table.
Given these definitions, the space between two adjacent Objects (horizontally or vertically) is equal to the Margins defined for the Cells that the Objects have been placed in:

Related topics:
- | Page Layout Table
- | Cell Style


How to create a background image that fits in the Cell

In the Cell Style | Style window you can set the appearance of the Cell you are working on in the Page Layout Table.

Among the options available, you can use an image as the Cell's background. The image file must be in .JPG, .GIF or .PNG format. You will need to select the Background Image option and set the Repeat and Alignment options for each different image in order to get the best results.

Here are some examples.

Example 1 - If the image is the same size as the Cell, you can specify:
Background: Image Background
Repeat: Do not Repeat
Alignment: Top-Left

Example 2 - If the image is a pattern, and when you put two copies side by side (horizontally or vertically) you cannot see the join, then you can specify:
Background: Image Background
Repeat: Tile image
Alignment: Top-Left

Example 3 - If the image is a frame that has to be adapted to Cells in different sizes, you can specify:
Background: Fit to Cell Background
Block Width/Block Height: select the width and height you prefer for the Cell.

The diagrams below illustrate how the Fit to Cell Background option can be used:

Image 1

Image 2

Image 3

The original image (1) is an elaborate frame that can easily be cut into portions and adapted to any size: the ornamental parts in the corners are a fixed size and the shading can be repeated as a pattern without abrupt changes in color.

Image 2 shows the portions whose size can be specified in the Block Width and Block Height options. The width and height is the same for all of the portions and is given as a percentage of the width and height of the original image: it can vary from 5% to 45%. The cut in the example is 35% for both width and height: this value ensures that each portion includes the corner element.

Image 3 shows how it is possible, from the portions A, B, C and D of the original image, to obtain 5 other portions, a, b, c, d and e: these are the portions that the Program cuts to obtain all the parts of the image necessary to complete the background of the Cell. Portions A, B, C and D are maintained unaltered and placed at the corners of the Cell, and the other five portions, a, b, c, d and e, are repeated to fill the rest of the space.

The Fit to Cell Background option is, therefore, very useful for adapting the same image to fit Cells of differing sizes.

Related topics:
- | Page Layout Table
- | Cell Style


How to write an Order confirmation e-mail

When a user makes a purchase he will appreciate receiving an e-mail that confirms his Order has been received and gives the necessary indications on making the payment.

WebSite X5 automatically compiles the Order confirmation e-mail, taking the necessary details from the Order itself.

The e-mail is made up as follows:

 | Description: | Example: | Where it is specified:
Header text | This is the introductory paragraph of the e-mail. It should thank the user for his custom and summarize the contents that follow. | Dear Customer, Thank you for choosing our products. Below you will find a summary of your order, including your purchases, invoice data, shipping data and your preferred method of payment. | In the Header Text option of the Customer Details section.
Customer Details | This part of the e-mail repeats the invoice data that the Customer entered in the Order Form. |  | The Order Form can be defined in the Customer Details section.
Order Summary | This is a table that summarizes all the Products that have been ordered: it gives both the Product quantity and partial total, and the Order's total. |  | This table is created automatically according to the Order.
Payment Type | This section must give the Customer clear and precise instructions on making the payment, according to the method he has selected. | For "Bank Transfers": Payment must be in favour of: XXX YYY ZZZ Following payment, please forward us the Order Number and accounting copy of the Bank Transfer operation. | In the E-mail Message section of the Payment Type window.
Shipment Type | This should summarize the selected shipment method and give, if possible, indications on when and how the goods will be delivered, and any other information that may be useful. | For "Express Delivery Service": Shipment via Express Delivery Service. The goods will be delivered within 1-2 working days. | In the E-mail Message section of the Shipment Type window.
Footer text | This is a standard paragraph containing the appropriate formal phrases for closing the e-mail. | If you have any queries relating to this order, please do not hesitate to contact us. Yours faithfully Company Name | Using the Footer Text option in the Customer Details section.

Like all the other e-mails that are composed and sent automatically by the Program, the Order confirmation e-mail has the graphic style defined in Styles and Models | E-mail.

A copy of the Order confirmation e-mail is also sent in text format.

Related topics:
- | Shopping Cart | Customer Details
- | Shipment Method
- | Payment Method
- | Styles and Models | E-mail


How to use Google Webmaster Central

Google Webmaster Central is a service provided by Google free of charge to help Web administrators design a website that conforms to Google's site analysis methods. These tools help diagnose website problems and, if correctly used, they can help improve a website's ranking in search results.

To use Google WebMaster Central, you will first need a Google Account and be able to show that you are the owner of the website to be analyzed. One way of proving you are the owner of the website is to copy a metatag supplied by Google in the first <head> section of your Home Page, before the <body> section.

This is what you have to do:

-

Open an account with Google.

-

Go to the Google Webmaster Central home page and log in.

-

Click on Add a Site from the Home page and type the complete URL of the site you want to add.

-

Click on Continue to open the Site Verification page.

-

Choose "Metatag" as the verification method.

-

Copy the metatag supplied by Google and paste it into the Verification Metatag for Google Webmaster Central field in WebSite X5's General Settings | Expert window. WebSite X5 will add the metatag in the correct position to the HTML code of your Home Page.

A verification metatag from Google looks something like this:
<meta name="verify-v1" content="VOPYsjbR4uw/YqV+MWLB0lVmJt0niwdkv9PQTsTREHQ=" />
- Once you have published your Website, go back to the Site Verification page in Google Webmaster Central and click on Verify to complete the procedure.

Related topics:

-

General Settings | Expert


How to monitor site performance using a statistics service such as Google Analytics

Many website statistics tools are available on the Internet, and one of the most popular is Google Analytics. This free tool provides numerous reports for monitoring and analyzing visits to your website. Google Analytics can be used for simple analysis such as counting the number of visits, through to more complex work such as judging the effectiveness of your advertising campaigns running on the Google AdSense program.

To make use of Google Analytics, you need to tell Google which Website is to be analyzed, and which of your Pages must be tracked. For this, you will need to insert a special Google tracking code in the Website Pages.

To do this, you have to:

-

Open an account with Google.

-

Go to the Google Analytics home page and login.

-

In the Analytics Settings page, click on Add website profile to enter the URL of the website to be analyzed .

-

When you have created the profile, go to the Overview page and click on the Edit button in the Actions column for the website you want analyzed.

-

In the Profile Settings page, the "Unknown tracking" status will be shown. Click on Status check to display the code you will need to use to track your pages.

-

Copy the tracking code and paste it into the Code for Website Statistics field in WebSite X5's General Settings | Expert window. WebSite X5 will insert it as the metatag value in the correct position in the HTML code of the Website pages.

The tracking code provided by Google will look something like this:
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-110367-1");
pageTracker._trackPageview();
} catch(err) {}</script>

Related topics:

-

General Settings | Expert


How to create and link the Website's SiteMap

WebSite X5 can generate the Website's SiteMap XML file and link it to the HTML code of the Website Pages via the <sitemap> metatag.

A SiteMap is basically an XML file that contains a list of all the Pages in a website. It was introduced by Google (and is now used by Yahoo! and MSN) to scan websites more quickly and effectively. In other words, if you create and submit your SiteMap to a webmaster, it can ensure its Search engine, and in this particular case Google, is informed of the existence of your Website and all its Pages, including those which would not be "seen" by normal scanning procedures.

You can also use the SiteMap to direct Search Engines in including specific site content such as videos, images, news, etc. The SiteMap can also contain additional information on how often Pages are updated, when they were last edited, the importance of each Page within the Website (this parameter does not affect a Page's positioning within the search results).

Create the SiteMap - What you have to do

To generate and link the SiteMap to a Website, leave the default setting (enabled) of the Automatically create a Sitemap option in General Settings | Expert.

Now you add additional information for each Page to the SiteMap:

- | In Step 2 - Sitemap Creation select the Page you want to work on.
- | Click on the [image] button to open the Page Properties window and go to the Expert section.
- | Set the Update Frequency and Contents Priority.
- | Repeat these operations for the other Pages in the Website.

Include Images in the SiteMap - What you have to do

The SiteMap can be used to pass additional information to Google on the images contained in the Website, thus helping the webmaster's Search Engine to find images that would otherwise be by-passed (for example, images that are included in JavaScript modules) and to recognize the images that are more important than others. For example, by not including in the SiteMap those images that are part of the graphic template or are purely decorative, you indicate to Google that they are less important than others.

Google specifies that you can add a maximum of 1000 images per Page in the SiteMap, and that it cannot guarantee that all the images will be indexed or that all the additional information will be taken into account.

It is very easy to add information on an image to a SiteMap:

- | Double-click the Image Object for the Image you want to add information about: this takes you to the Image Object window.
- | Open the SiteMap section and select the Add Image to SiteMap option.
- | The Title, Caption, Geographical Position and Licence URL fields are optional.
- | Repeat these operation for all the important Images in your Website.

See Image Object | SiteMap for further details.

Include Video content in the SiteMap - What you have to do

The SiteMap can also be used to inform Google about the videos you may have in your Website. Again, Google does not offer any guarantees but if you do include video content in the SiteMap you increase the possibility that they will be traced and included in searches in Google Video.

You can use the SiteMap to give additional information, such as title, description and length of the video, that may simplify the search. This and other information is included in the Search Engine Results Pages (SERP). However, Google may use the text on your video's page for the SERPs, rather than the text you supply in the SiteMap's video content, if this differs.

Completing the SiteMap with Video content is easy:
- | Double-click the Video Object of the Video you want to add, to open the Video/Audio Object window.
- | Go to the SiteMap section and select the Add Video to the SiteMap option.
- | Add the mandatory data to the SiteMap: Title, Caption and Image Preview.
- | The following information can, optionally, be included in the SiteMap: Category, Keywords, Published on, Contents suitable for everybody.
- | Repeat these operations for each Video you want to include in the SiteMap.

 See Video/Audio Object | SiteMap for further information.

Remove a Page from the SiteMap - What you have to do

When a SiteMap is created, all the Pages in the Website are included in it by default. If you don't want Search Engines to consider a particular Page, just remove it from the SiteMap:
- | Select the Page you want to remove from the SiteMap in the Sitemap Creation window (Step 2).
- | Click on the [image] button to open the Page Properties window and go to the Expert section.
- | Untick the Add this Page to the SiteMap option.
- | Confirm and save.

Related topics:
- | General Settings | Expert
- | Sitemap Creation | Page Properties | Expert
- | Image Object | SiteMap
- | Video Object | SiteMap


Control Panel

WebSite X5 automatically adds an online Control Panel to every Website. The Website Administrator can use the Control Panel for managing comments to Blog Posts, Guestbook messages and viewing information on Website diagnostics and optimization for Search Engines.

All the members of the Administrators Group can access the Control Panel. This Group is set up in the Access Management section of Step 4 - Advanced Settings.

To access the Control Panel:
- | go to www.mysite.com/admin where www.mysite.com is your Website URL.
- | enter your Login and Password.

The Control Panel is organized in the following sections:

-

Blog: you can manage comments that have been made by visitors on the Posts in the Website's Blog (see How to manage comments on Blog Posts using the online Control Panel).

-

Guestbook: you can manage messages that visitors have left in the Website's Guestbook (you can add a Guestbook to your Website with the Widget in HTML and Widgets Object).

-

WebSite Test: you can view diagnostic information on the Website and the Server that your Website is published on. Diagnostic checks are carried out on:
- | PHP Version - the Server must support the PHP language to handle e-mails correctly (e-mails are used in the E-mail Form Object and Shopping Cart) and grant access to Locked Pages via Login and Password. This checks that the Server does offer PHP support and which PHP version is supported.
- | Session support - as well as PHP support, the Server must also support sessions so that access via Login and Password to Locked Pages is correctly handled.
- | Folder with write permission - you have to indicate the path of a folder on the Server that has write permission (do this in Blog | Comments) to be able to store and manage Blog Post comments and to ensure that data-collection Widgets work properly (see HTML and Widgets Object). This checks that the folder exists and that it has write permission.
- | MySQL support and database settings - when you set up an E-mail Form Object, you can specify that the data collected from compiled e-mail forms is stored in a database ("Send data to a database" option in E-mail Form Object | Send): you will have to enter the parameters for accessing the database on the Server. This checks that the Server supports MySQL and that the specified parameters do give access to the Database.

-

SEO: you can view the results of how Search Engines are indexing your Website. You will see the status of the Sitemap, the indexed search Keys and the messages sent by GoogleBot (Google's Web spider that scans the web to update the indexes).

Related topics:
- | The Blog
- | Access Management
- | Shopping Cart
- | E-mail Form Object
- | HTML and Widgets Object
- | How to manage comments on Blog Posts using the online Control Panel


How to manage comments on Blog Posts using the Control Panel

A Blog is a sort of online diary in which you can publish Posts on any subject you want, and let your visitors leave comments on them. If you manage to create an active community with stimulating Posts, you may develop interesting online discussion groups.

Follow the procedure below to configure your Blog so that visitors can make their comments on the Posts. You start from the Comments section of the Blog window:
- | Select the Let readers add Comments to your Blog option.
- | Enter the pathname of the Server Folder With Writing Access: this is the folder on the Server that the PHP code can write in.
- | Decide whether you want to enable the "Captcha" anti-spam filter when comments are added.
- | Enter the E-mail address for Comment Notification, which is the e-mail address of your Website Administrator who will automatically receive an e-mail that notifies when a visitor leaves a new comment.
- | Specify whether the comments are to be published immediately or whether they have to be approved first.

When you've done this, you can start adding Posts and publishing your Blog. A form for adding and sending comments is automatically added to the bottom of the Posts. Visitors who want to make a comment will have to give their Name, E-mail, Internet Site and the Text of their comment. All the fields are obligatory, apart from Internet Site.

When a visitor leaves a comment, a notification e-mail will be sent automatically to the Website Administrator's e-mail address. If you have selected the Show Comments after Admin Approval option in the Control Panel (created automatically by WebSite X5 for every Website), the Administrator will have to approve the comment before it is published online underneath the Post to which it refers.

The Control Panel can be found at www.mysite.com/admin, where www.mysite.com is the URL of your Website to which the Blog is linked, and all the users in the Administrators Group can access it (see the Access Management section of Step 4 - Advanced Settings for details on setting up the Administrators Group).

There are two Drop Down menus in the Blog section of the Control Panel that show the list of categories and list of Posts linked to the categories. You can select the Post that you want to view comments on from these menus. A list of all the comments on that Post will be shown. For each comment, the list gives the author, his/her e-mail address, the comment and the date and time it was made. If the visitor gave the name of an Internet site, a link to this is created automatically.
In the Blog, the comments are displayed in the order they are made (the latest comment is at the bottom of the list): in the Control Panel, on the other hand, the comments are displayed in chronological order, starting from the most recent.

So, to manage the comments, you must:

-

Go to the Control Panel, log in and open the Blog section.

-

Select the Post for which you want to see the comments from the Drop Down menus.

-

Go through the list of comments that have been made on the selected Post and decide whether to:
- | Reject: the comment will not be published on your Blog and it will also be removed from the lists of comments in the Control Panel.
- | Approve/Disapprove: if you approve a comment, it will be published on your Blog. If you disapprove a comment it will be removed from the list of Posts on your Blog but it will remain in the Control Panel lists.
Being able to check the comments before they are published on your Blog is fundamental if you want to avoid spam and abusive, irrelevant or otherwise inappropriate comments from being published on your Blog.

Related topics:
- | Blog
- | Control Panel


Information and Support

Developed by Incomedia S.r.l. www.websitex5.com
 www.incomedia.eu

Copyright© 2011 Incomedia. All Rights Reserved.

WebSite X5 uses DotNetZip, covered by the MS-PL Licence (Microsoft Public Licence)

For further information or technical support visit our website: www.websitex5.com/help


The Blog: its characteristics and how it works

Definition

Wikipedia defines a blog as an online diary.

The word "blog" derives from the contraction of "web log". To be precise, the term "weblog" was introduced status in 1997 by Jorn Barger who used it in his own personal Web site; the truncated version "blog" was instead created by Peter Merholz who in 1999 used the phrase "we blog" in his Web site giving birth to the verb "to blog" .

Weblogs came from the grass roots as the expression of people with simply something to say and who found in the Web a way of doing that easily. The phenomenon started to stick in America in 2001 and has since then seen explosive growth, becoming fashionable also in Italy thanks to the first free dedicated services.

Blogs are characterized by their structure, by their contents and by the form in which these contents are written.

Structure

So a Blog is a Web site where those who write (bloggers) can publish stories, information, opinions or, more generally, whatever they wish to communicate and share in total autonomy, creating in this way a kind of personal diary.
Blogs currently have a fairly standard structure where each article (or post) is numbered and is contained in a dedicated page which, as well as the message, has certain accessories such as the comments left by readers. The posts are generally associated with specific categories (threads) which form, as a consequence, the first of two of the most common types of archive. The second is the archive by date, where it is possible to navigate the messages inserted in an established time period: generally a month. The posts are proposed in reverse order of introduction, from the most recent to the oldest, and can have images, audio and video and links to other Websites of interest. Each post can be uniquely identified via a permalink,that is a link which points directly to that poste. The section containing the links to other Blogs is defined as blogrol.
Depending on the requirements, the blog can offer other tools, as for example RSS Feeds and internal search engines: since Blogs foresee frequent, unorganized updates, these tools are very useful to facilitate the users in the consultation of the contents.

Contents

The true essence of a Blog is in its contents: the messages are generally half way between a news item and an article and often include a brief description summarizing the meaning, similar to the structure of an RSS Feed.
The contents are generally related to on or more categories of the blog and, as mentioned, are published in chronological order. The topics of the posts can be most varied according to the type of Blog. To be sure, most bloggers use a Blog as a personal diary to express their sentiments and opinions to readers who, jumping from link to link, move in the blogsphere. Very widespread are Blogs created by journalists, or aspiring journalists, and writers; humoristic, ironic and satiric Blogs; mono-thematic Blogs dedicated to a hobby or a passion of the author; political or current affairs Blogs; company Blogs.
Except for institutional or company Blogs, Blogs do not normally foresee timeframes or deadlines for publication: it is the author who organizes things and often the Blog becomes a personal diary in which his own more or less spontaneous thoughts are collected, without posing himself any particular order or scheme.

Form

Strictly linked to the contents is the form: typically Blogs are written in the first person, given that the contents are usually the fruit of comments, reflections and personal re-elaborations. Not by chance, many define a Blog as a written monologue or, if you prefer, a transcript of one's own thoughts.
Even in the case of company or commercial Blogs, the posts nearly always maintain the first person trying to represent a more informal voice compared to the official Web site.

In WebSite X5

WebSite X5 allows you to create and manage a Blog in a very simple way. It lets you choose the graphic appearance; to rapidly proceed in composing and publishing posts; to enrich articles with multimedia content such as images, audio and video; to receive comments and use a special on-line control panel to manage viewing.
The Blog that you create will have all the typical navigation and search tools: search engines, recent Post list ,archives by category and by month, clouds. The inserted posts will be published one after the other in the main page and will be presented in a complete manner, each in a dedicated page.

Given that WebSite X5 solves all the technical aspects , you need only deal with the editorial aspects, remembering that, for a Blog to be successful, it is recommended:
- | To choose which type of Blog you want to create. Choose an identity and a title which captures the essence of a Blog.
- | To write at least one post a day or, at least, update it on a regular basis. In the case of institutional Blogs it is worthwhile setting a calendar for publishing contributions.
- | Write and insert material for at least the first month before publishing the Blog. In this way you can carry out evaluations and any corrections, in order to orient the Blog in the desired direction.
- | When a Blog has taken on its form in terms of contents and style, publicize it by talking to friends and acquaintances or, in the case of institutions and companies, using the most appropriate channels (press releases, newsletters , etc. ).
- | To increase the popularity of the Blog on the Internet, look for other Blogs with similar contents and use them to promote your own. In practice, read the posts published on the Blogs you visit and leave comments, if possible pertinent and constructive, remembering to leave a link to your own Blog. Pay attention not to violate the editorial rules of the Blogs you visit!
- | Build a network of contacts with others in the blogsphere and meet friends on line: this is the best way to get your Blog read.
If you manage to make your Blog authorative (for the quality of its contents) and popular (for the number of visits received), you can want to consider the possibility of transforming it into a commercial tool by adding advertising.


How WebSite X5's built-in Search Engine works

WebSite X5 lets you add a Search Field to your Website. The Search Engine looks at the Page Title and Content and displays its results in Pages that the Program creates automatically.

The following information will help you get the most out of WebSite X5's Search Engine:
- | Pages The Page elements that a Search Engine considers are Title, Description and Keywords (see Page Properties | General), as well as the Contents. The occurrence of each word in the Page Titles is multiplied by a corrective factor before being matched to its occurrence in the Content. The relative occurrence is then calculated and the word's relevance is established and, consequently, the ranking of each Page is established in the search results.
- | Members Area Locked Pages that need a Login and Password to access them (see Members Areas) are not considered by the Search Engine, if no user is currently logged in.
- | Hidden Pages Hidden pages are considered by the internal Search Engine.
- | Exclude a Page from the Search If you don't want a Page to be considered by the Search Engine, select it in the Sitemap, open the Page Properties window and deactivate the Add this page to the Sitemap option in the Expert section.
- | Upper case / Lower case The internal Search Engine is not case-sensitive: it does not differentiate between upper and lower case letters.
- | Search Engine Results Pages The search results are displayed in Pages that are created automatically by the Program: their graphic aspect is defined is the Styles and Models section of Step 4 - Advanced Settings.

Related topics:
- | Edit Template Graphics | Search Field
- | Advanced Settings: Styles and Models


How WebSite X5 Handles Multi-Language Websites

Internet eliminates national bounderies and, if you think people from other countries may visit your Website, you may want to offer a choice of languages.

Multi-language management can make a Website Project more complex but, thanks to the tools provided by WebSite X5, and a good translation of your Website contents, handling several languages will not be a problem..

First of all, it's important to point out that WebSite X5 generates all the HTML files for the Website Pages using the UTF-8 Character Coding (Unicode Transformation Format, 8 bit). Websites can be created in any language with UTF-8, including languages that use non-Latin alphabets, such as Greek, Cyrillic, Coptic, Armenian, Hebrew, Arabic, Chinese, Japanese and Korean. As well as creating your Website in any language, it is also possible to include different languages in the same site, with no problem in correctly displaying letters and characters from different alphabets: for example, you may have a text written in Russian, with its English translation next to it.

When you are creating your Website, WebSite X5 lets you associate a default (primary) language with the Project (select the Content Language option in the General Settings | Basic window): this step is essential for a correct management of the text that is inserted automatically by the Program. Some languages are already included with WebSite X5: if the particular language you want to add to your Website is not included, open the Language Content Management window and click on the [image] Choose... button to create/import other languages or to change words in the languages that are already present.

You can also create a multi-language Website and give the visitor a choice of language to show the Website in. All you have to do is create a Website Project for each language that you want to offer and link them together as though they were sections of the same Website. This can be done in two ways: either using the Welcome Page or by adding language-choice buttons to the Template Header.

See the sections below for more details:
- | Language Content Management
- | How to Create a Multi-Language Website using the Welcome Page
- | How to Create a Multi-Language Website using Buttons in the Template Header

Related topics:
- | General Settings | Basic
- | Welcome Page


How to Create a Multi-Language Website using Buttons in the Template Header

Let's continue with our imaginary Website in three languages: English, Italian and Portuguese. An alternative, or complementary, way of allowing visitors to choose the language they prefer to consult your Website is to provide language-choice buttons in the Header of the Website's Template, instead of, or as well as, in the Welcome Page. This method offers the advantage of being able to change language at any time and from any Page in the Website.

Creating the Website in English
Step 1
We will consider the English version of the Website first, and then go on to the Italian and Portuguese versions.

Open the English version of the Project and go to the Edit Graphics Template window so that you can work on the Header and add the language-choice buttons. Click on the [image] Insert Image button to import the [flag_en.jpg] file that contains the graphics for the English flag: if you want a mouseover effect on the button you can use the Image File on Mouseover option to import the [flag_b_en.jpg] file that contains a second image that is slightly different from the first.

Repeat this procedure to create the buttons with the Italian flag [flag_it.jpg and [flap_b_it.jpg] and the Portuguese flag [flag_pt.jpg and [flag_b_pt.jpg].

As you are working on the English version, select the button with the Italian flag and click on [image] Apply a Link: select File or URL in the new window that opens and then select Internet File, typing in the address that the Home Page of the Italian Website will have when online (for example, http://www.mysite.com/it/index.html).

Follow the same procedure for the button with the Portuguese flag, linking it to the http://www.mysite.com/pt/index.html address.

As you are working on the English Website Project, you don't need to create any link for the button with the English flag.

Creating the Italian and Portuguese Websites
Step 2
To save time in creating the Italian Website, you can start from a copy of the English version: In the first Project Selection window select the [EN site] Project and click on the Duplicate button. Then click on the Rename button to change the name of the new Project to [IT site]. Now you can open this Project and translate all the English text into Italian, without having to re-create the Website structure.

Follow the same procedure to prepare your Website in Portuguese.

Now you have to create the links for the flag buttons in the Header, so open the Project and go to the Edit Graphic Template window:
- | Italian Website Project: select the button with the English flag and create a link to the http://www.mysite.com/en/index.html URL address. Remove the link from the button with the Italian flag.
- | Portuguese Website Project: select the button with the English flag and create a link to the http://www.mysite.com/en/index.html URL address. Remove the link from the button with the Portuguese flag.

Uploading the Websites
Step 3
The language-choice buttons will only work properly if the three versions of the Website are uploaded to the Server with the correct destination pathnames. So, you need to create two subfolders in the upload folder on the Server and name them IT and PT. Then you can upload each Project. The English Project, which is the main one, is uploaded to the upload folder, and the Italian and Portuguese project versions are uploaded to the IT and PT subfolders, respectively.

Related topics:
- | How WebSite X5 Handles Multi-Language Websites
- | How to Create a Multi-Language Website using the Welcome Page
- |
- |


How to Create a Multi-Language Website using the Welcome Page

Imagine you want to make your Website available in three languages: English, Italian and Portuguese. With WebSite X5 you can easily handle different languages using the Welcome Page, which is the Page that appears before the Home Page, and acts as a sort of cover page for the whole Website.

Creating the Website in English
Step 1
First of all, you have to create the Website in English, defining the structure and contents. To set up the choice of languages, you need to add a Welcome Page where the English, Italian and Portuguese flags will be shown on buttons.

In Step 4 - Advanced Settings click on the Welcome Page button and then select the Show the Welcome Page option in the window that opens. You will also need to indicate any images/animation that you want to appear on the page, and define the settings to give your Welcome Page the look you want.

Step 2
When you have defined the graphic aspect of your Welcome Page, you then need to add the buttons that the visitor can click on to choose the language the Website will be displayed in: in this example, English, Italian or Portuguese.

To do this:

-

Select the Show Link to other Languages option.

-

Define the Language List: select "Deutsch", "Español" e "Français" from the List and click on the Remove button to take these three languages out of the Language List. Click on the Add button to open the Language Settings window and add Portuguese. Type "Português" in the language name to show field, import the [flag_pt.jpg] file that contains the graphics for the Portuguese flag, and type "PT" in the Server Path or URL of the Website for this Language field to link the project folder that will contain the Website files in Portuguese to the Portuguese flag button..
Now select "English" and "Italiano" from the List and click the Edit button to open the Language Settings window. Add the names of the files containing the graphics for the English and Italian flags ([flag_en.jpg] and [flag_it.jpg]). Finally, type "EN" in the Server path or URL of the Website for this Language field, to link the EN project folder to the English flag button, and type "IT" in the field to link the IT project folder to the Italian flag button.

You can change the order of the languages in the Language List using the Move Up and Move Down buttons.

-

As your current project is the English version (the only one that the Welcome Page will be associated with), select "English" from the Language List and click on the Default button.

Now your Website is set up to offer a choice of languages, but you still need to add the contents in Italian and in Portuguese.

Creating the Italian and Portuguese Websites
Step 3
To save time in creating the Italian Website, you can start from a copy of the English version: In the first Project Selection window select the [EN site] Project and click on the Duplicate button. Then click on the Rename button to change the name of the new Project to [IT site]. Now you can open this Project and translate all the English text into Italian, without having to re-create the Website structure.

Follow the same procedure to prepare your Website in Portuguese.

Remember to disable the Welcome Page in the Italian and Portuguese Projects, because it must only be associated with the default English language version of the Website.

Uploading the Websites
Step 4
Follow this procedure to upload your Websites to the Server:
- | Uploading the English Website: remember that the English Website is the one that has the Welcome Page associated with it and is the default website version. When the English Website is uploaded to the Server an index.html file is created: this corresponds to the Welcome Page and is saved in the default folder (which is the "EN" folder). Subfolders for all the other languages included in the Language List are also created: in this example the "IT" subfolder for the Italian version and the "PT" subfolder for the Portuguese version. When the English Website has been uploaded to the Server, it will be online and all the buttons for the choice of language in the Welcome Page will be active, although at the moment only the English flag button will work.
- | Uploading the Italian Website: the Italian flag button in the Welcome Page will work when the Italian Project has been uploaded to the "IT" subfolder on the Server.
- | Uploading the Portuguese Website: the Portuguese flag button in the Welcome Page will work when the Portuguese Project has been uploaded to the "PT" subfolder on the Server.
Once all three versions have been uploaded to the correct folders on the Server, all the flag buttons in the Welcome Page will work and visitors will be able to consult your Website in the language they prefer.

Related topics:
- | How WebSite X5 Handles Multi-Language Websites
- | How to Create a Multi-Language Website using Buttons in the Template Header
- | How to Create a Welcome Page


Page Creation

How to draw a Page Layout Table

To make the layout of the Page contents easier, WebSite X5 uses a Page Layout Table, shown in the Page Creation window, which by default is made up of two rows and two columns, in which every Cell may contain a different object. You can add rows and columns to increase the number of Cells, to make your Pages as complex and detailed as you like.

To add a new row or column, click on the [image] Insert Row or [image] Insert Column buttons. The new row/column wil be added before the one containing the selected Cell. A Page Layout Table can have a maximum of 64 rows and 12 columns.

To remove a row or a column, select one of the Cells in it and click on the [image] Remove Row or [image] Remove Column buttons.

Columns and rows are added to the Page Layout Table with the same height and width. In a Page Layout Table with 2 columns of the same width, the contents of each one next to each other will occupy 50% of the available space, and the actual width of the contents will be recalculated according to this space.

IMMAGINE

You can set the absolute and relative widths of each column by hand, using the cursors at the bottom of the Table.

IMMAGINE

Click on a cursor and drag it along: as the cursor moves, the column width is shown in a ToolTip in pixels and as a percentage. You can be more precise by clicking the righthand mouse button and selecting Set Column Width in the Popup Menu, to enter exactly the value you want (in pixels).

If you want to change the columns back to all having the same width, click the righthand mouse button and select Reset Equal Column Width.

Related topics:

- Page Creation

- The Page Layout Table